live-build (1:20230131+kali6) kali-dev; urgency=medium

  * Revert "Do not consider ht9k-htc firmware, conflicts with firmware-atheros"

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 28 Feb 2023 12:29:46 +0700

live-build (1:20230131+kali5) kali-dev; urgency=medium

  * Do not consider ht9k-htc firmware, conflicts with firmware-atheros

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 24 Feb 2023 11:39:32 +0700

live-build (1:20230131+kali4) kali-dev; urgency=medium

  * memtest86+ switched to /boot/memtest86+ia32.{bin,efi} for 32bits

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 22 Feb 2023 08:33:52 +0100

live-build (1:20230131+kali3) kali-dev; urgency=medium

  * Hack for non-free-firmware

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 17 Feb 2023 14:09:23 +0700

live-build (1:20230131+kali2) kali-dev; urgency=medium

  * Remove grub-efi-amd64-signed from DI_REQ_PACKAGES

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 16 Feb 2023 15:38:52 +0700

live-build (1:20230131+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - Do not consider nvidia-tesla-* firmware, it causes the ISO build to fail
    - XORRISO options for EFI boot 

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 15 Feb 2023 10:27:35 +0700

live-build (1:20230131) unstable; urgency=medium

  [ Roland Clobus ]
  * Synchronise all --parent-distribution options.
  * Create a clean chroot for the installer.
  * Introduce '--debian-installer-distribution git'.
  * Rebuild: Use the new settings '--debian-installer-distribution git'.
  * Removes 'nomodeset' from fail-safe boot.
  * Reproducible hooks: fix version check for libxmlb2
  * Build from deb.debian.org
  * Drop win32-loader for the images with an installer.
  * Add more variables for the splash.svg image (Closes: #1015782)
  * rebuild: New option to specify the origin of the d-i binaries
  * installer: fail early
  * Rebuild: allow execution by sudo-users and root
  * Rebuild: Pass only a few environment variables to sub shells
  * If the same file exists in multiple locations, take the version from
    the first.
  * installer: Skip rebuilding the debian installer if it is found in the
    cache
  * installer: Remove the udeb files
  * installer: No error if the udeb-exclusion list is empty
  * installer: add grub packages for d-i and Calamares
  * installer: Mark the local repository as trusted

  [ Nick Brown ]
  * Allow APT_AUTH.CONF(5) config files to be used with archives during
    bootstrap.

  [ Ryan Finnie ]
  * chroot_hostname: Fix reference to chroot inside chroot
  * Fix build with memtest86+ 6.00
  * memtest: Support arch-specific and EFI memtest86+ 6.00
  * Memtest GRUB fixes

  [ Luca Boccassi ]
  * salsa-ci: drop aptly pages publishing, errors out

  [ snip ]
  * Use same naming scheme for archive keys in chroot and binary stages

 -- Luca Boccassi <bluca@debian.org>  Tue, 31 Jan 2023 16:27:27 +0000

live-build (1:20220505kali3) kali-dev; urgency=medium

  [ Ryan Finnie ]
  * Fix build with memtest86+ 6.00

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 01 Nov 2022 09:30:54 +0700

live-build (1:20220505kali2) kali-dev; urgency=medium

  * Do not consider nvidia-tesla-* firmwares, it causes the ISO build to fail.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Sep 2022 12:08:57 +0200

live-build (1:20220505kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 May 2022 09:13:36 +0200

live-build (1:20220505) unstable; urgency=medium

  [ Roland Clobus ]
  * The support for FTP proxies has ended
  * Simpler handling of http proxies
  * Code coverage test (for the proxy)

  [ Ryan Finnie ]
  * Add initial riscv64 support
  * Fix missing variable quoting in proxy handling

  [ Roland Clobus ]
  * Adding symlink for udeb data for bookworm
  * Fix Lintian warning about malformed NEWS file
  * Mark the phony targets in the Makefile
  * Add file with translatable text (lb_installer.1.pot)
  * Remove generated translation files
  * Use the release date from the changelog as the date for the last
    modification of each manpage
  * Bugfix: Add missing package when systemd is active
  * Bugfix: Do not copy the content of e.g. /dev/shm when creating hdd
    images
  * Bugfix: The arguments to the 'tr' command must be quoted.
  * Reactivate '--chroot-filesystem plain'.
  * Bugfix: The values for '--cache-stages' were not matching the
    implementation.
  * Clean up the cache directory, if no files are present.
  * When update-initramfs is called, clean up the backup files.
  * Set the timestamp of the generated iso image.
  * Set the timestamp inside hdd images.
  * Add hooks for building reproducible images
  * Add hook for libxmlb2 (used by appstream)
  * Reproducible hooks: Regenerate initrd.img in chroot_hacks only when
    chroot_hooks did not regenerate it already.

  [ Sophie Brun ]
  * Harmonize menu entries (uefi / bios) and add a variable for the
    templates

  [ Michał Prochera ]
  * Unconditional Remove_packages calls in binary_rootfs (Closes: #994982)

  [ Roland Clobus ]
  * Reproducible hooks: fontconfig got fixed in 2.13.1-4.4.

  [ Philip Hands ]
  * get the aptly/pages stage to work

  [ Roland Clobus ]
  * Show git hash as version number, when a local git repo is used.

  [ Nick Brown ]
  * Echo executing source/binary hooks
  * Add auth.conf.d support to archives (Closes: #991065)

  [ Rob Shearman ]
  * config: respect --bootloaders option again on amd64/i386

  [ Roland Clobus ]
  * Reproducible hooks: appstream and libxmlb2
  * UEFI doesn't like nomodeset in safe mode
  * Rebuild a reproducible ISO image.
  * Check the actual length of the ISO fields.
  * Use a shorter suffix for modified development versions.
  * Remove a left-over file when using a package in
    config/packages.chroot.
  * Reproducible hooks: texlive-base and texlive-binaries

  [ Olivier BLIN ]
  * Add support for the new includes.chroot system to /etc/hosts file

 -- Luca Boccassi <bluca@debian.org>  Thu, 05 May 2022 11:13:27 +0100

live-build (1:20210902kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Disable autopkgtest in ci
  * Harmonize live menus entries (UEFI and BIOS)
  * Add a variable FLAVOUR_LIVE that can be used in live-build-config

  [ Ben Wilson ]
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Jan 2022 11:01:35 +0100

live-build (1:20210902kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Sep 2021 11:09:45 +0200

live-build (1:20210902) unstable; urgency=medium

  [ Thore Sommer ]
  * Adding dm-verity support for rootfs
  * docs: documentation for dm-verity feature
  * Enable dm-verity support also for ext filesystems

  [ David Hewitt ]
  * binary_grub-efi: Allow removal of protected packages

  [ Nick Brown ]
  * Export variables for hooks (Closes: #992572)

  [ Luca Boccassi ]
  * Bump debhelper-compat to 13, no changes
  * Bump Standards-Version to 4.6.0, no changes

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Sep 2021 11:09:41 +0200

live-build (1:20210407kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 May 2021 16:17:27 +0200

live-build (1:20210407) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Apr 2021 18:52:50 +0100

live-build (1:20210405) experimental; urgency=medium

  * Firmware download: skip architecture if not found (Closes: #986278)
  * Autopkgtest: build a buster image
  * Autopkgtest: remove architecture restriction

 -- Luca Boccassi <bluca@debian.org>  Mon, 05 Apr 2021 13:04:04 +0100

live-build (1:20210330) unstable; urgency=medium

  * security: do not append /updates for Bullseye and newer.
    (Closes: #986148)

 -- Luca Boccassi <bluca@debian.org>  Tue, 30 Mar 2021 16:17:38 +0100

live-build (1:20210329) unstable; urgency=medium

  [ Ryan Finnie ]
  * Use --apt-http-proxy/--apt-ftp-proxy for debootstrap
  * No mksquashfs progress bar if stdin is not a terminal

  [ Unit 193 ]
  * firmwarelists.sh: Search Contents-all for firmware too.

  [ Roland Clobus ]
  * Support security for bullseye. See
    https://wiki.debian.org/NewInBullseye. Closes: #964914
  * Fixed handling of checksums in combination with the d-i installer.
  * Removed filesystem.size for squashfs images.

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Mar 2021 10:49:43 +0100

live-build (1:20210216kali1) kali-dev; urgency=medium

  * Drop debian/live-build.links, the symlinks are now in Debian
  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 23 Feb 2021 13:35:04 +0100

live-build (1:20210216) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add symlinks to support kali releases

  [ Roland Clobus ]
  * Reproducible fix for glibc

  [ Ryan Finnie ]
  * binary_syslinux: Do not modify grub theme.txt if grub/splash.png
    exists
  * Restore_package_cache: Handle existing but empty packages directory

  [ Roland Clobus ]
  * The local LIVE_BUILD wins over the system live-build for the list of
    udeb inclusions. Only copy when the distribution is known
  * The local LIVE_BUILD wins over the system live-build for the list of
    udeb exclusions
  * lilo is not available any more in Bullseye (and newer), see #973850
  * Adding symlink for udeb data for bullseye

  [ Luca Boccassi ]
  * Fix build on architecture without syslinux (Closes: #982746)
  * autopkgtest: restrict to amd64 and i386 for now

  [ Roland Clobus ]
  * mkfs.msdos needs at most 32 bits for the -i argument. Use the
    hexadecimal version of SOURCE_DATE_EPOCH, limited to the lower 32 bits

 -- Luca Boccassi <bluca@debian.org>  Tue, 16 Feb 2021 21:25:05 +0000

live-build (1:20210122kali2) kali-dev; urgency=medium

  * Fix binary_iso script, drop leading + added by manual merge

 -- Raphaël Hertzog <raphael@offensive-security.com>  Sat, 23 Jan 2021 12:54:16 +0100

live-build (1:20210122kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot
    - symlinks for data/debian-cd

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 22 Jan 2021 22:44:49 +0100

live-build (1:20210122) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Get rid of extraneous whitespace showing up in syslinux menu
  * Standardize on having the GUI installation first in boot menus
  * config: obsolete --net-root-path
  * Drop the epoch in /usr/share/live/build/VERSION
  * Fix version computing when LIVE_BUILD is set
  * binary_syslinux: rely on $LIVE_BUILD_VERSION instead of lb --version
  * Add updated directives to enable cryptsetup support in initrd
  * frontend: do no try to look for sub-commands in the PATH
  * Synchronize syslinux menu structure with the grub-pc one
  * Make librsvg2-bin dependency unconditional for syslinux
  * Do not overwrite splash.png if the user has provided it
  * Tell APT to retry downloads a few times before giving up
  * Use bullseye as default release in preparation of the next stable release
  * Use truncate --no-create --size=0 to truncate files
  * Document our autopkgtest tests as needing internet access
  * Update renamed lintian tag names in lintian overrides.
  * Don't fail if one of the package lists expands to an empty list
  * Fix a small info message
  * autopkgtest: get rid of deprecated needs-recommends feature

  [ David Hewitt ]
  * binary_syslinux: Accommodate LB_INITRAMFS not live-boot

  [ Lyndon Brown ]
  * Lots of cleanup and refactoring.
  * remove redundant files (Closes: #952834, #952835)
  * source: fix wrong action value for script execution (Closes: #952837)
  * archives: fix removal of chroot/root/packages.chroot package list
    (Closes: #952838)
  * archives: fix incorrect usage string (Closes: #952839)
  * archives: add 'pass' param validation check (Closes: #952841)
  * archives: fix deb-src entry exclusion (Closes: #952842)
  * fix indentation (Closes: #952857)
  * installer: de-dup daily DI url (Closes: #952860)
  * don't unnecessarily convert exit codes to strings (Closes: #952861)
  * source: fix mistaken append instead of overwrite (Closes: #952862)
  * memtest: better handle obsolete LB_MEMTEST value (Closes: #952866)
  * bootloaders: fix ignoring LB_DEBIAN_INSTALLER_GUI in menu creation
    (Closes: #952890)
  * chroot_dpkg: start-stop-daemon simplification (Closes: #952891)
  * add missing shebangs to temp generated shell code files
    (Closes: #952863)
  * help/usage: fix incorrect program command (Closes: #952884)
  * config: rename --architectures to --architecture (Closes: #952892)
  * echo: fix problem with error printing (Closes: #952878)
  * echo: ensure output goes to stdout/stderr (Closes: #952879)
  * cursor: purge unused cursor functions (Closes: #952880)
  * binary_iso: fix wrong echo helper (Closes: #952881)
  * binarie_onie: fix missing use of echo helpers (Closes: #952882)
  * binary_onie: fix lack of newline on error (Closes: #952883)
  * installer: robustify udeb inclusion
  * installer: filter derived udebs from parent list
  * installer: download udebs directly from correct mirror
    (Closes: #952914)
  * firmware: avoid building unnecessary lists
  * firmware: construct file location once and reuse
  * firmware: fix possible duplication in firmware package lists
    (inefficiency) (Closes: #952906)
  * firmware: delete pointlessly cached (large) file after use
    (Closes: #952907)
  * firmware: de-dup firmware list parsing (Closes: #952908)
  * firmware: reorder firmware list construction
  * firmware: avoid potentially duplicate work (Closes: #952909)
  * firmware: save the compressed contents file to disk instead of
    decompressed (Closes: #952910)
  * firmware: enable caching for archive content file with firmware lists
    (Closes: #952911)
  * fix inadequate chroot_archives validation
  * fix consistency in binary execution and existance checking
    (Closes: #952927)
  * archives: tidy deb-src exclusion (Closes: #952928)
  * installer: use boolean for clarity (Closes: #952930)
  * top level cmd "auto redirect" handling (Closes: #952919)
  * help/usage: remove pointless vars (Closes: #952859)
  * archives: always include enabled/disabled deb-src apt entries
    (Closes: #952929)
    * copyright: add missing "The Debian Live team" entry
  * remove obsolete loop-aes-utils related losetup hack
  * debootstrap: use --force-check-gpg
  * hide mountpoints from nautilus
  * source: properly fix _apt permissions warning (Closes: #953957)
  * fix -h|--help component script man page redirection
  * strip progress-linux distro hacks
  * grub-pc: fix broken boot capability (Closes: #956131)
  * Fix permissions & ownership of copied /etc/resolv.conf (Closes: #857740)
  * manpage: document that multiple archive areas should be space separated
  * manpages: document space separation for --keyring-packages
  * manpages: document that --linux-flavours is space separated
  * manpages: fix typo (Closes: #926238)
  * config: stop writing 'default: <foo>' lines to config files
    (Closes: #904614)
  * config: obsolete unused --isohybrid-options option
  * config: obsolete unused --net-cow-* options
  * config: obsolete --net-root-* options (except one)
  * rename LB_ARCHITECTURES to LB_ARCHITECTURE
  * rename LB_BOOTSTRAP_QEMU_ARCHITECTURES to LB_BOOTSTRAP_QEMU_ARCHITECTURE
  * rename binary_loopback_cfg to binary_grub_cfg
  * bootloaders: reorganise installer menu entries
  * grub2: fix using wrong directory in certain cases (Closes: #952843)
  * binary: fix missing use of chroot_dpkg in binary stage (Closes: #776532)
  * bootstrap: drop obsolete check for `--no-check-gpg` support in debootstrap
    (Closes: #952847)
  * binary_rootfs: fix deletion of excludes file from wrong location in
    squashfs after use (Closes: #952849)
  * binary_rootfs: fix chmod of squashfs image only being applied when using
    chroot (Closes: #952850)
  * binary: fix missing handling of disk info for netboot case
    (Closes: #952846)
  * simplify --debian-installer choices (Closes: #952864)
  * archives: fix mount local repo comments (Closes: #952873)
  * fix capitalisation of some output messages (Closes: #952875)
  * help/usage: avoid unnecessary use of echo helpers (Closes: #952877)
  * chroot: fix redundant usage line (Closes: #952885)
  * binary_disk: refactor (Closes: #952865)
  * help/usage: fix overly complex script description handling
    (Closes: #952887)
  * fix missing use of echo helpers (Closes: #952876)
  * archives: deduplicate apt sourcelist file construction (Closes: #952889)
  * aliases: simplify excessively complex In_list function (Closes: #952915)
  * cache: clarify and simplify package cache save/restore (Closes: #952916)
  * source: add output of config readme file to source image (Closes: #952921)
  * defaults: ensure global caching param overrides specific caching params if
    disabled (Closes: #952923)
  * simplify STAGE checks - use In_List (Closes: #952917)
  * config: rename the config set/check functions for clarity
    (Closes: #952920)
  * chroot: improve directory creation/destruction efficiency
    (Closes: #952924)
  * source: downloaded pkgs to a clean directory rather than chroot root
    (Closes: #952931)
  * source: target downloads with corresponding version (Closes: #952932)
  * strip useless multi-arch separate directory stuff
  * locks: tidy lock acquisition (Closes: #952918)
  * grub1/grub2/loopback: fix missing delimiter in menu kernel parameter lists
    (Closes: #775143)
  * syslinux: remove replacement of unused label in menu configs
  * syslinux: fix shortcut caret appearing in menu entries
  * syslinux: changed 'build' to 'built' in splash
  * bootloaders: add install with speech synthesis menu entries
  * syslinux: expand list of install options
  * syslinux: add install menu entries only if including installer
  * syslinux: add memtest menu entry only if including memtest
  * syslinux: use more dynamic memtest menu config file

  [ Luca Boccassi ]
  * Fix Lintian Warnings about changelog: day-of-week, trailing whitespace
  * Bump Standards-Version to 4.5.0, no changes.
  * Add autopkgtest: default image build
  * autopkgtest: build kali image
  * autopkgtest: disable updates/security repositories, not available for
    Bullseye

  [ johnraff ]
  * Replace 'which' with 'command -v' to test for the existance of an
    executable This is considered to be more robust.

  [ Steven Shiau ]
  * Add grub EFI support for armhf arch.

  [ adrian15 ]
  * grub-efi: fix partial broken boot capability (Closes: #924053)

  [ Ryan Finnie ]
  * Add initial ppc64el support
  * Enable arm64 for binary_grub_cfg
  * architectures.sh: armhf/armel can be built on arm64
  * grub-efi: Show fwsetup, do not show incompatible memtest even if enabled
  * Bugfix: Fix grub.cfg pc/ENABLE_MEMTEST check

  [ Victor Gavro ]
  * chroot_apt: fixed adding Pin-Priority (broken in da1fab11)

  [ Roland Clobus ]
  * Some changes towards reproducible builds of live images and
    various bugfixes discovered while working on this.
  * A second invocation of 'lb config' will result in an identical settings
    file
  * Delay resolving the timestamp for the ISO volume to the moment the
    ISO-image is created
  * Preserve timestamps
  * Add new manpage to the list of translatable files
  * Ensure that SOURCE_DATE_EPOCH is always set in all sub scripts. When
    SOURCE_DATE_EPOCH was already set before 'lb config', also enable UTC
    timestamps.
  * SOURCE_DATE_EPOCH is always set
  * Use SOURCE_DATE_EPOCH for 'now' in the boot splash image
  * Use SOURCE_DATE_EPOCH for 'now' in .disk/info
  * Use SOURCE_DATE_EPOCH for the partition-id of /efi.img
  * Use SOURCE_DATE_EPOCH for the partition-id of /boot/grub/efi.img
  * Set timestamp embedded in EFI files
  * Set timestamp in embedded files of the installer
  * Apply SOURCE_DATE_EPOCH to newly generated files and create a log
  * Bugfix: do not create /dev/lock and /dev/lock-frontend

  [ Marcel Partap ]
  * For 32bit UEFI secure boot, the package name is grub-efi-ia32-signed
  * binary_rootfs stage: give custom MKSQUASHFS_OPTIONS precedence
  * binary_rootfs stage: disable mksquashfs progress bar only in quiet mode
  * binary_rootfs stage: slightly lower mksquashfs nice levels (19 -> 17)

  [ Thore Sommer ]
  * Add option to change compression algorithm and level for squashfs.
  * Option for using systemd-nspawn instead of chroot for hooks.
    (Closes: #965953)
  * Added the option to include files before and after package installation
    (Closes: #927128)

  [ Matthijs Kooijman ]
  * binary_iso: Execute mkdir binary/.disk before writing to it

  [ Unit 193 ]
  * Add 'unstable' as a valid distribution and link to sid.

  [ Jan Kot ]
  * bootstrap_debootstrap: change debootstrap path to /usr/sbin/debootstrap
  * packages.sh: check for /etc/debian_version existance rather than
    dpkg-query aviability
  * exit.sh: fix selinux mountpoint

  [ Steev Klimaszewski ]
  * Add arm64 udeb include files

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 22 Jan 2021 15:13:32 +0100

live-build (1:20191221kali6) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Fix day-of-week for changelog entry 0.99.24-1.
  * Update standards version to 4.5.0, no changes needed.
  * Update renamed lintian tag names in lintian overrides.

  [ Raphaël Hertzog ]
  * Don't fail if one of the package lists expands to an empty list

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 12 Jan 2021 15:17:18 +0100

live-build (1:20191221kali5) kali-dev; urgency=medium

  * Tell APT to retry downloads a few times before giving up

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 25 Sep 2020 12:02:06 +0200

live-build (1:20191221kali4) kali-dev; urgency=medium

  * Use truncate --no-create --size=0 to truncate files

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 04 May 2020 15:04:43 +0200

live-build (1:20191221kali3) kali-dev; urgency=medium

  * Standardize on having the GUI installation first in boot menus

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 23 Jan 2020 16:50:01 +0100

live-build (1:20191221kali2) kali-dev; urgency=medium

  * Get rid of extraneous whitespace showing up in syslinux menu

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 22 Jan 2020 15:03:54 +0100

live-build (1:20191221kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 21:19:22 +0100

live-build (1:20191221) unstable; urgency=medium

  * Revert some Kali-specific change in scripts/build/binary_iso

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 21:07:22 +0100

live-build (1:20191220) unstable; urgency=medium

  * Fix "--debian-installer cdrom" and its interaction with binary_package-lists
    apt-ftparchive is not able to differentiate between .deb and .udeb so
    we have to install them in different pool directories so that we can
    regenerate the Packages files without having the .udeb show up
    unexpectedly.
    Since binary_package-lists can overwrite the Packages files generated
    in installer_debian-installer we have to ensure that it also updates
    the Release file created formerly.
    Ideally we should find a way to avoid the duplication of this logic.
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 19:16:08 +0100

live-build (1:20191219) unstable; urgency=medium

  [ Adrian Gibanel Lopez ]
  * Fixed foreign architecture package support to linux kernel flavours
    (Closes: #884553)

  [ Matthijs Kooijman ]
  * Remove --templates from lb_config manpage
  * Remove ldlinux.c32 for extlinux and syslinux

  [ Roland Clobus ]
  * Updated URL in many places.
  * Reenabled the command line option for colored messages for all scripts.
    The functionality was added 2008-11-01, but was not really active.
  * Removed obsolete short command line options. -f was --filesystem -l was
    --language -p was --package-list -e was --encryption
  * Do not store _QUIET in the configuration file, otherwise the overrides in
    the command line get ignored. Adds a documentation line for the other
    command line options as well.
  * Removed option none for --apt-indices, which was removed in 3.0.2-1.
  * Removed option --bootstrap, which is not implemented.
  * Mention --breakpoints in 'lb config --help'
  * Fixed a typo for --clean in 'lb config --help'
  * Manpage: --binary-filesystem also accepts ntfs
  * Matched the documentation of --checksums to the implementation in live-boot
  * Manpage: Added documentation for --breakpoints
  * Manpage: --compression also accepts xz. The default is none
  * Manpage: --config synchronised to 'lb config --help'
  * Manpage: Added documentation for --zsync
  * Manpage: Removed references to command line options that are no longer in
    the code: --firmware-binary --firmware-chroot --hooks
    --parent-mirror-chroot-updates --parent-mirror-chroot-backports
    --parent-mirror-binary-updates --parent-mirror-binary-backports
    --mirror-chroot-updates --mirror-chroot-backports --mirror-binary-updates
    --mirror-binary-backports --templates
  * --initramfs support none and live-boot
  * Manpage: Added documentation for --initsystem
  * Manpage: Added documentation for --image-name
  * Manpage: Added documentation for --hdd-label, --hdd-size and
    --hdd-partition-start
  * Manpage: --mode explicitly supports debian and progress-linux. Special
    handling for ubuntu was dropped 2015-05-03
  * Manpage: --parent-archive-areas uses the same argument name as 'lb config
    --help'
  * Manpage: Added documentation for --firmware-binary and --firmware-chroot
  * Manpage: Added documentation for --swap-file-path and --swap-file-size
  * Manpage: Added documentation for --loadlin
  * Manpage: Added documentation for --bootstrap-qemu-[arch|exclude|static]
  * Reordered the command line options to make them in alphabetical order
  * Manpage: added missing \fR tags
  * Manpage: consistent use of whitespace in the command line option list
  * Manpage: typo
  * Manpage: Use alphabetical order for the description of the command line
    options
  * --mirror-binary* was not properly sorted
  * Manpage: removed incorrect mentioning of the -d command line option
  * Manpage: removed FIXME for the SYNOPSIS section, all options are now
    listed
  * Manpage: the configuration directory (config) cannot be modified
  * Manpage: simplify the description
  * Manpage: use 3rd person form when describing an option
  * Manpage: Update the default values of --mirror-* and --parent-mirror-*

  [ adrian15 ]
  * Readd findiso parametre to loopback.cfg generation.

  [ Raphaël Hertzog ]
  * binary_package-lists: avoid messing with dpkg's status file
  * chroot_live-packages: use dpkg-query to see if a package is installed
    (Closes: #944983)
  * Set default distribution to buster.
    Thanks to Алексей Шилин (Closes: #934495)
  * installer_debian-installer: don't mess with /var/lib/dpkg/status
  * Tweak lintian overrides
  * Support --distribution-binary and --distribution-chroot (Closes: #888507)
  * Update my email in the Maintainer field.

  [ Ronny Standtke ]
  * Run binary_hooks after binary_grub-efi (Closes: #940846)

  [ John Estabrook ]
  * Add local archive keys before configuring local package repository
    (Closes: #941691)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 19 Dec 2019 18:56:00 +0100

live-build (1:20190311kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot
    - Implement use of different distributions for build and runtime
    usage.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Mar 2019 09:59:27 +0100

live-build (1:20190311) unstable; urgency=medium

  [ Hideki Yamane ]
  * use deb.debian.org as default
  * We should add buster for release. (Closes: #924293)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.3.0, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Mar 2019 10:08:38 +0000

live-build (1:20180925kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot
    - Implement use of different distributions for build and runtime
    usage.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Oct 2018 11:51:17 +0200

live-build (1:20180925) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Handle includes.chroot files installed over symlinked directories

  [ Marcel Partap ]
  * copy keys to /etc/apt/trusted.gpg.d with appropriate extension for
    them to not be ignored.

  [ Steven Shiau ]
  * Use gcd{x64.aa64}.efi.signed for amd64/arm64 arch.

  [ Luca Boccassi ]
  * UEFI: remove the EFI/debian/grub.cfg, not necessary anymore
  * Build-Depend on debhelper >= 10~ to facilitate backports.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.2.1.
  * lintian: override error on dependency on e2fsprogs

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Sep 2018 14:28:19 +0100

live-build (1:20180618kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot
    - Implement use of different distributions for build and runtime
    usage.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Jun 2018 12:12:12 +0200

live-build (1:20180618) unstable; urgency=medium

  * ONIE: make lb clean remove the ONIE binary.
  * Avoid apt-key add and just drop the custom user-supplied apt key in
    /etc/apt/trusted.gpg.d. Note that this requires the key to be in
    armored ASCII format - which is usually the default anyway.
  * UEFI: parse vendor from Grub package metadata if available, and use
    it in the EFI partition directory layout instead of always using
    "debian" (which is still the default fallback).
  * Bump Standards-Version to 4.1.4, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Jun 2018 12:02:55 +0100

live-build (1:20180411kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot
    - Implement use of different distributions for build and runtime
    usage.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 May 2018 16:19:37 +0200

live-build (1:20180411) unstable; urgency=medium

  * ONIE: Check_package in the host, not the chroot
  * ONIE: missing dependency on file
  * ONIE: add Recommends for programs needed by binary_onie
  * Print an error and exit if a host package (dependency) is missing.
  * Reconfigure bootstrapped packages after preseeding.

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Apr 2018 12:35:19 +0100

live-build (1:20180328) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Restore i386/amd64 autodetection in grub after rename of
    i386 kernel from -486 to -686. Closes: #884585
    Thanks to Adrian Gibanel Lopez for the patch.
  * Fix handling of multiple kernels in binary_loopback_cfg.
    Closes: #884588 Thanks to Adrian Gibanel Lopez for the patch.
  * Rework failsafe entries in grub configuration to be more
    consistent with the i386/amd64 autodetection entries.
    Closes: #884591 Thanks to Adrian Gibanel Lopez for the patch.
  * Add e2fsprogs to Suggests along with mtd-utils, parted. Closes: #887278
  * Fix Check_package invocation in binary_hdd for ntfs-3g
    (/sbin/mkfs.nfts -> /sbin/mkfs.ntfs)
  * Run mksquashfs with nice -n 19 to not overload the system.
    Thanks to Ronny Standtke for the patch. (Closes: #867539)

  [ Luca Boccassi ]
  * Fix build with local offline mirrors (Closes: #891206)

  [ Rohan Garg ]
  * Simplify bootstrapping of foreign architectures with qemu-debootstrap
    (Closes: #847919)

  [ Steven Shiau ]
  * Add grub-based UEFI boot support for ARM64 (Closes: #885692)

  [ Luca Boccassi ]
  * UEFI: add minimal grub.cfg to fat32 partition (Closes: #892406)
  * UEFI: add support for Secure Boot on amd64 and arm64 (Closes: #821084)
  * UEFI: use uppercase EFI directory name for Tianocore
  * Add NEWS file to warn users about change of live-boot mount paths
  * Add options to build ONIE images
  * Add Acquire::AllowInsecureRepositories to fix apt-secure in sid
  * Use HTTPS in debian/copyright (policy 4.0.0).
  * Bump Standards-Version to 4.1.3.
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Mar 2018 20:20:46 +0100

live-build (1:20171207kali2) kali-dev; urgency=medium

  * Add back Kali codename symlinks in data/debian-cd/.
  * Implement use of different distributions for build and runtime
    usage. Closes: #888507

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 26 Jan 2018 17:13:34 +0100

live-build (1:20171207kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Dec 2017 16:31:12 +0100

live-build (1:20171207) unstable; urgency=medium

  * Use $SOURCE_DATE_EPOCH when updating timestamps of manual pages in order
    to make the package reproducible at build time. Closes: #879169
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * Accept kernels without initrd. Closes: #878430
    Thanks to Balint Reczey <balint.reczey@canonical.com> for the patch.
  * Fix the way the .disk/mkisofs file is created. Closes: #881941
    Thanks to Daniel Reichelt <debian@nachtgeist.net> for the patch.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 07 Dec 2017 20:29:59 +0100

live-build (1:20170920kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Sep 2017 13:58:07 +0200

live-build (1:20170920) unstable; urgency=medium

  * Auto-update version strings in manual pages.
  * Update default value of PREPARER to correct the embedded URL.
  * Pass --partscan to losetup to clean up partition devices lingering
    from former operations. Closes: #865586
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> for the patch.
  * Fix multiple issues with LB_BUILD_WITH_CHROOT=false. Closes: #873513
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> for the patch.
  * Fix size calculation when we use FAT filesystems that do not support
    hardlinks. Closes: #873640
    Thanks to Matthijs Kooijman <matthijs@stdin.nl> for the patch.
  * Replace "kirkwood" and "orion5x" armel flavors with the new
    "marvell" (as done by the linux source package since its version 4.4).

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 20 Sep 2017 10:01:42 +0200

live-build (1:20170829kali2) kali-dev; urgency=medium

  * Replace "kirkwood" and "orion5x" armel flavors with "marvell".

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 18 Sep 2017 17:33:20 +0200

live-build (1:20170829kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 29 Aug 2017 14:21:18 +0200

live-build (1:20170829) unstable; urgency=medium

  * Add .disk/mkisofs file recording the xorriso command line. Thanks
    to Thomas Schmitt <scdbackup@gmx.net> for the suggestion.
  * Initialize /etc/default/locale with LANG=C.UTF-8 so that we always
    have a valid UTF-8 locale even when we don't have the "locales"
    package installed.
  * Drop all references to live-systems.org. Closes: #859290
  * Update copyright file.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 29 Aug 2017 14:16:49 +0200

live-build (1:20170807kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
       - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Aug 2017 09:47:28 +0200

live-build (1:20170807) unstable; urgency=medium

  * Add keyboard shortcut on the "Advanced options" syslinux menu entry.
    Closes: #864386 Thanks to Daniel Reichelt <debian@nachtgeist.net>
    for the patch.
  * Drop the --hardlinks option from xorriso command line call. It's not
    needed to avoid duplication of files since this is a native feature
    of the IS0 filesystem. cf https://bugs.kali.org/view.php?id=4109
    for a discussion about this.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 07 Aug 2017 17:29:04 +0200

live-build (1:20170213kali1) kali-dev; urgency=medium

  * Change xorriso options for EFI boot to be compatible with what
    we used to do before.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 09 Mar 2017 18:48:46 +0100

live-build (1:20170213) unstable; urgency=medium

  * Drop the versatile kernel flavour on armel. It's no longer built since
    Linux 4.9.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 13 Feb 2017 16:58:00 +0100

live-build (1:20161216) unstable; urgency=medium

  * Cleanup binary_loopback_cfg and offer more freedom in overriding
    the default grub-pc configuration.
  * Update the manual page with the missiong --bootappend-live-failsafe
    option.
  * Keep supporting the former --bootloader (without s).

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 16 Dec 2016 10:05:26 +0100

live-build (1:20161202) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Officially adopt the package. Closes: #808048
  * Better handle empty package lists.
  * Drop ixp4xx from available armel flavors, the image has been gone since
    linux 3.17.
  * Add symlinks for libgpl.c32 and libmenu.c32 which are required by
    the "Hardware Detection Tool (HDT)" menu entry that live-build adds
    in the advanced menu.
  * Add EFI boot support with grub-efi, thanks to Adrian Gibanel Lopez.
    Closes: #731709
  * Fix usage of config/packages.chroot/*.deb that has been broken by the
    switch to GnuPG2 by default by no longer using GnuPG but relying
    on APT's trusted=yes attribute instead.
    Thus we no longer have remaining key in /etc/apt/trusted.gpg
    after building. Closes: #816204
  * Try to reuse /isolinux/splash.png in default grub configuration.
  * Drop debian/source/{local-options,options} as they are no longer needed.
  * Pass components to debootstrap --second-stage. Closes: #806782
    Thanks to Sjoerd Simons <sjoerd.simons@collabora.co.uk> for the patch.
  * Fix behaviour of (undocumented) "#nif" conditional test. Closes: #801379
    Thanks to Erik Cumps <erik.cumps@esaturnus.com> for the patch.
  * Export SOURCE_DATE_EPOCH when running chroot commands. Closes: #832998
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * Set xorriso's "modification time" to SOURCE_DATE_EPOCH. Closes: #831379
    Thanks to Chris Lamb <lamby@debian.org> for the patch.
  * Support “lb config --debootstrap-script <script>” to use an alternate
    bootstrap script when running debootstrap. Thanks to Sjoerd Simons
    <sjoerd@debian.org> for the initial patch. Closes: #790033
  * Manual pages updates by jnqnfe. Closes: #774730
  * Drop left-over translation files for removed lb_testroot command.
  * Get rid of useless bootstrap_archive-keys script. Closes: #773775
  * Drop an optimization in chroot_archives that has undesired side-effects.
    Thanks to jnqnfe for the patch. Closes: #775989
  * Drop gpgv and debian-keyring from Suggests.
  * Fix Check_installed function when checking against host. Thanks to jnqnfe
    for the report. Closes: #774807
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Use a grub theme that integrates reasonably well with the current
    background picture.
  * Default for LB_UNION_FILESYSTEM is now "overlay" just like in live-boot.
  * Update the way we generate the version of live-build that is displayed by
    lb --version.
  * Instead of renaming kernel for syslinux, create hardlinks.
  * Simplify grub configuration code to use only long kernel names. Put
    advanced options in a submenu. Use distro-agnostic labels.

  [ Kristian Klausen ]
  * Include ext{3,4} journal size when calculating image size. Closes: #801712
  * Switch d-i.debian.org URIs from http to https. Closes: #809699
  * Fix typo in binary_syslinux. Closes: #818916
  * Correct syslinux/extlinux mbr.bin path. Closes: #773833

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 02 Dec 2016 23:33:45 +0100

live-build (1:20151215kali4) kali-dev; urgency=medium

  * Fix chroot_archives script to not use gpg since it GnuPG 2.x broke
    it and we have an easy way out by using APT's trusted=yes repository
    attribute.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 28 Oct 2016 09:32:19 +0200

live-build (1:20151215kali3) kali-dev; urgency=medium

  * Fix up binary_efi script for change to Check_package expected parameters.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 20 Jan 2016 17:32:53 +0100

live-build (1:20151215kali2) kali-dev; urgency=medium

  * Fix up binary_efi script for new LB_BOOTLOADERS variable.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 19 Jan 2016 12:37:36 +0100

live-build (1:20151215kali1) kali-dev; urgency=medium

  * Import new version from Debian.
  * Dropped Skip-comments-in-package-lists.patch, merged upstream.
  * Manually apply the remaining patches (due to switch from "3.0 (quilt)"
    to "3.0 (native)"):
    - Add-support-for-EFI-boot-with-syslinux-efi.patch
    - Better-handle-empty-package-lists.patch (committed upstream)
    - Drop-ixp4xx-from-available-armel-flavors.patch (committed upstream)

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 05 Jan 2016 18:22:29 +0100

live-build (1:20151215) unstable; urgency=medium

  * QA Upload.

  [ Carlos Zuferri ]
  * Adding missing file extension to hdd images.

  [ Adrian Gibanel Lopez ]
  * Multi bootloader support.
  * loopback.cfg support in the GRUB setup.

  [ Maximilian Mehnert ]
  * force link creation when diverting flash-kernel.
  * Old BIOS: start partition at specific place.
  * scripts/build/binary_hdd:
   - Fix code style.

  [ Carlos Zuferri ]
  * Using 'Live Systems Project' as default project in .pot files.

  [ trebmuh ]
  * Update French translation for manpages.

  [ Ben Armstrong ]
  * Remove 586 flavour for i386 architecture. (Closes: #807972)

  [ Iain R. Learmonth ]
  * Changing to native source format
  * debian/control:
   - Change maintainer to QA Group.
   - Updated Homepage and Vcs-* fields.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 15 Dec 2015 14:20:44 +0000

live-build (5.0~a11-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-build (5.0~a11-1kali4) kali-dev; urgency=medium

  * Add libmenu.c32/libgpl.c32 to the required syslinux files.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 13 Nov 2015 09:40:17 +0100

live-build (5.0~a11-1kali3) kali-dev; urgency=medium

  * Drop ixp4xx flavour on armel as it's gone from Debian/Kali.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 10 Nov 2015 09:35:51 +0100

live-build (5.0~a11-1kali2) kali-dev; urgency=medium

  * Add data/debian-cd/ symlinks for sana via debian/live-build.links.
  * Use "sid" as target for the symlinks as this distribution always exists.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 09 Nov 2015 17:16:18 +0100

live-build (5.0~a11-1kali1) kali-dev; urgency=medium

  * Import new version from debian
  * Drop the patches Drop-the-ixp4xx-flavour-on-armel-as-Kali-does-not-ha.patch
    as it's not needed anymore with new kernel version
  * Drop patches Do-not-pass-the-version-to-apt-ftprelease-when-we-do.patch
    Use-linux-image-586-instead-of-linux-image-486-for-k.patch and
    Drop-elilo-from-list-of-d-i-required-packages-on-i38.patch:
    now included in debian
  * Drop the patch Add-versions-for-Kali-releases.patch: fixed in debian (bug
    790860)
  * Remaining changes compared to debian: three patches including one for
    supporting EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Sep 2015 11:20:20 +0200

live-build (5.0~a11-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Getting rid of hard-coded release numbers and using /etc/os-release
    instead (Closes: #790860).
  * Updating stat calls to also give the right result in container setups,
    thanks to Kristian Klausen <klausenbusk@hotmail.com> (Closes:
    #789300).

  [ Maximilian Mehnert ]
  * Correct syslinux mbr.bin path.

  [ Daniel Baumann ]
  * Wrap and sort debian control file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 10:57:38 +0200

live-build (5.0~a10-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting typos in chroot_hooks.

  [ Raphaël Hertzog ]
  * Do not pass an empty version in APT::FTPArchive::Release::Version
    (Closes: #789800).
  * Drop elilo from list of d-i required packages on i386.

  [ Daniel Reichelt ]
  * Fix check for presence of chroot hooks
  * Fix hook scripts location in Makefile

  [ Daniel Baumann ]
  * Simplify hooks pattern in Makefile.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Aug 2015 19:35:24 +0200

live-build (5.0~a9-1) unstable; urgency=low

  * Splitting non-live specific hooks into their own subdirectory within
    hooks.
  * Installing apt and dpkg updates (if any) first in derivatives mode,
    then doing dist-upgrade.
  * Correcting symlinking of hooks in lb config.
  * Correcting execution of local binary hooks.
  * Correcting execution of local source hooks.
  * Removing parent-directory too when cleaning up the config tree bind
    mount in chroot.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Jun 2015 06:39:47 +0200

live-build (5.0~a8-1) unstable; urgency=low

  * Actually removing live-build-cgi from control.
  * Correcting leftover reference to binary_grub in binary.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 19 May 2015 06:26:38 +0200

live-build (5.0~a7-1) unstable; urgency=low

  * Renaming grub2 helper to grub-pc for later grub-efi addition.
  * Renaming grub helper to grub-legacy for consistency.
  * Dropping obsolete template checks within grub helpers.
  * Switching from http.debian.net to httpredir.debian.org as default
    binary mirror.
  * Removing broken samhain handling (Closes: #785264).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 14 May 2015 13:16:38 +0200

live-build (5.0~a6-1) unstable; urgency=low

  * Moving grub and grub2 templates into shared bootloader config
    directory.
  * Updating example gitignore file.
  * Flattening frontend directory within the source tree.
  * Adding hook to disable tmpfs on /tmp when using sysvinit, previously
    done by live-config.
  * Moving hooks to hooks/live, both in live-build sources and live-build
    configs.
  * Dropping automagics for casper.
  * Dropping automagics for ubuntu.
  * Adding data symlink for stretch.
  * Dropping support for upstart.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 May 2015 20:03:59 +0200

live-build (5.0~a5-1) unstable; urgency=low

  * Removing temporary hack to exclude prism2-usb-firmware-installer, the
    download homepage seems to work again (Closes: #783433).
  * Moving cgi to its own source package.
  * Correcting wrong tar command for tarball images, thanks to Yadickson
    Soto <yadickson@gmail.com> (Closes: #780627).
  * Setting debian default distribution to stretch.
  * Setting progress-linux default distribution to cairon.
  * Calling lb config in lb build to support building a all-default-image
    with a simple lb build (Closes: #778327).
  * Overwriting reather than appending content of autorun.inf (Closes:
    #777359).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 Apr 2015 07:53:25 +0200

live-build (5.0~a4-1) unstable; urgency=low

  [ Richard Nelson ]
  * Adding live-build version information to the footer of live-build-cgi
    footer.html.

  [ Daniel Baumann ]
  * Adding hook to create locales files.

  [ victory ]
  * Unfuzzy Japanese translation.

  [ Richard Nelson ]
  * Rename LIVE_IMAGE_TYPE to LB_BINARY_IMAGES on l-b-cgi frontend.
  * Initial commit to provide biuld status on l-b-cgi frontend.
  * Harmonize variables on build status script for l-b-cgi frontend.
  * Added output of processing builds to status page for l-b-cgi frontend.
  * On status output of running builds only count directories for l-b-cgi
    frontend.
  * Adding live option for debian_installer in template for l-b-cgi
    frontend.

  [ Daniel Reichelt ]
  * Don't truncate files outside the build chroot.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Apr 2015 20:20:53 +0200

live-build (5.0~a3-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing spurious .grep.swp temporary file in source tree.
  * Adding check for isolinux build-depends in chroot.
  * Updating d-i bootparameter separator for jessie.
  * Enabling security and release updates for jessie.
  * Correcting typo in stagefile check for includes.chroot.
  * Using -iso-level 3 option for xorriso to work with image sizes beyond
    4 GB (Closes: #775424).
  * Correcting packagelist parsing when packages are listed with notation
    of a specific version (Closes: #775832).
  * Switching to default to linux-image-586 on i386.

  [ Fathi Boudra ]
  * Adding linux flavours for arm64/armhf architectures.

  [ Daniel Baumann ]
  * Making functions/chroot_bind_path.sh executable within the source tree
    (Closes: #777096).
  * Using same logic to create the source/.disk/archive_trace for
    binary/.disk/archive_trace too (Closes: #774200).
  * Applying patch from jnqnfe <jnqnfe@gmail.com> to correct grub2
    bootloader directory within the binary images (Closes: #775316).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 07 Feb 2015 06:57:26 +0100

live-build (5.0~a2-1) experimental; urgency=low

  [ Raphaël Hertzog ]
  * Skip comments in package lists.

  [ Jan Blunck ]
  * Bind local repository into chroot directory.

  [ jnqnfe ]
  * Address "should check that we're building on debian through e.g. a
    'derivative-is-based-on' variable or somesuch" fixme.

  [ Daniel Baumann ]
  * Updating misc settings for progress-linux.
  * Cleaning up from python removal (LIVE_IMAGE_PARENT_ARCHIVE_AREAS).
  * Dropping cdebootstrap support (Closes: #773657).

  [ Richard Nelson ]
  * Dropping support of config type rescue in frontend/cgi.

  [ Daniel Baumann ]
  * Adding wget to recommends (Closes: #774326).
  * Changing package dependency checks within chroot to work outside as
    well.
  * Updating wget dependency in installer_debian-installer to look for
    wget on the host system rather than the chroot.
  * Adding wget dependency in chroot_firmware.
  * Dropping some sparc leftovers (Closes: #774196).
  * Adding apt-utils to recommends (Closes: #774339).
  * Adding gpgv and debian-keyring to suggests for bootstrapping archive
    keyrings in derivative modes.
  * Dropping unuseful information from bug-script (Closes: #774340).
  * Applying slightly modified patch from jnqnfe <jnqnfe@gmail.com> to
    show correct win32-loader ico file on windows (Closes: #772781).
  * Correcting dependency checks in binary_package-lists (Closes:
    #774336).
  * Dropping manual include of dbus for live-config-systemd, it's a
    recommends now.
  * Updating year in copyright notices to 2015.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Jan 2015 20:06:56 +0100

live-build (5.0~a1-1) experimental; urgency=low

  * Dropping support for wheezy.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 08:39:14 +0100

live-build (4.0.4-1kali7) kali-dev; urgency=medium

  * Do not try to include elilo, it's gone from Debian Testing.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 15 Jul 2015 12:16:00 +0200

live-build (4.0.4-1kali6) kali-dev; urgency=medium

  * Make sure apt-ftparchive does not fail due to #693092.
  * Add versions for Kali releases.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 24 Jun 2015 17:47:29 +0200

live-build (4.0.4-1kali5) kali-dev; urgency=medium

  * Add symlinks for moto/sana/kali-current in data/debian-cd/.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 24 Jun 2015 16:06:05 +0200

live-build (4.0.4-1kali4) kali-dev; urgency=medium

  * Update d-i setup code to use linux-image-586 instead of linux-image-486
    for newer versions of Kali.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 18 Jun 2015 10:42:53 +0200

live-build (4.0.4-1kali3) kali-dev; urgency=medium

  * Fix EFI patch to properly include syslinux "libraries" which
    are now in a separate path from syslinux.efi.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 03 Feb 2015 15:44:04 +0100

live-build (4.0.4-1kali2) kali-dev; urgency=medium

  * Better handle empty package lists (second try).
  * Fix EFI patch to use again LB_ARCHITECTURES instead of
    LIVE_IMAGE_ARCHITECTURE.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 10 Dec 2014 16:03:17 +0100

live-build (4.0.4-1kali1) kali-dev; urgency=medium

  * Update on top of live-build 4.0.4-1. Remaining changes:
    - skip comments in package list
    - EFI support
    - disable ixp4xx flavour on armel

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 10 Dec 2014 09:14:54 +0100

live-build (4.0.4-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Applying patch from Gabriele Gristina <gabriele.gristina@gmail.com> to
    fix automated checks for using aptitude.
  * Adding hook to enable cryptsetup (Closes: #767195).
  * Dropping prism2-usb-firmware-installer which fetches firmware from (at
    least) temporarily broken website.

  [ Raphaël Hertzog ]
  * Update linux flavours for armhf/armel.
  * Properly support empty package lists.
  * binary_syslinux: correct the path used to check if the bootloader is
    available.

  [ Daniel Baumann ]
  * Cleaning up from python removal (LIVE_IMAGE_ARCHITECTURE).
  * Cleaning up from python removal (LIVE_IMAGE_ARCHIVE_AREAS).
  * Avoid failing to autocreate live.list.chroot in lb config when using
    --clean, thanks to jnqnfe <jnqnfe@gmail.com> (Closes: #770637).

  [ jnqnfe ]
  * Fix broken calls to Get_conffiles() from Read_conffiles() and
    Print_conffiles() (Closes: #770645).
  * Fix chroot_package-lists script saving to wrong cache (Closes:
    #771002).
  * Fix missing grub2 option in bootloader selection (Closes: #772671).

  [ Daniel Baumann ]
  * Correcting stage name check in chroot_includes, thanks to jnqnfe
    <jnqnfe@gmail.com> (Closes: #771377).
  * Correcting typo in apt.conf.d directory name, thanks to jnqnfe
    <jnqnfe@gmail.com> (Closes: #771392).

  [ jnqnfe ]
  * Fix typo in variable name (LH_LINUX_FLAVOURS instead of
    LB_LINUX_FLAVOURS) in installer_debian-installer script, affecting the
    armel architecture (Closes: #770796).

  [ Daniel Baumann ]
  * Somewhat fixing sysvinit and casper legacy support, slightly improved
    patch from Rui Miguel P. Bernardo <rui.bernardo.pt@gmail.com> (Closes:
    #772522, #772651).
  * Ugly hack to force dbus inclusion when using live-config-systemd
    (Closes: #769635).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 08:23:55 +0100

live-build (4.0.3-1kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Update EFI patch.
  * Fix binary_syslinux to properly detect the presence of the bootloader.

  [ Raphaël Hertzog ]
  * Improve package list parsing code in multiple ways:
    - fix the #if conditionals
    - accept comments in those files
    - do not fail on empty package lists
  * Make the armel/armhf patch upstreamable.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Dec 2014 15:56:49 +0100

live-build (4.0.3-1kali1) kali-dev; urgency=medium

  * Import new debian version
  * Drop patches add-xfsprogs-jfsutils-to-d-i and
    fix-kernel-metapackages-used-in-di-step as it's already in debian version.
  * Add a link to kali-rolling

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 27 Nov 2014 16:00:47 +0100

live-build (4.0.3-1) unstable; urgency=low

  [ Richard Nelson ]
  * Adding cinnamon-desktop to frontend/cgi.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.6.

  [ Richard Nelson ]
  * Correct variable name for apt_indices and adjust sed order for
    population of build feedback on frontend/cgi.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Oct 2014 14:39:03 +0200

live-build (4.0.2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Creating live.list.chroot with live packages in config.

  [ victory ]
  * Fix typos in lb_config.1.
  * Add Japanese translations.

  [ Daniel Baumann ]
  * Making populating of live.chroot.list distribution specific.
  * Making check target in manpages makefile comply with the rest.
  * Dropping incomplete German manpage translations.
  * Dropping syslinux 6 symlinks from bootloader configs for wheezy.
  * Removing source_includes from toplevel source script, it was a python
    stub and will come back at a later point.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Sep 2014 13:42:37 +0200

live-build (4.0.1-1) unstable; urgency=low

  * Dropping leftover testroot call in bootstrap_cdebootstrap and
    bootstrap_debootstrap.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Aug 2014 23:25:52 +0200

live-build (4.0.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting wrong target for /etc/mtab symlink in create-mtab-symlink
    hook, thanks to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>.
  * Setting default distribution to jessie.

  [ Ben Armstrong ]
  * Exclude lib and non-main sections as tasksel does (Closes: #758218).

  [ Daniel Baumann ]
  * Moving partial python rewrite to separate branch, let's do it in the
    jessie+1 cycle rather than go with the current mixed code.
  * Restoring old manpages since we're back to the non-python
    implementation (Closes: #745134).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Aug 2014 00:59:45 +0200

live-build (4.0~alpha39-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating isohdpfx handling for syslinux 6.

  [ Richard Nelson ]
  * Include mate-desktop in templates/cgi/debian/form.html

  [ Daniel Baumann ]
  * Enabling syslinux 6 support for jessie as well.
  * Unconditionally replacing bootloader symlinks with syslinux 6 from
    jessie, this will break building wheezy images (so we have to come up
    with something better than that prior upload).
  * Adding second set of bootloader templates for wheezy.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jul 2014 05:05:17 +0200

live-build (4.0~alpha38-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Also creating source stagefile in source_debian.

  [ Carlos Zuferri ]
  * Adding .po integrity check target to manpages/Makefile.
  * Adding '--package-version' to po4a options.

  [ Daniel Baumann ]
  * Enabling syslinux 6 support for sid.

  [ Kiel Christofferson ]
  * Replace subprocess.call() with subprocess.check_call().

  [ Richard Nelson ]
  * Add --apt option on frontend/cgi.

  [ Daniel Baumann ]
  * Adding symlink for udeb data for jessie.

  [ Simon McVittie ]
  * If /etc/mtab exists as a file, replace it with a symlink (Closes:
    #746570).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 25 Jun 2014 21:04:46 +0200

live-build (4.0~alpha37-1) unstable; urgency=low

  * Updating default boot parameters for live-config 4.x.
  * Adding hook to create /etc/mtab as a symlink to /proc/mtab if not
    already existing (Closes: #746570).
  * Only removing stage files in lb clean --stage and keep .build around
    in order for init to detect initialized config directories properly.
  * Adding wheezy legacy handling for syslinux.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 May 2014 07:01:35 +0200

live-build (4.0~alpha36-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Truncate /etc/machine-id instead of deleting it.

  [ Daniel Baumann ]
  * Correcting os.chmod usage in lb init.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Apr 2014 19:50:40 +0200

live-build (4.0~alpha35-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Calling init in build as well when automatically populating a new
    config tree.
  * Switching default debian release to jessie.
  * Allow cache directories to be symlinks as well (Closes: #741934).
  * Cleaning /etc/hosts as in previous live-build versions (Closes:
    #744939).

  [ Simon McVittie ]
  * Add support for making ext[234] or btrfs hdd images bootable with
    extlinux (Closes: #745816)

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Apr 2014 12:39:53 +0200

live-build (4.0~alpha34-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Only automatically do replacements within syslinux configs when they
    are not directories (as they can be in the pxelinux.cfg case), thanks
    to Antony Messerli <amesserl@rackspace.com> (Closes: #745760).
  * Correcting required installer package determination to avoid extra
    packages, thanks to Benjamin Moody <benjamin.moody@gmail.com> (Closes:
    #739729).
  * Failing in lb config when config wasn't initialized first with lb init
    (Closes: #744365).
  * Using cp -a on all non-fat filesystems to copy content into the binary
    image (Closes: #745824).

  [ Simon McVittie ]
  * Run hooks in sorted order (Closes: #745839).

  [ Daniel Baumann ]
  * Dropping superfluous comment about recompression initrd images in
    chroot_hacks.
  * Updating sha1sum for recompressed initrd images (Closes: #745205).
  * Adjusting splash.svg filename in embedded syslinux configurations to
    match code (Closes: #745020).
  * Ensuring correct include directory permissions avoiding tainting of
    target system in lb init.
  * Abort early in installer_preseed if d-i is not included on the image
    (Closes: #745855).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Apr 2014 08:01:22 +0200

live-build (4.0~alpha33-1) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:47:27 +0200

live-build (4.0~alpha32-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating copyright notices for 2014.

  [ Kiel Christofferson ]
  * Use LB_INITRAMFS case instead of assuming "live".
  * Only grab the latest version of kernel+initrd pair.
  * Auto-detect foreign architectures in packagelist.
  * Only call shift if args are not empty.
  * Allow config command without root privileges.
  * Include "components" when detecting local scripts.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 02 Mar 2014 06:24:34 +0100

live-build (4.0~alpha31-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Creating all includes directories in config.
  * Decrufting depends, recommends and suggests.
  * Dropping chroot_live-packages by moving logic outside of live-build
    into the config directory.
  * Adding initial stub for lb init.
  * Adding lb-init manpage.
  * Adding --distribution to lb-init.

  [ chals ]
  * Removing obsolete po4a flag 'no-backups' from manpages/Makefile.
  * Fixing typo in lb-binary-hooks.1 manpage.
  * Translating lb-binary-hooks.1 into Spanish.
  * Updating small bits in several .po files, Spanish translation.

  [ Daniel Baumann ]
  * Correcting comment in bootstrap-cdebootstrap.

  [ chals ]
  * Translating lb-binary-includes.1 manpage into Spanish.
  * Translating lb-bootstrap-includes.1 manpage into Spanish.
  * Translating lb-chroot-includes.1 manpage into Spanish.
  * Fixing copy and paste error in lb-bootstrap-includes.es.1 manpage,
    Spanish translation.
  * Translating lb-source-includes.1 manpage into Spanish.

  [ Daniel Baumann ]
  * Moving bootstrapping of derivative archive-keys from config to init.
  * Moving live-build development disclaimer message from lb-config to lb-
    init.
  * Adding some notes on coding style in python readme.

  [ chals ]
  * Updating dates in manpages.
  * Updating Spanish translation of lb-bootstrap-cdebootstrap manpage.
  * Updating Spanish translation of lb-bootstrap-debootstrap manpage.
  * Updating Spanish translation of lb-bootstrap-hooks manpage.
  * Updating Spanish translation of lb-chroot-hooks manpage.
  * Translating lb-init manpage into Spanish.
  * Translating lb-source-hooks manpage into Spanish.
  * Updating, again, lb-bootstrap-debootstrap manpage, Spanish
    translation.
  * Unfuzzying dates in the Spanish translation.
  * Unfuzzying dates in the German translation of the manpages.

  [ Daniel Baumann ]
  * Unfuzzing German translation of lb-binary-hooks.1
  * Correcting file open modes in lb-init.
  * Correcting a few copy/paste errors in *-includes python stubs.
  * Pre-emptively removing occurances of the short name of the Debian
    derivative from Canonical that cannot be named.
  * Silencing copying of syslinux themes since users get always distracted
    about syslinux 6 files not being dereferenced (which can be totally
    ignored if you're using syslinux 4).

  [ Richard Nelson ]
  * Adding jessie distribution to l-b-cgi frontend.

  [ Diederik de Haas ]
  * Updated gitignore file with newly generated files.

  [ Daniel Baumann ]
  * Explicitly building iso images with rock ridge extension.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Jan 2014 21:03:41 +0100

live-build (4.0~alpha30-1) experimental; urgency=low

  * Updating filenames suffixes of example hook files.
  * Switching from global lock file to config tree specific one.
  * Simplifying package cache stanza in python bootstrap stubs.
  * Adding program specification to lb_binary_hooks manpage.
  * Adding program specification to lb_source_hooks manpage.
  * Adding program specification to lb_chroot_hooks manpage.
  * Adding program specification to lb_bootstrap_hooks manpage.
  * Harmonizing options markup in manpages.
  * Correcting spelling typo in manpages (s/hoooks/hooks/).
  * Moving testroot into lb wrapper itself.
  * Stuffing bootstrapping of archive-keys for derivatives into lb_config,
    it's not a runtime thing and its logic should not be embedded in live-
    build but the config directory.
  * Handling bootstrap cache inside the bootstrap stubs itself.
  * Streamlineing a few comments in the python stubs.
  * Removing wrong reference to config/build in lb_*_hooks manpages.
  * Switching to later submodule naming scheme for python stubs.
  * Updating todos in python stubs.
  * Rewriting chroot_includes in python.
  * Updating program description of *-hook commands.
  * Adding lb-chroot-includes manpage.
  * Adding dependency check for cpio in chroot-includes.
  * Correcting spelling typo in python stubs (s/optained/obtained/).
  * Completing incomplete verbose message when copying files in chroot-
    includes.
  * Rewriting binary_includes in python.
  * Adding lb-binary-includes manpage.
  * Adding sources-includes.
  * Adding lb-source-includes manpage.
  * Adding bootstrap-includes.
  * Correcting error message when no includes have been found in
    *-includes commands.
  * Adding lb-bootstrap-includes manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Nov 2013 19:08:04 +0100

live-build (4.0~alpha29-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Rewriting bootstrap_hooks in python.
  * Making various things in bootstrap manpages more consistent.
  * Also processing config/hooks/*.hook in bootstrap_hooks, if any.
  * Adding lb_bootstrap_hooks manpage.
  * Rewriting chroot_hooks in python.
  * Adding lb_chroot_hooks manpage.
  * Updating file suffixes of the internal default hooks.
  * Automatically symlink hooks upon creation of the configuration tree.
  * Updating configuration path in update-apt-file-cache.hook.chroot.
  * Rewriting binary_hooks in python.
  * Adding lb_binary_hooks manpage.
  * Rewriting source_hooks in python.
  * Adding lb_source_hooks manpage.
  * Adding see also entries in hooks manpages.
  * Moving python stubs to their own subdirectory within the source tree.
  * Manually adding --version to argparse in python stub since python 3.3
    dropped the version keyword.
  * Replacing os.link calls for hooks with shutil.copy to properly
    dereference symlinks in python stubs.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Nov 2013 07:17:48 +0100

live-build (4.0~alpha28-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Depending on python3, thanks to Richard Nelson <unixabg@gmail.com>
    (Closes: #726806)

  [ Richard Nelson ]
  * Updating files to copy for finished build on l-b-cgi frontend and the
    4.x branch.

  [ Daniel Baumann ]
  * Dropping incomplete and not really supported exposed root mode.
  * Weakening mode on pts for compliance with eglibc 2.18 within
    containers during build.
  * Updating rsvg calls in binary_syslinux for newer versions of
    librsvg2-bin, thanks to Roberto Carlos Morano <rcmorano@emergya.com>
    (Closes: #728030).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Oct 2013 08:35:53 +0100

live-build (4.0~alpha27-1) experimental; urgency=low

  * Updating package descriptions.
  * Replacing s390 with s390x in architecture specific defaults.
  * Adding bootstrap hooks.
  * Depending on python only for the time being, rather than python3.3.
  * Rewrapping control file.
  * Moving /selinux to /sys/fs/selinux to accomodate newer selinux in
    debian.
  * Making warning about alpha version of live-build in lb_config
    conditional on the internal version.
  * Using 4 instead of 4.0 for unreleased 4.x versions as version number
    in python stubs.
  * Updating German manpage translations.
  * Harmonize comments in python stubs.
  * Calling parted with optimal aligning.
  * Sorting todo items in python stubs.
  * Updating descriptions in python stubs.
  * Adding note about outdated/unsupported versions in general develop-
    ment-version warning message.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Oct 2013 09:48:31 +0200

live-build (4.0~alpha26-1) experimental; urgency=low

  [ Jan Blunck ]
  * Remove chroot-only configured apt sources in chroot_archives remove.
  * Selectively remove chroot-only APT configuration and preferences
    instead of wiping everything.

  [ Daniel Baumann ]
  * Removing unused description variable in syslinux configs.
  * Updating to python 3.3 (Closes: #723702).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 19 Sep 2013 09:10:12 +0200

live-build (4.0~alpha25-1) experimental; urgency=low

  [ Richard Nelson ]
  * Modify l-b-cgi frontend logging paths.

  [ Daniel Baumann ]
  * Making workaround for apt-get source actually working in backports-
    included-but-not-enabled scenarios.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 18 Sep 2013 10:23:16 +0200

live-build (4.0~a24-1) experimental; urgency=low

  * Updating initsystem default for progress-linux releases.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 06 Sep 2013 20:05:13 +0200

live-build (4.0~a23-1) experimental; urgency=low

  * Updating cgi templates for current bootstrap version 3.0.0 based theme
    on live-systems.org.
  * Updating hardcoded defaults for syslinux splash descriptions for
    progress-linux.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 06 Sep 2013 18:30:14 +0200

live-build (4.0~a22-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating binary repository prefix for progress-linux.
  * Updating syslinux flavour detection for progress-linux.

  [ Raphaël Hertzog ]
  * Ensure xfsprogs and jfsutils are available in the ISO when d-i is
    used.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Sep 2013 17:30:38 +0200

live-build (4.0~a21-1) experimental; urgency=low

  * Breaking out installer integration into an own stage.
  * Splitting out preseed handling from main installer script.
  * Adding note about live-build version in build to get the lb version
    into build logs.
  * Using includes.installer instead of includes.debian-installer.
  * Avoid failing on package lists fails that have no newline at the end.
  * Reorganizing frontend in source tree.
  * Dropping global archive definitions shipped in
    /usr/share/live/build/archives (same as with packagelists, hidden
    archive 'magic' is gone now in favour of explicit config tree
    configuration).
  * Removing some leftovers in chroot_archives from --archives removal.
  * Handling dist-upgrade right after bootstrap with copy of
    chroot_archives as bootstrap_archives in preparation for a future
    multi-archive bootstrap.
  * Moving caching out of bootstrap_{c,}debootstrap to own helper for
    future unification with chroot caches helper.
  * Debranding live sources.
  * Expanding all variables in all syslinux configuration files, rathern
    than on some selected ones only.
  * Updating linux-image package names for 3.0 in installer_debian-
    installer.
  * Stripping backports from sources.list temporarily when obtaining
    sources to workaround apts disregard of pinning for the cases where
    backports are included but not enabled.
  * Calling bootstrap_archives with correct pass argument.
  * Correcting wrong defaults setting for parent distribution in
    config/build.
  * Removing obsolete starting of binary_debian-installer in binary.
  * Renaming some leftover pieces from binary_debian-installer to
    installer_debian-installer.
  * Correcting wrong installer directory moving check in progress-linux
    mode.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 Aug 2013 18:06:23 +0200

live-build (4.0~a20-1) experimental; urgency=low

  [ Richard Nelson ]
  * Improve reading of post data on l-b-cgi frontend.

  [ Daniel Baumann ]
  * Removing importet test bashism in frontends/cgi/live-build-cgi.
  * Updating versioning scheme references to match new scheme since
    wheezy.
  * Dropping some EOL ubuntu release information.

  [ Richard Nelson ]
  * Correcting bashism in frontends/cgi/live-build-cgi
  * Reverting returning the error code from auto/build script, doesn't
    work.
  * Run build call from l-b-cgi.cron with noauto.
  * Adding set +e to l-b-cgi.cron so script will finish on errors.

  [ Daniel Baumann ]
  * Adding hook to remove ssl-cert-snakeoil by default.
  * Extending wget calls with options variable in bootstrap_archive-keys
    too (Closes: #712710).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 19 Jun 2013 08:01:17 +0200

live-build (4.0~a19-1) experimental; urgency=low

  [ Richard Nelson ]
  * Modified l-b-cgi cron to move submitted build file to temporary build
    directory after reading.
  * Initial commit on l-b-cgi frontend to support multiple instances of
    image building.
  * Formatting cleanup on l-b-cgi.cron wrt commit that support multiple
    instances of image building.

  [ Daniel Baumann ]
  * Sorting kernel versions in reverse order (newest first) in syslinux
    configurations in consistency with normal bootloader behaviours.
  * Moving creation of chroot.files manifest in lb chroot after pseudo-
    filesystems have been unmounted to avoid loops, thanks to Michal
    Suchanek <hramrach@gmail.com>.
  * Sorting imports in python stubs.

  [ Richard Nelson ]
  * Return the error code from auto/build script.

  [ Daniel Baumann ]
  * Including memtest86+ in syslinux menu.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 May 2013 16:48:19 +0200

live-build (4.0~a18-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating derivatives archive-key signature validiation to look by
    default at both debian and debian-maintainers keyrings.
  * Updating bootstrap mirror for progress-linux.
  * Enabling release updates (formerly known as volatile) for wheezy.
  * Updating todo in python stubs.
  * Skipping loadlin inclusion on netboot images.

  [ chals ]
  * Changing how syslinux files are copied to make netboot images work
    properly.

  [ Daniel Baumann ]
  * Adding ls -lR files as .files output.
  * Renaming remove-udev-persistent-rules.chroot hook to remove-udev-
    persistent-net-rules.chroot for future additional udev hooks.
  * Adding hook to disable 70-persistent-cd.rules udev rule to prevent
    udev remember the cd device name both the one of the build system and
    the one of the live system (Closes: #706926).
  * Renumbering hook scripts.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 06 May 2013 20:09:54 +0200

live-build (4.0~a17-1) experimental; urgency=low

  [ Michael Stummvoll ]
  * Using LB_HDD_SIZE to determine the size of the image.

  [ Daniel Baumann ]
  * Replacing bootstrap_debootstrap with Python stub.
  * Replacing bootstrap_cdebootstrap with Python stub.
  * Updating bootstrap for Python stubs.
  * Excluding Python scripts from shell script tests in top-level
    Makefile.
  * Adding depends to python3.2.
  * Temporary hack for lb config to produce config/build until stuff is
    cleaned up properly.
  * Removing bootstrap_cache, not needed anymore.
  * Dropping now unused intermediate config/image.
  * Adding python readme.
  * Moving old manpages out of the way.
  * Adding new lb_bootstrap_debootstrap manpage.
  * Adding initial German translation for bootstrap_debootstrap manpage.
  * Adding new lb_bootstrap_cdebootstrap manpage.
  * Adding initial German translation for bootstrap_cdebootstrap manpage.
  * Switching argument and configuration handling order in Python stubs.
  * Adding files section in bootstrap_debootstrap and
    bootstrap_cdebootstrap manpages.

  [ chals ]
  * Adding initial Spanish translation of two man pages.

  [ Daniel Baumann ]
  * Writing errors to stderr in Python stubs.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 08 Apr 2013 22:19:36 +0200

live-build (4.0~a16-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Correcting typo directory when dereferencing syslinux symlinks when
    building chrooted, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
  * Debranding package for derivatives.
  * Using dpkg-divert in chroot_upstart script to handle upgrades of
    upstart during the build (Closes: #702537).
  * Using dpkg-divert for other diversions too to handle upgrades of the
    diverted stuff during build.
  * Adding generic live-build handle in chroot_dpkg for other live
    packages to act upon.
  * Updating fallback help message in live-build pseudo-command.
  * Simplyfing live-build pseudo-command.
  * Correcting grammer error in live-build description.
  * Improving comment in lb about embedded live-build within config tree.
  * Removing old docs.
  * Adding set -e in example auto scripts.
  * Setting memtest default to none.
  * Using ntfs-3g to mount ntfs partitions.
  * Adding check for ntfs-3g on the host system, precluding the initial
    ntfs binary filesystem support (Closes: #697793).
  * Dropping dedicated backports mirror handling, not needed anymore with
    the move of backports.d.o into ftp.d.o.
  * Dropping dedicated updates (formerly volatile) mirror handling, not
    needed anymore.
  * Renaming config/control to config/image.
  * Removing dedicated emdebian mode, this can entirely be handled with
    different defaults.

  [ Michael Stummvoll ]
  * Fixing missing quotes for tr commands to avoid unwanted expansions.

  [ Richard Nelson ]
  * Converting l-b-cgi frontend to process forms with post.

  [ Daniel Baumann ]
  * Replacing strings in all syslinux config files, not just certain
    hardcoded ones.
  * Cleaning up installer file locations for progress-linux.
  * Aborting early in chroot_package-lists if no package list is found.
  * Stripping out comments in package lists.
  * Unifying append options in binary_syslinux when processing
    configuration files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Apr 2013 08:25:04 +0200

live-build (4.0~a15-1) experimental; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 22:18:46 +0100

live-build (4.0~a14-1) experimental; urgency=low

  [ Richard Nelson ]
  * Add sanity check on config type to build for l-b-cgi.
  * Add _CGI_CONFIG_APPEND varialbe for appending options to lb config
    call on l-b-cgi frontend.
  * Change _CGI_CONFIG_APPEND to front of the lb config call on l-b-cgi
    frontend.
  * Removing quotes around _CGI_CONFIG_APPEND to handle multiple
    parameters correctly on l-b-cgi frontend.
  * Adding binary image type to config call on l-b-cgi frontend.
  * Add log information of git:://url for l-b-cgi frontend.
  * Append to log file on errors and not truncate the file on l-b-cgi
    frontend.

  [ Daniel Baumann ]
  * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
    barratt.org.uk>.

  [ Raphaël Hertzog ]
  * Fixing win32-loader.ini by including the GTK related entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:06:14 +0100

live-build (4.0~a13-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing non-existent --apt-indices none references.
  * Also showing distribution in lb config initial messages.
  * Making messages about reading system conffiles in lb config more
    accurate.
  * Harmonize handling of pre-existing gnupg dotfiles in chroot when
    handling fake signing keys for local repository.
  * Making some more debian source-selections conditional on certain image
    options.

  [ Raphaël Hertzog ]
  * Increasing oversizing factor of ext* filesystems from 5 to 6%.

  [ Daniel Baumann ]
  * Adding source_hooks for hooks on source images like already supported
    on binary images.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Feb 2013 23:29:53 +0100

live-build (4.0~a12-1) experimental; urgency=low

  * De-debianizing linux-flavour defaults on i386 and only including 486.
  * Defaulting to latest ubuntu release by default in ubuntu mode.
  * Adding release version for ubuntu raring.
  * Updating d-i suite symlink for wheezy release.
  * Removing incomplete support for root-command.
  * Removing incomplete support for fakeroot.
  * Correcting typo in grub2 config template.
  * Synchronise grub and grub2 splashes with internal live-build splash
    for syslinux bootloaders.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 18 Feb 2013 21:49:32 +0100

live-build (4.0~a11-1) experimental; urgency=low

  * Allowing to use parted its automatic offset handling at the beginning
    of a disk, rather than to harcode it to first block (Closes: #647607).
  * Aborting with error if hdd label has a whitespace (Closes: #648861).
  * Dropping sparc bootloader support (silo), there is nobody actively
    maintaining this in live-build.
  * Dropping powerpc bootloader support (yaboot), there is nobody actively
    maintaining this in live-build.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 15 Feb 2013 12:39:09 +0100

live-build (4.0~a10-1) experimental; urgency=low

  * Removing superfluous menu default directive in installer syslinux
    menues.
  * Updating wheezy release number.
  * Adding 3.0.1-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 15 Feb 2013 09:00:52 +0100

live-build (4.0~a9-1) experimental; urgency=low

  * Updating wheezy pre-release number for b4.
  * Dropping dpkg compression level.
  * Correcting spelling typos in changelog to make lintian happy.
  * Escaping quotes to workaround a false-positive of checkbashisms in
    binary_debian-installer.
  * Correcting install path in loadlins install.bat for the gtk d-i
    flavour.
  * Switching default binary filesystem for hdd images to fat32 to be more
    robust on todays flash devices.
  * Correcting vshift in syslinux themes to correct display bug with
    overlong lines, thanks to Thanatermesis <thanatermesis@gmail.com>.
  * Adding bootrap_archive-keys to establish secure trust-chain on top of
    debian-keyring for derivatives.
  * Updating syslinux configurations and handling for syslinux 5.
  * Adding hook to remove systemd machine-id.
  * Renumbering hooks.
  * Correcting wrong debian-installer syslinux menu files.
  * Including HDT in advanced options menu within syslinux menu.
  * Updating binary_debian-installer for newer append replacement
    variables used in syslinux configs.
  * Dropping theme package support, themes are either in the config tree
    or the embedded one from live-build is used.
  * Correctly remove binary contents and packages file in clean script.
  * Adding key-shortcut for advanced options in syslinux menu.
  * Removing default menu marker for install entry in syslinux menu.
  * Converting splash.svg not just splash.svg.in files as syslinux
    bootsplashes.
  * Removing dropped syslinux-theme config option from lb_config manpage.
  * Adding 3.0.0-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 09 Feb 2013 00:23:47 +0100

live-build (4.0~a8-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating manpage year handling for 2013.
  * Using cat instead of echo to workaround incompatible and conflicting
    uses in escaping of \t in dash and bash, and less importantly to
    workaround a false-positive in checkbashisms.
  * Updating footer link to 'legal information' in cgi html template.
  * Cleaning up binary_loadlin.
  * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
    templates.
  * Updating footer in cgi html template.
  * Correcting spelling typo in html footer of the cgi, thanks to Jean-
    Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
  * Removing reference to removed --package-lists option in lb_config
    manpage (Closes: #698260).

  [ Richard Nelson ]
  * Correcting typo on functions/default.sh, thanks to jhcha54008
    <jhcha54008@free.fr> (Closes: #698397).

  [ Daniel Baumann ]
  * Updating samhain workaround in chroot_dpkg to work if live-build is
    being used with sudo or fakeroot (Closes: #698423).
  * Correcting apt-key cleanup of local dummy signing keys when using
    local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
  * Making xorriso option handling a bit more readable.
  * Applying slightly modified patch from Raphaël Hertzog
    <hertzog@debian.org> to fix automatic firmware inclusion when using
    debian-installer with live-installer and having firmware packages
    installed in the live system already.
  * Adding config/control in example gitignore file.
  * Adding 3.0~b6-1 changelog entries.
  * Correcting variable default assignment for new configuration tree
    layout.
  * Avoiding to unconditionally adding whitespace separator to
    config/control for existing configs.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 20 Jan 2013 11:28:27 +0100

live-build (4.0~a7-1) experimental; urgency=low

  * Omitting binary manifest creation when chroot filesystem is set to
    none.
  * Omitting memtest in binary if chroot filesystem is set to none.
  * Simplifying exit check in chroot_linux-image.
  * Splitting off chroot firmware handling into an own script.
  * Removing redundant check for linux-images in binary_linux-image.
  * Correcting glitch with plain chroot filesystems in binary_chroot.
  * Switching order of kernel flavours in defaults, the last added one in
    the list becomes the default symlink target in the rootfs by apt.
  * Dropping support for now unused includes feature in package lists.
  * Using .cfg suffix for consistency with debian-installer on preseed
    files in config/preseed.
  * Adding sample gitignore file in examples.
  * Setting debian-installer to false in all modes by default.
  * Updating year in all copyright notices.
  * Updating removal of backup files in stripped example hook to also work
    with spaces in filenames.
  * Don't fail when adding symlinks for firmware in binary/firmware for
    debian-installer and the symlink already exists (Closes: #696688).
  * Defaulting to obsolete md5 for checksums instead of sha256 on debian,
    as debians cdrom-check in d-i only supports md5.
  * Defaulting to obsolete filenames for checksums on debian, as debians
    cdrom-check in d-i only supports legacy filenames (Closes: #697082).
  * Correcting spelling typo in help text within the binary checksums
    file.
  * Also ignoring legacy checksum filenames when creating checksum files.
  * Creating autorun.inf in binary_win32-loader.
  * Dropping stable and unstable dist symlinks for d-i in dists for
    wheezy.
  * Creating install.bat for loadlin.
  * Only including gtk d-i in win32-loader config if available on the
    target image.
  * Updating win32-loader.ini for wheezy.
  * Correcting legacy filename for checksum files.
  * Removing all checksum files in lb clean.
  * Adding support for sha512 checksums.
  * Dropping pre-wheezy handling for win32-loader files.
  * Adding 3.0~b5-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Jan 2013 11:50:55 +0100

live-build (4.0~a6-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Moving removal of actual backup files for apt sources into correct
    hook.
  * Renumbering hooks.
  * Disabling accidentally enabled removal of apt sources hook by default.
  * Moving configuration version off as the first option into new config
    tree format.
  * Moving off binary image type into new config tree format.
  * Moving off binary image architecture into new config tree format.
  * Also reading in existing values from new config tree format.
  * Separate between configured values and runtime values in new
    configuration handling.
  * Correcting architecture defaults.
  * Using image name from configuration to name binary output files.
  * Adding explicit warning for people that do not understand what stable
    is.
  * Using image name from configuration to name source output files.
  * Setting default name to live-image for the time being.

  [ Ben Armstrong ]
  * Improving warning wording to reflect unfinished state of code better.

  [ Daniel Baumann ]
  * Including architecture in binary output filenames.
  * Moving off binary image archive areas into new config tree format.
  * Updating comment for image name config handling.
  * Moving off binary image parent archive areas into new config tree
    format.
  * Only writing out Parent-Archive-Areas field into configuration when
    building a derivative.

  [ Richard Nelson ]
  * Unify _DEBUG variable values to be true or false for l-b-cgi.

  [ Daniel Baumann ]
  * Removing pre-wheezy grub package from binary_debian-installer.
  * Adding 3.0~b4-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Dec 2012 10:54:24 +0100

live-build (4.0~a5-1) experimental; urgency=low

  * Removing old code in chroot_hacks for tasks which are not used
    anymore.
  * Moving kexec-tools default preseeding into its own hook script.
  * Removing loop-aes-utils related hack for squeeze.
  * Moving removal of backup and temporary files to their own hook script.
  * Adding default hook to truncate log files.
  * Also removing man chache in remove-temporary-files hook.
  * Adding default hook to use newest nvidia version.
  * Using consistent naming for default hooks.
  * Adding default hook to use mesa glx renderer.
  * Merging remove-linux-image-backups into remove-backup-files hook.
  * Renumbering hooks.
  * Correcting config tree version check for older versions.
  * Correcting config tree version check for the current version.
  * Removing some dead default handling code for global includes which do
    not exist anymore.
  * Removing kubuntu mode, it's not different anymore to standard ubuntu
    mode.
  * Adding 3.0~b3-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Dec 2012 20:32:41 +0100

live-build (4.0~a4-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating wheezy release number.
  * Removing not really useful symlinks example hook.
  * Adding default hook to remove mdadm configuration.
  * Correcting spelling typo in bug script.
  * Adding support for live-images configs and arbitrary configuration
    directories in lb_config --config option.
  * Avoid re-populating an already populated configuration tree when using
    lb config --config.
  * Updating removal of adjtime in a split out hook for wheezy.

  [ Richard Nelson ]
  * Update l-b-cgi frontend to support new git config structure.

  [ Daniel Baumann ]
  * Switching from genisoimage to xorriso.
  * Adding 3.0~b2-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 22:01:58 +0100

live-build (4.0~a3-1) experimental; urgency=low

  [ Raphaël Hertzog ]
  * Adding initial menu entries for debian-installer.

  [ Daniel Baumann ]
  * Removing local/bin by default in lb_clean too.
  * Skipping creation of soon to be replaced config/templates directory.
  * Adding 3.0~b1-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 20:40:05 +0100

live-build (4.0~a2-1) experimental; urgency=low

  * Removing some leftovers from stripped and minimal package lists.
  * Updating powerpc kernel list on ubuntu.
  * Adding dropped empty-line separator in defaults.
  * Adding dropped empty-line separator in binary_debian-installer.
  * Updating version config tree version check (Closes: #695091).
  * Updating wording about regenerating config trees.
  * Harmonizing apt configuration handling in chroot_archives.
  * Adding support for local apt conf.d snippets in archive definitions
    (Closes: #685791).
  * Ensuring that functions are either sources locally or globally, but
    not both.
  * Adding proper header to build.sh include.
  * Dropping ubuntu guards on firmware selection code, we're not enabling
    firmware inclusion in ubuntu mode anyway.
  * Adding 3.0~a69-1 changelog entries.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Dec 2012 21:17:32 +0100

live-build (4.0~a1-1) experimental; urgency=low

  * Dropping support for squeeze and squeeze-based distributions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 30 Nov 2012 15:22:32 +0100

live-build (3.0.5-1kali8) kali; urgency=medium

  * Drop iop32x and ixp4xx flavors on armel. They are gone with Linux 3.14.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 31 Jul 2014 09:30:18 +0200

live-build (3.0.5-1kali7) kali; urgency=medium

  * Call binary_efi after binary_hooks to include the files after they have
    been customized by the binary hooks.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 21 Jul 2014 23:20:58 +0200

live-build (3.0.5-1kali6) kali; urgency=medium

  * Use the xorriso syntax that doesn't create a GPT but does create
    an EFI partition recorded in MBR. This one is know to work on MAC
    and on most UEFI implementations (even if the lack of GPT makes
    it non-conforming in theory).

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 21 Jul 2014 16:53:29 +0200

live-build (3.0.5-1kali5) kali; urgency=medium

  * Drop -isohybrid-apm-hfsplus as recommended by Thomas Schmitt.
  * And add back ldlinux.e64 in the generated EFI image.

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 08 Jul 2014 14:54:40 +0200

live-build (3.0.5-1kali4) kali; urgency=medium

  * Add the /usr/share/live/build/data/debian-cd/kali{,-dev} symlinks that
    are currently manually created by Kali's build_all.sh script.
  * Add EFI boot support with syslinux 6. Closes: #731709

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 28 Mar 2014 17:09:43 +0100

live-build (3.0.5-1kali3) kali; urgency=medium

  * Update default kernel flavours for armhf to match what's available with
    linux 3.12.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 08 Jan 2014 23:08:17 +0100

live-build (3.0.5-1kali2) kali; urgency=medium

  * Fix binary_debian-installer step to use linux-image-* metapackages
    instead of linux-image-2.6-* which are gone.

 -- Raphaël Hertzog <buxy@kali.org>  Sat, 21 Dec 2013 13:55:44 +0100

live-build (3.0.5-1kali1) kali; urgency=low

  * Ensure xfsprogs and jfsutils are available in the ISO. Otherwise users
    opting for XFS and JFS and installing without network won't have them and
    the (first) boot can be interrupted due to this.
  * Drop debian/patches/fix-win32-loader, merged in Debian. Only remaining
    change is the above one.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 26 Aug 2013 18:38:06 +0200

live-build (3.0.5-1) unstable; urgency=low

  * Skipping loadlin inclusion on netboot images.

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Apr 2013 10:26:09 +0200

live-build (3.0.4-1) unstable; urgency=low

  * Correcting variable typo when setting distribution specific defaults
    of the backports mirror for the binary image.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Apr 2013 12:47:24 +0200

live-build (3.0.3-1) unstable; urgency=low

  * Updating debian-backports mirrors for wheezy.
  * Enabling release updates (formerly known as volatile) for wheezy.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Apr 2013 17:39:31 +0200

live-build (3.0.2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Allowing to use parted its automatic offset handling at the beginning
    of a disk, rather than to harcode it to first block (Closes: #647607).
  * Aborting with error if hdd label has a whitespace (Closes: #648861).
  * Updating d-i suite symlink for wheezy release.
  * Correcting typo in grub2 config template.
  * Synchronise grub and grub2 splashes with internal live-build splash
    for syslinux bootloaders.
  * Removing non-existent --apt-indices none references.
  * Also showing distribution in lb config initial messages.
  * Making messages about reading system conffiles in lb config more
    accurate.
  * Harmonize handling of pre-existing gnupg dotfiles in chroot when
    handling fake signing keys for local repository.
  * Making some more debian source-selections conditional on certain image
    options.
  * Adding source_hooks for hooks on source images like already supported
    on binary images.

  [ Richard Nelson ]
  * Add sanity check on config type to build for l-b-cgi.
  * Add _CGI_CONFIG_APPEND varialbe for appending options to lb config
    call on l-b-cgi frontend.
  * Change _CGI_CONFIG_APPEND to front of the lb config call on l-b-cgi
    frontend.
  * Removing quotes around _CGI_CONFIG_APPEND to handle multiple
    parameters correctly on l-b-cgi frontend.
  * Adding binary image type to config call on l-b-cgi frontend.
  * Add log information of git:://url for l-b-cgi frontend.
  * Append to log file on errors and not truncate the file on l-b-cgi
    frontend.

  [ Daniel Baumann ]
  * Correcting spelling typos, thanks to Adam D. Barratt <adam@adam-
    barratt.org.uk>.

  [ Raphaël Hertzog ]
  * Fixing win32-loader.ini by including the GTK related entries.

  [ Daniel Baumann ]
  * Correcting typo directory when dereferencing syslinux symlinks when
    building chrooted, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
  * Using dpkg-divert in chroot_upstart script to handle upgrades of
    upstart during the build (Closes: #702537).
  * Using dpkg-divert for other diversions too to handle upgrades of the
    diverted stuff during build.
  * Adding generic live-build handle in chroot_dpkg for other live
    packages to act upon.
  * Updating fallback help message in live-build pseudo-command.
  * Correcting grammer error in live-build description.
  * Adding set -e in example auto scripts.

  [ Richard Nelson ]
  * Converting l-b-cgi frontend to process forms with post.

  [ Daniel Baumann ]
  * Cleaning up installer file locations for progress-linux.
  * Stripping out comments in package lists.
  * Updating derivatives archive-key signature validiation to look by
    default at both debian and debian-maintainers keyrings.
  * Updating bootstrap mirror for progress-linux.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Apr 2013 12:41:54 +0200

live-build (3.0.1-1+kali1) kali; urgency=low

  * Fix win32-loader.

 -- Raphaël Hertzog <buxy@kali.org>  Thu, 07 Mar 2013 21:53:48 +0100

live-build (3.0.1-1) unstable; urgency=low

  * Removing superfluous menu default directive in installer syslinux
    menues.
  * Updating wheezy release number.
  * Updating squeeze point-release number.
  * Dropping German manpage translations stubs for the release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 14 Feb 2013 19:31:04 +0100

live-build (3.0.0-1) unstable; urgency=low

  * Updating wheezy pre-release number for b4.
  * Dropping dpkg compression level.
  * Correcting spelling typos in changelog to make lintian happy.
  * Escaping quotes to workaround a false-positive of checkbashisms in
    binary_debian-installer.
  * Correcting install path in loadlins install.bat for the gtk d-i
    flavour.
  * Switching default binary filesystem for hdd images to fat32 to be more
    robust on todays flash devices.
  * Correcting vshift in syslinux themes to correct display bug with
    overlong lines, thanks to Thanatermesis <thanatermesis@gmail.com>.
  * Adding bootrap_archive-keys to establish secure trust-chain on top of
    debian-keyring for derivatives.
  * Updating syslinux configurations and handling for syslinux 5.
  * Adding hook to remove systemd machine-id.
  * Renumbering hooks.
  * Correcting wrong debian-installer syslinux menu files.
  * Including HDT in advanced options menu within syslinux menu.
  * Updating binary_debian-installer for newer append replacement
    variables used in syslinux configs.
  * Dropping theme package support, themes are either in the config tree
    or the embedded one from live-build is used.
  * Correctly remove binary contents and packages file in clean script.
  * Adding key-shortcut for advanced options in syslinux menu.
  * Removing default menu marker for install entry in syslinux menu.
  * Converting splash.svg not just splash.svg.in files as syslinux
    bootsplashes.
  * Removing dropped syslinux-theme config option from lb_config manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 09 Feb 2013 00:18:07 +0100

live-build (3.0~b6-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating manpage year handling for 2013.
  * Updating wheezy beta-release number.
  * Using cat instead of echo to workaround incompatible and conflicting
    uses in escaping of \t in dash and bash, and less importantly to
    workaround a false-positive in checkbashisms.
  * Updating footer link to 'legal information' in cgi html template.
  * Cleaning up binary_loadlin.
  * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
    templates.
  * Updating footer in cgi html template.
  * Correcting spelling typo in html footer of the cgi, thanks to Jean-
    Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
  * Removing reference to removed --package-lists option in lb_config
    manpage (Closes: #698260).

  [ Richard Nelson ]
  * Correcting typo on functions/default.sh, thanks to jhcha54008
    <jhcha54008@free.fr> (Closes: #698397).

  [ Daniel Baumann ]
  * Updating samhain workaround in chroot_dpkg to work if live-build is
    being used with sudo or fakeroot (Closes: #698423).
  * Correcting apt-key cleanup of local dummy signing keys when using
    local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
  * Falling back to use genisoimage when building squeeze iso-hybrid
    images.
  * Applying slightly modified patch from Raphaël Hertzog
    <hertzog@debian.org> to fix automatic firmware inclusion when using
    debian-installer with live-installer and having firmware packages
    installed in the live system already.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 20 Jan 2013 10:17:42 +0100

live-build (3.0~b5-1) unstable; urgency=low

  * Omitting binary manifest creation when chroot filesystem is set to
    none.
  * Omitting memtest in binary if chroot filesystem is set to none.
  * Removing redundant check for linux-images in binary_linux-image.
  * Correcting glitch with plain chroot filesystems in binary_chroot.
  * Switching order of kernel flavours in defaults, the last added one in
    the list becomes the default symlink target in the rootfs by apt.
  * Using .cfg suffix for consistency with debian-installer on preseed
    files in config/preseed.
  * Adding sample gitignore file in examples.
  * Setting debian-installer to false in all modes by default.
  * Updating year in all copyright notices.
  * Updating removal of backup files in stripped example hook to also work
    with spaces in filenames.
  * Don't fail when adding symlinks for firmware in binary/firmware for
    debian-installer and the symlink already exists (Closes: #696688).
  * Defaulting to obsolete md5 for checksums instead of sha256 on debian,
    as debians cdrom-check in d-i only supports md5.
  * Defaulting to obsolete filenames for checksums on debian, as debians
    cdrom-check in d-i only supports legacy filenames (Closes: #697082).
  * Correcting spelling typo in help text within the binary checksums
    file.
  * Also ignoring legacy checksum filenames when creating checksum files.
  * Creating autorun.inf in binary_win32-loader.
  * Dropping stable and unstable dist symlinks for d-i in dists for
    wheezy.
  * Creating install.bat for loadlin.
  * Only including gtk d-i in win32-loader config if available on the
    target image.
  * Updating win32-loader.ini for wheezy.
  * Correcting legacy filename for checksum files.
  * Removing all checksum files in lb clean.
  * Adding support for sha512 checksums.
  * Dropping pre-squeeze handling for win32-loader files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Jan 2013 11:45:30 +0100

live-build (3.0~b4-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Moving removal of actual backup files for apt sources into correct
    hook.
  * Renumbering hooks.
  * Disabling accidentally enabled removal of apt sources hook by default.

  [ Richard Nelson ]
  * Unify _DEBUG variable values to be true or false for l-b-cgi.

  [ Daniel Baumann ]
  * Removing grub package from binary_debian-installer for wheezy.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Dec 2012 10:50:38 +0100

live-build (3.0~b3-1) unstable; urgency=low

  * Removing old code in chroot_hacks for tasks which are not used
    anymore.
  * Moving kexec-tools default preseeding into its own hook script.
  * Marking loop-aes-utils related hack as squeeze only.
  * Moving removal of backup and temporary files to their own hook script.
  * Adding default hook to truncate log files.
  * Also removing man chache in remove-temporary-files hook.
  * Adding default hook to use newest nvidia version.
  * Using consistent naming for default hooks.
  * Adding default hook to use mesa glx renderer.
  * Merging remove-linux-image-backups into remove-backup-files hook.
  * Renumbering hooks.
  * Correcting config tree version check for older versions.
  * Correcting config tree version check for the current version.
  * Removing some dead default handling code for global includes which do
    not exist anymore.
  * Removing kubuntu mode, it's not different anymore to standard ubuntu
    mode.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Dec 2012 20:29:56 +0100

live-build (3.0~b2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating wheezy release number.
  * Removing not really useful symlinks example hook.
  * Adding default hook to remove mdadm configuration.
  * Correcting spelling typo in bug script.
  * Adding support for live-images configs and arbitrary configuration
    directories in lb_config --config option.
  * Avoid re-populating an already populated configuration tree when using
    lb config --config.
  * Updating removal of adjtime in a split out hook for wheezy.

  [ Richard Nelson ]
  * Update l-b-cgi frontend to support new git config structure.

  [ Daniel Baumann ]
  * Switching from genisoimage to xorriso.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 21:57:11 +0100

live-build (3.0~b1-1) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Adding initial menu entries for debian-installer.

  [ Daniel Baumann ]
  * Removing local/bin by default in lb_clean too.
  * Skipping creation of soon to be replaced config/templates directory.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Dec 2012 20:38:58 +0100

live-build (3.0~a69-1) unstable; urgency=low

  * Also avoiding to use xz compression for squashfs for kubuntu.
  * Removing some leftovers from stripped and minimal package lists.
  * Updating powerpc kernel list on ubuntu.
  * Adding dropped empty-line separator in defaults.
  * Adding dropped empty-line separator in binary_debian-installer.
  * Updating wording about regenerating config trees.
  * Correcting test for no config tree version number to match all other
    cases, not just lower-than-1.
  * Harmonizing apt configuration handling in chroot_archives.
  * Adding support for local apt conf.d snippets in archive definitions
    (Closes: #685791).
  * Ensuring that functions are either sources locally or globally, but
    not both.
  * Adding proper header to build.sh include.
  * Dropping ubuntu guards on firmware selection code, we're not enabling
    firmware inclusion in ubuntu mode anyway.
  * Adding back legacy filtering for firmware packages on squeeze when
    contrib or non-free is not enabled.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Dec 2012 21:09:00 +0100

live-build (3.0~a68-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Fixing typo in cache directory names, thanks to Thanatermesis
    <thanatermesis@gmail.com>.

  [ Daniel Baumann ]
  * Correcting copying of archive specific apt preferences files, thanks
    to Thanatermesis <thanatermesis@gmail.com> (Closes: #693250).
  * Correcting a typo in chroot_apt when re-configuring apt preferences,
    found by Thanatermesis <thanatermesis@gmail.com> (Closes: #685924).

  [ Richard Nelson ]
  * Update git paths for cgi form.
  * Increased the maxlenth of the entry field cgipackages.list.chroot on
    l-b.cgi (Closes: #693732).

  [ Daniel Baumann ]
  * Adding backwards compatible handling for squeeze and the ubuntus for
    old-style Contents files in the archive.
  * Adding default-preseeding for non-free firmware only when non-free is
    actually included, to avoid cluttering debconf db by default on all
    systems.

  [ Richard Nelson ]
  * Correct typo on commit 11d97a6a5f17fe2c500a798aa4a32fa6889e409c
  * Correct another typo on commit
    11d97a6a5f17fe2c500a798aa4a32fa6889e409c

  [ Daniel Baumann ]
  * Marking comments in checksum files as such to avoid harmless but
    anoying warning messages during live-boots medium integrity check.
  * Updating note about integrity check boot parameter within checksum
    files.
  * Adding default hook to remove linux-image backup files.
  * Using four letter digit prefixes for hooks like for consistency with
    all other live packages.
  * Adding dpkg-source local options.
  * Using hash rather than pipe as sed separator for writing boot
    parameters into bootloader configurations (Closes: #694723).
  * Replicating same qemu support within bootstrap_debootstrao for
    bootstrap_cdebootstrap too (Closes: #694102).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 30 Nov 2012 15:09:48 +0100

live-build (3.0~a67-1) unstable; urgency=low

  [ chals ]
  * Addin missing comma in the long debootstrap-options that caused an
    unrecognized option message.

  [ Daniel Baumann ]
  * Renaming progress mode to progress-linux to match the used naming
    scheme.
  * Removing unecessary removal of apt preferences.
  * Removing workaround for #657560 where we had to temporarily include
    bzip2 into the bootstrapped chroot to avoid sids apt failing on
    mirrors with bzip2 indices only.
  * Removing cruft line breaks in bailout messages for bootstrap tools.
  * Using xargs when copying or hardlinking deb files from and to the
    package cache to avoid hit the shell max command limits (Closes:
    #691616).
  * Defaulting to systemd as initsystem for wheezy based progress-linux
    releases and newer.
  * Shortening initsystem specific hacks for wheezy, systemd on squeeze
    never was really supported anyway.
  * Removing sysvinit when building images with systemd.
  * Running chrooted commands with DEBCONF_NONINTERACTIVE_SEEN set to
    true to ensure debconf questions are not reasked uselessly on the
    final systems.
  * Making sysvinit removal on systemd systems conditional, newer
    bootstraps might not always pull in sysvinit packages anymore.
  * Also supporting the other way around: removing systemd from a
    bootstrap and switching to sysvinit for those distributions that
    default to systemd.
  * Removing debconf-nowarnings option, doesn't provide any advantage to
    disable this option in the first place.
  * Correcting typos in aptitude-options name in lb config, thanks to
    Frank Gard <frank@familie-gard.de> (Closes: #691930).
  * Workarounding recent archive changes wrt/ content files until
    #692111 is fixed.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 02 Nov 2012 12:23:38 +0100

live-build (3.0~a66-1) unstable; urgency=low

  * Removing some left-overs from bootstrap-copy removal in lb config.
  * Removing local/functions functionality, it's not really usefull
    anyway.
  * Renaming local/scripts to local/bin for executables overriding not
    just lb scripts, but any command during live-build runs.
  * Renaming config/chroot_apt to simply config/apt. Eventually
    lb_chroot_apt will be folded into chroot_archives but that's left
    for after wheezy.
  * Renaming config/binary_debian-installer to simply config/debian-
    installer.
  * Removing support for local grub/grub2 splash image and config
    manipulations, custom templates should be used instead. Rather than
    doing all the heavy lifting in live-build that nobody really uses
    and which is quite inflexible, users should (in line with the
    syslinux handling) either stick with the default grub
    configurations, or, supply a custom one to live-build, rather than
    partial/single files only.
  * Avoid creating old left-over directory for custom syslinux splash
    handing from within the config tree in lb_config.
  * Renaming config/binary_rootfs to simply config/rootfs.
  * Renaming config/includes.binary_debian-installer to simply
    config/includes.debian-installer.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Oct 2012 20:44:44 +0200

live-build (3.0~a65-1) unstable; urgency=low

  * Correcting variable handling for --bootappend-live-failsafe in lb
    config.
  * Stopping to support LB_INITRAMFS=auto, when switching the mode one
    has to update several parameters anyway, use of auto scripts are
    recommended.
  * Simplifying bootparameter assembling in defaults.
  * Correcting variable handling for --bootappend-live-failsafe in
    defaults.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 08 Oct 2012 20:47:02 +0200

live-build (3.0~a64-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing unsupported and unsupportable bootstrap_copy.
  * Removing ubuntu natty support, EOL.

  [ Michal Suchanek ]
  * Allowing to include multiple kernel images but menu entry is
    generated only for one.

  [ Daniel Baumann ]
  * Updating package descriptions.
  * Adding note about experimental in cgi frontend package description.
  * Making failsafe boot parameters fully customizable like the normal
    ones.
  * Making different boot options defaults depending on initramfs
    generator, not depending on mode.
  * Setting default compression to none. Normally, when using compressed
    file systems (squashfs), there is no point in further compressing
    the tarballs and images.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 05 Oct 2012 09:23:12 +0200

live-build (3.0~a63-1) unstable; urgency=low

  * Add missing whitespace when concatenating multiple live.cfg syslinux
    files.
  * Booting by default with 'quiet' and 'splash' parameters.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 02 Oct 2012 21:24:22 +0200

live-build (3.0~a62-1) unstable; urgency=low

  * Simplyfing clean option in lb config.
  * Only producing zsync files for iso and iso-hybrid images.
  * Supporting parent distribution as a variable field in syslinux
    splashes.
  * Supporting parent distribution as a variable field in archive
    definitions.
  * Avoiding warnings when checking for arguments in clean.
  * Updating squeeze point release version.
  * Updating wheezy pre-release version.
  * Also use .contents suffix for file list of sources images like for
    binary images, rather than the old .list suffix.
  * Using linux rather than kernel directive in syslinux configuration
    files.
  * Simplify internal replacement strings when processing syslinux
    configuration files.
  * Removing superfluous menu default directive in syslinux
    configuration files.
  * Clearing the screen when exiting syslinux menu.
  * Using menu default only once when populating syslinux configurations
    for more than one kernel flavour (Closes: #682957).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Oct 2012 05:02:08 +0200

live-build (3.0~a61-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting 'not-enough-arguments' check in Packages grep-aptavail
    helper.
  * Using dedicated initrd line in syslinux configurations rather than
    stuffing everything in one line.
  * Using initramfs generator specific boot parameters in syslinux
    configuration files.

  [ Adam Conrad ]
  * Switching Ubuntu from powerpc to powerpc-smp kernel.

  [ Colin Watson ]
  * Using i386 -generic-pae kernel flavour on Ubuntu precise.

  [ Daniel Baumann ]
  * Don't turn on xz compression in mksquashfs for ubuntu builds
    according to Adam Conrad <adconrad@ubuntu.com>.

  [ Colin Watson ]
  * If --build-with-chroot is false, run ! lines in package-lists in the
    host system.
  * Fixing execution of binary hooks.

  [ Daniel Baumann ]
  * Adding slightly modified patch from Adam Conrad
    <adconrad@ubuntu.com> to remove resolvconf artifacts.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 30 Sep 2012 09:46:53 +0200

live-build (3.0~a60-1) unstable; urgency=low

  * Removing virtual-hdd image type. Rather than a half broken image
    type, we'll bet our money on having proper partman recipies support
    implemented for hdd image types. Even if we don't make it for
    wheezy, it's better to not have virtual-hdd in there and tell users
    to use the jessie version for proper hdd images.
  * Updating win32-loader inclusion handling.
  * Including loadlin on d-i images on amd64 and i386.
  * Updating to standards version 3.9.4.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 29 Sep 2012 14:08:42 +0200

live-build (3.0~a59-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding baureo-backports and charon-backports as valid distributions
    in progress mode.

  [ Richard Nelson ]
  * frontend/cgi correctly reference netboot binary-images in form.html.

  [ Daniel Baumann ]
  * Updating base-files hack for plymouth in progress mode.
  * Correcting cdebootstraps-options typo in getopt, thanks to chals
    <chals@altorricon.com>.
  * Renaming volatile options refering to volatile archive to updates to
    match current archive namings.
  * Removing intel-microcode special handling in chroot_linux-image,
    microcode packages are already included automatically anyway.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 26 Sep 2012 14:48:30 +0200

live-build (3.0~a58-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Simplyfing sourcing of build.sh and getting away with the broken
    subshell construct.

  [ Richard Nelson ]
  * Remove frontend/cgi unofficial custom binary and custom bootstrap
    options.

  [ Daniel Baumann ]
  * Correcting typo in binary_syslinux when writing the flavour name to
    the config files (Closes: #684865).
  * Correcting fallback for default binary volatile mirror on ubuntu,
    thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
  * Correcting wrong path to syslinux configuration files when using
    live-build from a local git clone, thanks to Raphael Hertzog
    <hertzog@debian.org> (Closes: #684893).
  * Switching back to use the more common ${@} instead of ${*}, it's not
    required in current lb_clean anymore.
  * Using /etc/live/build/*.conf instead of /etc/live/build.d/*.conf for
    consistency reasons.
  * Moving from cdn.debian.net to http.debian.net as binary mirror.

  [ Richard Nelson ]
  * frontend/cgi rename BINARY_INDICES to APT_INDICES
  * frontend/cgi only source /usr/lib/live/build.sh
  * frontend/cgi cleanup and support for clone, config, and build on
    cron job.
  * frontend/cgi cleanup remarked line of common function source from
    last commit on l-b-c.cron.

  [ Daniel Baumann ]
  * Improving check for missing apt-ftparchive to check for the actual
    file, rather than to check for a possible missleading bootstrap
    flavour.
  * Removing bootstrap-flavour option (Closes: #685675).
  * Removing bootstrap-include and bootstrap-exclude options.
  * Removing bootstrap-keyring option.
  * Correcting wrong bootstrap-qemu-exclude variable in defaults.
  * Applying patch from Colin Watson <cjwatson@ubuntu.com> to correct
    chroot hooks execution (Closes: #685534).
  * Exposing --debootstrap-options and --cdebootstrap-options publicly.
  * Adding some comments about the different locations of live-build in
    the central lb wrapper.
  * Calling local live-build embedded in config directly rather than to
    adjust path.
  * Removing old LB= hack when wrapper was not mandatory.
  * Moving aborting when no bootstrap tool is installed from defaults to
    the respective bootstrap script.
  * Correcting printf call cosmetically in central wrapper when
    prepending date and time for each command to not choke upon multiple
    arguments.
  * Making build.sh sourcing more robust (Closes: #684896).
  * Dropping lb prefix from live-build scripts, not needed anymore.
  * Setting default progress distribution from artax to baureo.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Aug 2012 16:33:10 +0200

live-build (3.0~a57-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Concentrating all parted calls within lb_binary_hdd into one place
    in order to make things simpler.
  * Updating lb config --config manpage option to reflect that any Git
    Id can be specified, not just branches.
  * Removing manpage stubs for second-level commands.

  [ Richard Nelson ]
  * Initial work to support --config git option.
  * Remove settings that should be handled by --config git option.

  [ Daniel Baumann ]
  * Also removing binary.netboot.tar.xz before re-creating it in
    binary_netboot.
  * Adding live-build to depends for live-build-cgi.
  * Adding cron to recommends for live-build-cgi.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 10 Aug 2012 22:42:17 +0200

live-build (3.0~a56-1) unstable; urgency=low

  * Adding possibility to specify a git branch when using lb config --
    config.
  * Adding messages about performing git operations when using --config.
  * Automatically update auto/config when using --config with extra
    options.
  * Avoid showing message in lb config running the second time through
    auto on git repository based config trees.
  * Adding shortcut helper for dctrl-tools.
  * Updating GPL standard header in all files.
  * Removing chroot_local-patches, too much overhead for just applying
    patches (notably, with -p1 enforced), hooks are more flexible
    anyway.
  * Disabling volatile for wheezy for the time being.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Jul 2012 21:55:32 +0200

live-build (3.0~a55-1) unstable; urgency=low

  * Adding release information for jessie.
  * Updating all distribution specific selectors in defaults to be as
    future proof as possible.
  * Dropping global binary includes and moving binary local-includes to
    includes, just as with chroot includes and local-includes.
  * Dropping globale package lists for the desktop environments.
  * Moving off rescue package list to its own git repository for the
    config tree.
  * Allowing to specify a git repository to lb_config in order to
    bootstrap a config tree.
  * Reordering auto/config in lb_config to work with bootstrapping
    config tree from a git repository.
  * Showing a message about ignoring --config when the current directory
    already is a git repository.
  * Removing unmaintained gnustep package list.
  * Adding git to suggests.
  * Including gnupg on ubuntu by default through corresponding default
    for bootstrap includes.
  * Removing minimal package list, not needed anymore.
  * Removing unused debian-live package lists.
  * Removing debian-junior list, same as with debian-science, see
    9ad58f0d.
  * Adding support for executable statements as '! $command' in package
    lists.
  * Handling dctrl-tools temporary installation in chroot during
    package-lists expansion.
  * Removing chroot_task-lists, obsoleted by package lists.
  * Dropping global package-lists entirely, only local package lists
    within the config tree are support.
  * Also checking for dctrl-tools when assembling binary package lists.
  * Optimizing chroot package-lists handling for the cases where it's
    not used.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 29 Jul 2012 01:59:42 +0200

live-build (3.0~a54-1) unstable; urgency=low

  * Making sure target directory for syslinux theme files exists when
    building non-chrooted.
  * Fixing up inclusion of functions while allowing local usage of live-
    build with different file layouts.
  * Correcting accidentally reverted check for rsvg in binary_syslinux
    when building non-chrooted.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Jul 2012 04:36:21 +0200

live-build (3.0~a53-1) unstable; urgency=low

  * Removing leftover creation of /var/log in toplevel makefile from the
    cron removals.
  * Moving main executables away from scripts subdirectory.
  * Moving scripts from /usr/share/live to /usr/lib/live for consistency
    with all debian-live packages.
  * Renaming example hooks to the newer filename patter that is required
    by live-build since a while.
  * Removing debian-installer-banner.binary example hook, this can be
    done through config/includes.binary_debian-installer directly.
  * Removing hal-automount.chroot example hook, not needed anymore.
  * Removing linux-modules.chroot example hook, this can be done by
    kmods conf.d directories directly.
  * Removing live-build-inclusion.binary example hook, too broken way to
    do it.
  * Removing okular-nodrm.chroot example hook, would need update for
    recent kde4 versions and I don't care about that.
  * Removing rt2570-modules.chroot example hook, obsoleted out-of-tree
    module.
  * Removing sun-java6.chroot example hook, obsoleted by openjdk.
  * Removing udev-generators.chroot example hook, obsoleted by live-
    builds own hacks.
  * Removing update-initramfs.chroot example hook, obsoleted by live-
    builds own hacks.
  * Removing virtualbox.chroot example hook, not required anymore with
    current virtualbox versions.
  * Removing sysvinit.chroot example hook, not useful on modern systems
    anymore.
  * Removing losetup-lukshome.chroot example hook, obsoleted by live-
    boots new persistence implementation.
  * Removing kernel-purge.chroot example hook, not usefull anymore.
  * Removing localepurge.chroot example hook, should be done solely
    through preseeding.
  * Removing debian-live-pxe-server.chroot example hook, not usefull in
    this way.
  * Installing examples into the correct location in /usr/share/doc.
  * Removing debian-science package list, there's science-tasks and
    #513296 to do this in proper.
  * Removing warning from minimal package list about minimal hook, which
    isn't the case anymore.
  * Removing ubuntu-cloud and ubuntu-cloud-desktop package lists.
  * Adding missing copyright fields in copyright file.
  * Correcting spelling typo in 3.0~a52-1 changelog entry.
  * Removing leftover maintainer scripts from cron removals.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 19 Jul 2012 04:14:38 +0200

live-build (3.0~a52-1) unstable; urgency=low

  * Improving error message in lb wrapper to show the command in case of
    a missing command.
  * Adding svg splash for syslinux bootloaders.
  * Adding dynamic information into the splash and creating the png
    export at build time.
  * Truncating udev persistent net rules in remove-udev-persistent-
    rules.chroot hook rather than to remove them (Closes: #680763).
  * Removing discontinued live-build-cron autobuilder (Closes: #672379).
  * Updating dhcp packages in rescue package list to avoid transitional
    packages for squeeze and up.
  * Marking libguytools1 as squeeze only in rescue package list.
  * Marking ddrescue as squeeze-only in rescue list.
  * Using clamav-data for squeeze and clamav-freshclam for wheezy/sid in
    rescue list.
  * Applying patch from Steven Shiau <steven@nchc.org.tw> to
    conditionally copy /etc/apt/secring.gpg* files.
  * Renaming net flavour to netboot for consistency.
  * Adding support for zsync control files generation, thanks to Hector
    Oron <hector.oron@gmail.com> for the idea and prototype.
  * Adding xz as valid compression format.
  * Using xz to compress images on anything except squeeze, keeping gzip
    as default for squeeze.
  * Removing spurious lb_source_netboot, there's not such thing as a
    netboot specific source tarball anyway.
  * Handle multiple version numbers when having more than one linux
    flavours for splash.svg post-processing.
  * Adding support for pinning preferences files in
    config/archives/*.pref{.chroot,.binary}.
  * Updating splash.svg handling for unchrooted and chrooted builds.
  * Decrufting version flag.
  * Correcting live-build and live-boot versions for splash.svg post-
    processing.
  * Also removing zsync files in lb clean.
  * Slightly updating strings in splash.svg for better organization of
    the information presented.
  * Adding extlinux bootloader configuration files.
  * Correcting freudian typo in package check for chroot filesystems
    dependencies in binary_rootfs.
  * Adding support for ntfs as binary filesystem when using syslinux.
  * Updating squeeze point-release number.
  * Setting initial release number for wheezy.
  * Correcting spelling typo of ubuntus 12.10 codename.
  * Correcting some distribution specific checks to make them
    derivatives compliant.
  * Enabling security archives on wheezy.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 18 Jul 2012 22:46:55 +0200

live-build (3.0~a51-1) unstable; urgency=low

  * For consistency, respecting config/environment too for both chroot
    and binary environments (but the content of sepcific environments
    for either chroot or binary still has precedence over the generic
    one).
  * Changing default binary.list filename to binary.contents to make it
    more explicit and not to be confused with package lists.
  * Automatically include intel-microcode when building with firmware
    and non-free enabled.
  * Redirecting rmdir output in postrm for live-build-cron properly
    (Closes: #676102).
  * Removing alpha and hppa stub support, both architectures have been
    dropped for wheezy in debian.
  * Switching from smbfs to cifs-utils (Closes: #679240).
  * Switching to xz compression in source and binary packages.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Jun 2012 14:38:21 +0200

live-build (3.0~a50-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating auto example scripts.
  * Correcting cron.d directory removal in postrm.
  * Removing grub-efi from d-i packages for the time being, it doesn't
    work correctly yet.
  * Automatically translate date formats in po files.
  * Updating live-media checksum names for newer live-boot.
  * Defaulting to SHA256 live-media checksums.
  * Re-arranging frontends in source tree.
  * Updating l10n stuff before removing it.
  * Removing unmaintained l10n handling.
  * Dropping different debian cgi templates and use only the one used on
    live-build.debian.net.
  * Removing old/non-working graph-helper.

  [ Hector Oron ]
  * Dont assume bash when configuring chroot with QEMU.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 06 Jun 2012 20:00:02 +0200

live-build (3.0~a49-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting renaming of syslinux files in progress mode to actually
    work.
  * Naming resulting binary isohybrid image binary.hybrid.iso from now
    on for consistency with the different hdd images later on.
  * Moving firmware symlink creation to the end of binary_debian-
    installer in order to ensure to take only the latest packages into
    account that get into the image, regardless if they come from the
    archive or are localy included.
  * Cleaning http_proxy and ftp_proxy settings in chroot, people using
    apt proxies set them throught the apt pseudo-proxy options, and
    people using real proxies use config/environment.{chroot,binary} to
    set them.
  * Allowing to inject variables through config/environment.binary into
    the binary environment.
  * Allowing to use comments in config/environment.{binary,chroot}.
  * Removing pre-squeeze XORG_CONFIG variable from the chroot
    environment.
  * Don't bother supporting firmware on ubuntu, they seem to have a
    different archive structure.
  * Renaming config/binary_debian-installer-includes to
    config/includes.binary_debian-installer for consistency with the
    other include directories.

  [ Ben Armstrong ]
  * Adding default for --debian-installer-preseedfile.

  [ Daniel Baumann ]
  * Removing some more configuration files on purge (Closes: #672379).
  * Renaming internal .stage to .build for consistency within the
    configuration tree.
  * Adding grub-efi to static list of packages for the d-i pool for
    amd64.
  * Making firmware package assembling a bit more robust.
  * Updating cache directory names to consistent naming scheme.
  * Moving local includes from auto/{functions,scripts} to
    local/{functions,scripts} where they belong.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Jun 2012 12:15:37 +0200

live-build (3.0~a48-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Transforming failsafe boot parameter into an own option.
  * Updating release list for ubuntu.
  * Adding failsafe entries for syslinux bootloaders in embedded
    configs.

  [ Tails developers ]
  * Fixing typo in rescue package list.

  [ Daniel Baumann ]
  * Correcting typo in binary_rootfs to restore 'plain' live filesystem
    support.
  * Using /boot on live media instead of /isolinux or /syslinux in
    progress mode.
  * Allowing to inject variables through config/environment.chroot into
    the chroots environment.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 May 2012 08:22:27 +0200

live-build (3.0~a47-1) unstable; urgency=low

  [ Daniel Baumann ]
  * When removing fstab for live-installer also touch an empty file for
    it to avoid other packages failing on non-existing fstab.
  * Making extraction of the manpage section in manpages/Makefile work
    with multiple dots in the filename.
  * Correcting regression in the form of a wrong path in binary_syslinux
    for syslinux theme packages.
  * Temporarily including bzip2 manually when bootstrapping until
    #657560 has been fixed in unstable.
  * Correcting destination directory for extraction of the gfxboot-theme
    in ubuntu mode.

  [ intrigeri ]
  * Adding nosplash to the list of options appended in fail-safe mode.

  [ Daniel Baumann ]
  * Adding memtest to the list of options appended in fail-safe mode.
  * Updating defaults for linux-latest metapackages in wheezy.
  * Adding support for including firmware packages automatically within
    debian-installer.
  * Installing packages into their detected sections within binary pool,
    needed for proper firmware package placement.
  * Generating package indices for the detected sections within binary
    pool, needed for proper firmware package placement.
  * Removing 'frozen' symlink in d-i dists, the other suitnames can
    probably go to.
  * Adding support for including firmware packages automatically within
    the live system.
  * Adding entries about the firmware options in lb_config manpage.
  * Automatically preseed some known firmware packages.
  * Also include firmware-linux meta package if non-free is enabled.
  * Updating static list of live specific packages that get
    unconditionally added and included in the source images.
  * Unconditionally including firmware in all images by default. This is
    safe since only firmware available within the configured archive
    area is included automatically, see manpage.
  * Adding symlinks in /firmware for debian-installer on live media.
  * Slight reordering in lb_binary_debian-installer.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 27 Apr 2012 11:37:00 +0200

live-build (3.0~a46-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Excluding honeyd for wheezy in rescue package list (Closes:
    #660601).
  * Including thttpd for squeeze only in rescue package list.
  * Excluding guymager for wheezy in rescue package list.
  * Removing full path from chroot calls in chroot function.

  [ Richard Nelson ]
  * Set parent distribution, parent debian installer, and mode, also
    disable backports on l-b.cgi

  [ Daniel Baumann ]
  * Removing --hostname cruft, live-config bootparameters should be used
    via --bootappend-live.
  * Removing --username cruft, live-config bootparameters should be used
    via --bootappend-live.
  * Updating copyright file machine-readable format version 1.0.
  * Updating to standards version 3.9.3.
  * Marking lde in rescue list as squeeze only, thanks to Michal
    Suchanek <hramrach@centrum.cz>.
  * Adding architecture to the output message when running lb_config.
  * Excluding security and volatile archives for ubuntu precise for the
    the time being.
  * Removing references to not existing --language option in lb_config
    manpage.
  * Switching default bootstrap mirror from ftp.de.debian.org to
    ftp.debian.org, now that ftp.debian.org has upgraded hardware and
    bandwith.
  * Avoid calling update-initrd in lb_chroot_hacks if the target system
    has no initrd, thanks to Hector Oron <zumbi@debian.org>.
  * Excluding console-common in standard list for ubuntu as console-
    common is in universe.
  * Adding Italian debconf translations from Beatrice Torracca
    <beatricet@libero.it> (Closes: #663428).
  * Updating release list for progress.
  * Updating release list for ubuntu.
  * Moving pxelinux.cfg to pxelinux.cfg/default in pxelinux bootloader
    configs.
  * Moving kernel and initrd into tftpboot directory for netboot images.
  * Prefering default modules in initrd even on netboot images (Closes:
    #667594).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Apr 2012 10:32:51 +0200

live-build (3.0~a45-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting typo in defaults for backports mirror.
  * Correcting typo in ubuntu default distribution name, thanks to Marco
    Lechner <marco.lechner@fossgis.de> (Closes: #659823).

  [ Ben Armstrong ]
  * Removing menu as it adds an unwanted menu to some DEs/WMs which
    prefer to do without.

  [ Daniel Baumann ]
  * Add forgotten fallback for mode setting if lsb_release is not
    installed.
  * Adding Polish debconf translations from Michal Kulach
    <michalkulach@gmail.com> (Closes: #660003).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Feb 2012 21:47:11 +0100

live-build (3.0~a44-1) unstable; urgency=low

  * Handling /etc/resolv.conf even if it's a dangling symlink like with
    resolv.conf, thanks to Stephane Graber <stgraber@ubuntu.com>
    (Closes: #657640).
  * Adding updated Spanish debconf translations from Javier Fernández-
    Sanguino Peña <jfs@computer.org> (Closes: #656404).
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #657470).
  * Correcting lzcat call in binary_disk to not bail out due to non-
    standard file extension (unknown suffix -- unchanged), thanks to
    Luigi Capriotti <l.capriotti@xbmc.org> (Closes: #658995).
  * Correcting destination path for uuid.conf when using casper in
    binary_disk, thanks to Luigi Capriotti <l.capriotti@xbmc.org>
    (Closes: #658995).
  * Removing warning about resolvconf package, not be needed anymore.
  * Adding a workaround in rules to stop dh_link converting absolute
    symlinks to relative symlinks for bootloader configs.
  * Adding lintian overrides for symlink-should-be-relative (bootloader
    configs need to use absolute symlinks on purpose to allow chrooted
    builds).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 12 Feb 2012 22:08:49 +0100

live-build (3.0~a43-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating to debhelper version 9.

  [ Richard Nelson ]
  * l-b.cgi - Add pending build(s) to be processed ahead of your
    request.

  [ Daniel Baumann ]
  * Setting default mirror for progress to cdn.archive.progress-
    linux.org.
  * Updating lb_binary_syslinux for embedded syslinux themes.
  * Adding embedded copies for syslinux bootloaders (Closes: #622838,
    #635933, #636217, #645406, #646387, #646799, #651520, #652437).
  * Applying patch from Ivailo Monev to remove stage files for pseudo-
    filesystems helpers in exit function.
  * Correcting typo in security chroot mirror variable assembling.
  * Autodetecting mode depending on which distribution we're building.
  * Giving a note about what mode we are configuring, now that mode is
    determined automatically based on the host system.
  * Updating squeeze point release number.
  * Adding note about 404 errors that are on purpose when fetching udebs
    in derivative mode.
  * Avoid warning messages in binary_packagelists for not existing local
    lists.
  * Renaming forgotten binary_packagelists to binary_package-lists to
    match the rest of lb.
  * Removing removal of bootstrap-base udeb in binary_debian-installer.
  * Using /etc/apt/sources.list.d/debian.list instead of
    /etc/apt/sources.list in derivative mode.
  * Updating year in copyright notices for 2012.
  * Removing useless top-comment for
    /etc/apt/preferences.d/progress.pref.
  * Improve backports handling in derivatives mode.
  * Adding opt-in hook to remove all sources.list files, as it's
    desirable in some setups.
  * Avoid removing populated apt preferences file in derivative mode.
  * Dereferencing potential symlinked apt preference files in
    chroot_apt/*.pref.
  * Simplyfing automatic pinning in derivative modes.
  * Cleaning up handling of apt preferences when building in progress
    mode.
  * Shortening kernel and initrd filenames in /live again similar to
    what we did with in lenny.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 06 Feb 2012 23:23:32 +0100

live-build (3.0~a42-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * Make lb_chroot_hooks work with dash.
  * Fix pathname for running hooks in lb_chroot_hooks.
  * Make the config available to all hooks.
  * Fix path in 001-update-apt-file-cache.chroot.
  * Use a two-stage mount again for mounting config inside chroot in
    lb_chroot_hooks.
  * Unmount /root/config in case of error.
  * Unmount chroot/root/config when running lb_clean.

  [ Daniel Baumann ]
  * Adding armhf kernel defaults, thanks for Ying-Chun Liu
    <paulliu@debian.org> for bringing it up (Closes: #655557).
  * Correcting wrong and incompatible loop for casper initrds in
    binary_disk.
  * Using syslinux payload as fallback in lb_binary_syslinux if no
    destinct image type could be deduced (Closes: #655562).
  * Switching priorities of mirror defaults (which mirror default is
    used from which previously set mirror default etc.) to the way it
    was intendet to be.

  [ Colin Watson ]
  * Print the current time before starting a command with the lb wrapper
    script (Closes: #630089).

  [ Daniel Baumann ]
  * Adding reference to --parent-archive-areas in lb_config manpage
    (Closes: #646797).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 15 Jan 2012 19:25:42 +0100

live-build (3.0~a41-1) unstable; urgency=low

  [ Richard Nelson ]
  * l-b.cgi correct naming of --architectures
  * l-b.cgi add option for amd64 to --architectures.
  * l-b.cgi cleanup cron.d operations.
  * l-b.cgi cleanup build.html to use LB_BINARY_INTICES.
  * l-b.cgi cleanup trailing whitespace in l-b.cgi.cron
  * l-b.cgi update to form.html to current --package-lists
  * l-b.cgi update form.html to current --binary-images
  * l-b.cgi correct virtual-hdd option form.html
  * l-b.cgi modify old --packages param to become
    cgipackages.list.chroot
  * l-b.cgi rename 686-bigmem to 686-pae on forms.
  * l-b.cgi remove mirror operations which should be handled in
    /etc/live/build.conf

  [ Daniel Baumann ]
  * Enabling contrib and non-free by default for progress.

  [ Matthijs Kooijman ]
  * Fixing lb_binary_rootfs leaving the chroot without archives files.

  [ Daniel Baumann ]
  * Adding support for apt preference.d in config/chroot_apt.
  * Fix unconditional overwriting of
    /etc/apt/preferences.d/progress.pref in progress mode.
  * Correcting assembling of automatic pinning in progress mode.
  * Adding temporary hack with pinning to avoid squashfs-tools mismatch
    for artax-backports.
  * Using xz compression for squashfs only on wheezy and sid for the
    moment, not artax-backports.
  * Adding updated Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #654966).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #651345).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 Jan 2012 02:23:00 +0100

live-build (3.0~a40-1) unstable; urgency=low

  * Adding libasound2-plugins to standard-x11 package list, thanks to
    Nik Lutz <nik.lutz@gmail.com>.
  * Inverting logic for defaults or archive-areas wrt/ parent and
    derivatives.
  * Creating progress specific disk info files in progress mode.
  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #649110).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #650870).
  * Adding updated French debconf translations from Julien Patriarca
    <patriarcaj@gmail.com> (Closes: #650655).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Dec 2011 10:14:06 +0100

live-build (3.0~a39-1) unstable; urgency=low

  * Adding temporary manual setting of d-i urls for progress.
  * Removing --tasks leftovers in lb_config.
  * Sorting overrides in rules alphabetically.
  * Also setting 5% margin for ext4 images, thanks to Neil Wilson
    <neil@aldur.co.uk> for spotting it (Closes: #647601).
  * Applying some of the suggestions from the reviewed control file from
    debian-l10n-english (Closes: #643957).
  * Applying some of the suggestions from the reviewed template file
    from debian-l10n-english.
  * Adding initial Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #648457).
  * Adding initial Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #648346).
  * Adding initial Spanish debconf translations from Gildardo Adrián
    Maravilla Jácome <gilmjc@gmail.com> and Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #648463).
  * Adding initial French debconf translations from Julien Patriarca
    <patriarcaj@gmail.com> (Closes: #647820).
  * Adding initial Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #648484).
  * Adding initial Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #647993).
  * Adding initial Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #648377).
  * Adding initial Telugu debconf translations from Praveen Illa
    <mail2ipn@gmail.com> (Closes: #648693).
  * Adding initial German debconf translations from Holger Wansing
    <linux@wansing-online.de> (Closes: #648381).
  * Updating and completing German debconf translations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 14 Nov 2011 12:46:20 +0100

live-build (3.0~a38-1) unstable; urgency=low

  * Disable backports forcefully when building artax-backports images
    direcly.
  * Updating symlinks for Ubuntu releases in debian-cd includes.
  * Adding hook to remove dbus machine id.
  * Renumbering hooks.
  * Bail out early in lb_source if source is disabled (Closes: #646807).
  * Adding expire date for oneiric in releases list.
  * Adding precise in releases list.
  * Correcting defaults d-i mirror for progress.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 30 Oct 2011 08:46:54 +0100

live-build (3.0~a37-1) unstable; urgency=low

  * Also strip out source archives from local archive definitions when
    using --apt-source-archives false.
  * Correcting typo in defaults for system variable.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 13 Oct 2011 20:03:00 +0200

live-build (3.0~a36-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Updating squeeze point release number.
  * Correcting wrong location when looking for local preseed files in
    config tree, thanks to Eugenio Paolantonio <me@medesimo.eu> (Closes:
    #645116).
  * Deal with non-existing preseed files in config tree.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 13 Oct 2011 15:55:53 +0200

live-build (3.0~a35-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Treating sources.list top-level file specially to workaround bug in
    apt that makes sources.list.d sources to be never prefered over main
    sources.list when using pinning (Closes: #573054).
  * Making top sources.list conditional, not everyone necessarily always
    uses that.
  * Marking tct in debian-forensics package list as squeeze only, thanks
    to Michael Milligan <mmilligan@astro.umn.edu> (Closes: #643926).

  [ Ben Howard ]
  * Adding check for missing mtab during chrooted binary rootfs stage.

  [ Daniel Baumann ]
  * Updating ettercap entries in rescue list for wheezy, thanks to
    Michael Milligan <mmilligan@astro.umn.edu>.
  * Marking ntfsprogs as squeeze only in rescue list, thanks to Michael
    Milligan <mmilligan@astro.umn.edu>.
  * Adding bug number to comments when moving top-level sources.list.

  [ Ben Howard ]
  * Adding Ubuntu Cloud images packages lists.
  * Adding foreign bootstrap via qemu for cross arch building.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 08 Oct 2011 10:57:04 +0200

live-build (3.0~a34-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing unused global chroot_preseed.
  * Renaming and reworking previous chroot_local-preseed into
    chroot_preseed, now looking for config/preseed/*.preseed{,.chroot}
    files.
  * Correcting indenting glitch in lb_binary_chroot.
  * Using 'none' instead of 'plain' when specifying that no chroot
    filesystem should be used.
  * Renaming virtual-hdd-root-size to hdd-size in preparation of merging
    virtual-hdd into hdd.

  [ Ben Howard ]
  * Setting default armel linux flavour for Ubuntu.

  [ Daniel Baumann ]
  * Adding --system option to define the resulting image type to be a
    live system or a normal, non-live system.

  [ Colin Watson ]
  * Copying gfxboot theme when building for Ubuntu.

  [ Adam Conrad ]
  * Using the correct mirror locations for Ubuntu ports.

  [ Colin Watson ]
  * Defaulting to ubuntu-oneiric syslinux theme on Ubuntu.

  [ Daniel Baumann ]
  * Setting default ubuntu release to oneric.
  * Removing EOL Ubuntu dapper from release information.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 30 Sep 2011 14:50:40 +0200

live-build (3.0~a33-1) unstable; urgency=low

  * Correcting check for debian-installer-distribution when using daily
    images in non-derivatives mode.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 28 Sep 2011 07:33:59 +0200

live-build (3.0~a32-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting wrong spelling of cache in exit function, thanks to David
    Endler for spotting it.
  * Adding option for setting filesystem label on usb-hdd images.
  * Correcting syntax error in tr command used in default for hdd-label
    in progress mode.
  * Renaming usb-hdd binary image type to simply hdd.
  * Updating volatile handling in chroot_archives for derivatives when
    using foo-backports distribution scheme.
  * Temporarily removing live-tools from standard package list, doesn't
    work for derivatives yet.
  * Making sure that volatile for the parent distribution is still
    included in derivatives mode.
  * Switching away from cdn.debian.net as default mirrors for progress,
    too unreliable outside of Europe.
  * Renaming forgotten lb_binary_usb and lb_source_usb to lb_binary_hdd
    resp. lb_source_hdd.
  * Correcting incomplete checks for local packages in lb_binary_debian-
    installer.
  * Removing leftovers from usb-hdd to hdd removal in lb_binary_hdd and
    lb_source_hdd.

  [ Yaroslav Halchenko ]
  * Enclosing shell variables for iso-* defaults in escaped double-
    quotes while evaluating for the length to allow using parentheses
    (Closes: #642463).

  [ Daniel Baumann ]
  * Correcting typo in config/includes.chroot creating in lb_config,
    thanks to Stanislav Bogatyrev <realloc@realloc.spb.ru> for reporting
    it.

  [ Yaroslav Halchenko ]
  * Fixing left-over uses of --binary-indices in templates/cgi.
  * Fixing left-over uses of --packages-lists in cron scripts and
    examples.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 27 Sep 2011 22:54:36 +0200

live-build (3.0~a31-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Renumbering hooks.
  * Introducing --apt-sources option to control if the live system
    should have deb-src entries in sources.list.
  * Setting apt-source to false in progress mode.
  * Avoiding magic defaults for --apt-indices option when using minimal
    or stripped packagelist.
  * Renaming --apt-source to --apt-source-archives.
  * Including live-tools in standard package list.
  * Adding support for ext4 for binary and chroot filesystem, including
    partial patch from Ben Howard <ben.howard@canonical.com> (Closes:
    #639298).

  [ intrigeri ]
  * Fixing typos brought in by ext4 support patch.

  [ Daniel Baumann ]
  * Only calling udevadm in losetup function when udev is installed on
    the host system.
  * Silencing rmdir calls in makefile.
  * Automatically using an embedded live-build copy from within the
    config tree at local/live-build, if existing.
  * Doing uuid.conf extraction from initrd with the correct
    decompression utility (Closes: #637979).
  * Completing the restoring of the outer chroot when building in
    chrooted to not taint subsequent rebuilds of the binary stage with
    leftovers from the initial lb_binary_rootfs (Closes: #620953).
  * Renaming binary.packages list files (that contain what package is
    installed in the chroot) to chroot as they are build during chroot
    stage, this fixes some rebuild issues.
  * Renaming forgotten lb_binary_local-packagelists to
    lb_binary_packagelists.
  * Renaming lb_chroot_local-includes into lb_chroot_includes and check
    for includes in config/includes.chroot.
  * Copying chroot.packages.live to binary.packages.
  * Improving messages when saving and restoring stage caches (Closes:
    #589728).
  * Improve message when skipping a helper because it is already run.
  * Renaming config/chroot_packages to config/packages.chroot.
  * Renaming lb_chroot_packagelists to lb_chroot_package-lists so that
    helper matches directory.
  * Setting origin in apt release files for local packages to
    config/packages.chroot.
  * Removing spurious version information in cgi form template.
  * Adding link to live-build homepage and version information in cgi
    footer template.
  * Using config/includes.binary rather than config/binary_local-
    includes.
  * Using config/packages.binary instead of config/binary_local-debs.
  * Using config/packages.binary instead of config/binary_local-udebs.
  * Updating lb_config for config/packages.binary.
  * Also respect config/packages for packages to be installed in both
    chroot and binary.
  * Correcting syntax error in local package handling.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 Sep 2011 17:41:19 +0200

live-build (3.0~a30-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Enabling volatile suite for progress itself in progress mode.
  * Correcting wrong variables in volatile handling for derivatives.

  [ Ben Armstrong ]
  * Removing old syslinux switches from lb_config manpage (Closes:
    #637939).

  [ Daniel Baumann ]
  * Unifying lb_chroot_packagelists and lb_chroot_local-packagelists.
  * Merging in last bit of lb_chroot_local-packages into
    lb_chroot_archives (Closes: #635046).
  * Using lightdm instead of gdm3 in xfce package for wheezy and newer.
  * Moving removal of openssh-server host keys from chroot_hacks to a
    hook, that way it can be easily skipped if desired.
  * Moving removal of udev persistent rules from chroot_hacks to a hook,
    that way it can be easily skipped if desired.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 24 Aug 2011 19:37:17 +0200

live-build (3.0~a29-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Using global version file rather than using copied information in
    functions/common.sh.

  [ Richard Nelson ]
  * Correcting path to VERSION file.
  * Rename references of live-build.cgi to live-build-cgi

  [ Daniel Baumann ]
  * Also guarding key additions for local configured archives to not
    fail if no key is supplied.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 13 Aug 2011 08:07:10 +0200

live-build (3.0~a28-1) experimental; urgency=low

  * Guarding archives handling with an additional check to prevent ugly
    message about files not existing.
  * Adding share/hooks to toplevel makefile so that it's included in the
    test suite.
  * Renaming cgi files within the sources to consistently use the name
    live-build-cgi.
  * Removing some false-positive bashisms from live-build-cgi.
  * Limiting test target to actual scripts in cron subdirectory.
  * Since all (false positives for) bashisms are gone, making the test
    target fail on bashisms.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 08 Aug 2011 21:12:17 +0200

live-build (3.0~a27-1) experimental; urgency=low

  * Reverse keywords in suffix of the archive definition files for
    consistency.
  * Reverse keywords in suffix of the package list files for
    consistency.
  * Also using definition files without suffix (so that e.g. foo.list is
    used for both chroot and binary stage).
  * Removing left-over mentioning of lb_binary_local-hooks instead of
    lb_binary_hooks in lb_binary.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 08 Aug 2011 08:04:08 +0200

live-build (3.0~a26-1) experimental; urgency=low

  [ Richard Nelson ]
  * Update VERSION in common.sh to match last release.

  [ Daniel Baumann ]
  * Skipping binary_linux-image if no kernel was choosen to be installed
    deliberately, thanks to Adam Conrad <adconrad@ubuntu.com>.
  * Moving archives meta data arround in source tree.
  * Correcting filename of live.debian.net archive file.
  * Adding hook for calling update.mlocate, thanks to Colin Watson
    <cjwatson@ubuntu.com> (Closes: #627332).
  * Adding hook for calling update-apt-xapian-index, thanks to Colin
    Watson <cjwatson@ubuntu.com> (Closes: #627716).
  * Adding hook for removing gnome icon cache, thanks to Colin Watson
    <cjwatson@ubuntu.com> (Closes: #630088).
  * Adding hook to remove python py files, thanks to Colin Watson
    <cjwatson@ubuntu.com> (Closes: #631281).
  * Using --no-check-gpg option when using debootstrap >= 1.0.30 and apt
    secure is disabled, thanks to Eugenio Paolantonio <me@medesimo.eu>
    (Closes: #633356).
  * Also unmounting /run in lb_clean eventhough it's not really needed
    anyway but let's be on the caucious side (Closes: #633052).
  * Adding kubuntu mode in order to have different defadefault hooks
    enabled for ubuntu and kubuntu (needed for #630088).
  * Consolidating local hooks for chroot and binary into
    config/hooks/*.{chroot,binary}.
  * Numbering embedded hooks.
  * Saving packages in cache even when failing or interrupting a build
    (Closes: #586929).
  * Enabling hooks based on the mode we're building for.
  * Calling dpkg-divert with --quiet in chroot_dpkg.
  * Correcting comments in chroot_hooks to match usage.
  * Reworking binary hooks helper.

  [ Cody A.W. Somerville ]
  * Fixing corruption of usb binary images caused by trying to modify
    flags in partition table when image is mounted with offset.
  * Updating lb_binary_linux-image to only copy over kernel and initrd
    if LB_LINUX_PACKAGES doesn't equal 'none'.
  * Appending 'linux32' to LB_ROOT_COMMAND if 'uname -m' is x86_64 and
    LB_ARCHITECTURE is i386.

  [ Daniel Baumann ]
  * Updating cron scripts.
  * Compacting copyright file.
  * Reworking debconf stuff of merging former live-autobuild-manual and
    live-autobuild-images into a single live-build-cron.
  * Avoid to hijack root-command with linux32, rather set use it in the
    chroot function only.
  * Adding a comment to the chroot calls in excludes handling of
    binary_chroot whey the chroot function is not used.

  [ Cody A.W. Somerville ]
  * Setting partition flags in source_usb after creating the filesystem
    in order to avoid bug in parted that makes them forget the flags.
  * Adding function for more resilient detachment of loopback devices.

  [ Daniel Baumann ]
  * Calling mkdir with -p to avoid build failures with multiple kernels
    on disk info in ubuntu mode, thanks to Cody A.W. Somerville
    <cody.somerville@canonical.com>.
  * Correcting uuid extraction from initrds in ubuntu mode to work from
    within binary so that it is cleaned up by lb_clean on failed builds.
  * Setting default compression levels to -6 for gzip, bzip, lzip and
    lzma tarballs.

  [ Cody A.W. Somerville ]
  * Adding paths for remote debian-installer images on armel.
  * Making config tree available to chroot hooks.

  [ Daniel Baumann ]
  * Updating derivatives handling for d-i mirror defaults to better
    match the reality that by default, most derivatives are not going to
    actually rebuild d-i.
  * Adding mdadm manually to extra packages for binary pool for being
    used by debian-installer (Closes: #607225).
  * Add forgotten handling of already set chroot_hooks in defaults.
  * Updating grub packages list in binary_debian-installer.
  * Using 'live' rather than 'incomplete' for cd_type in .disk on images
    that include debian-installer with live-installer udeb.
  * Simplify bind mounting of the config tree during local hooks are run
    by using read-only bind mounts.
  * Removing unmaintained studio package lists.
  * Correcting debconf variables.
  * Updating TODO for live-build-cron.
  * Correcting typo in lb_config for program variable, thanks to
    intrigeri <intrigeri@boum.org>.
  * Adding virtual-hdd in lb_config manpage as binary image type.
  * Handle package-lists parameter for lb_config in live-build-cron-
    images script for both lb version 2.x and 3.x.
  * Setting default kernel flavours for armel to all available flavour
    due to the nature of armel images (single rootfs image, multiple
    kernel images).
  * Removing debian-instaler-distribution selection from live-build-
    cron-images for the time being.

  [ Ben Armstrong ]
  * Fixing/adding cross-references for live-boot and live-config.

  [ Daniel Baumann ]
  * Correcting cross-references to live-boot and live-config in
    lb_config manpage.
  * Adjusting check for target directory in live-build-cron scripts to
    fail if non-directories are used, thanks to Ben Armstrong
    <synrg@debian.org>.

  [ intrigeri ]
  * Cleaning up temporary directories at the same time as other cruft.

  [ Daniel Baumann ]
  * Removing -r from short options in lb_config (Closes: #636208).
  * Adding hook to update apt-file cache (Closes: #636440).
  * Renumbering hook files.
  * Adding missing 'set -e' in remove-python-py.chroot hook.
  * Correcting indentiation in hook defaults assignment.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Aug 2011 21:51:37 +0200

live-build (3.0~a25-1) experimental; urgency=low

  * Using updated kernel default flavours for sid also for wheezy.
  * Adding live-manual to recommends.
  * Adding initial live-build-cron package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 15 Jul 2011 20:33:24 +0200

live-build (3.0~a24-1) experimental; urgency=low

  [ Richard Nelson ]
  * Move lxde package-lists to use gdm3 instead of gdm.
  * Remove lxde test on LB_TASKS for gdm so we now get gdm3.

  [ Daniel Baumann ]
  * Correct gdm/gdm3 handling, prefere gdm for squeeze as before and use
    gdm3 for everything else.
  * Adding extlinux to rescue package list.
  * Adding live-boot-doc to recommends.
  * Adding live-config-doc to recommends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 13 Jul 2011 10:42:29 +0200

live-build (3.0~a23-1) experimental; urgency=low

  * Correcting wrong chroot call in chroot_archives, only affecting
    derivatives.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 Jun 2011 07:58:09 +0200

live-build (3.0~a22-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Using -wildcards option when calling mksquashfs with an excludes
    file.

  [ Colin Watson ]
  * Make --architectures armel only fail if --linux-flavours was not
    passed (Closes: #630464).

  [ Daniel Baumann ]
  * Renaming repositories option to archives for consistency with
    debian-policy terminology.
  * Renaming chroot_sources script to chroot_archives for consistency
    with debian-policy terminology.
  * Unifying config/chroot_archives and config/archives, now only using
    config/archives.
  * Setting default distribution to wheezy (at least until #622838 is
    handled).
  * Changing archives key suffix from .gpg to .key.
  * Using .list suffix in config/archives.
  * Unifying config/chroot_local-packagelists and config/binary_local-
    packagelists.
  * Moving internal global package lists from 'lists' to 'package-
    lists'. This is not a user visible change.
  * Moving config/chroot_local-tasklists/*.list to config/task-
    lists/*.chroot.list, analogue to config/package-lists.
  * Since we don't have global tasks anymore, renaming lb_chroot_local-
    tasklists to lb_chroot_task-lists.
  * Since we don't have global packages anymore, renaming
    lb_chroot_local-packages to lb_chroot_packages and
    config/chroot_local-packages to config/chroot_packages.

  [ Colin Watson ]
  * Fix default for LB_PARENT_ARCHIVE_AREAS (Closes: #630604).

  [ Daniel Baumann ]
  * Correct rmdir call in top-level Makefiles uninstall target to not
    fail if there was no prior live-build installation.
  * Adjust name of archives directory in config tree.
  * Removing forgotten reference to chroot_packages in lb_chroot.
  * Correct keyring packages temporary workaround to not fail when
    aptitude is selected (Closes: #630919).
  * Making copyright file distribution neutral.
  * Making copyright headers distribution neutral.
  * Making help message about missing po4a in manpages makefile
    distribution neutral.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 Jun 2011 06:18:11 +0200

live-build (3.0~a21-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Obtaining the live passes package selection information at the
    latest point to catch all other modifications in the package
    selection.
  * Moving installation of live packages to second pass.
  * Removing now unecessary stagefile check in lb_source.
  * Correct lb cleans source removals.

  [ Colin Watson ]
  * Add --swap-file-path and --swap-file-size options (Closes: #629637).
  * Divert flash-kernel aside while building the chroot (Closes:
    #630350).
  * Add --initramfs-compression option (Closes: #627677).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Jun 2011 20:42:13 +0200

live-build (3.0~a20-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Dropping handling of --packages in order to simply things handle
    packages scheduled for installation through package lists only.
  * Removing unmaintained chroot_localization script.

  [ Colin Watson ]
  * Use powerpc and powerpc64-smp kernel flavours by default for Ubuntu,
    as there is no powerpc64 flavour (Closes: #630032).

  [ Daniel Baumann ]
  * Correct indenting in powerpc kernel defaults.

  [ Colin Watson ]
  * Use dpkg --force-unsafe-io if available (Closes: #630043).

  [ Daniel Baumann ]
  * Correcting indenting for dpkg sync configuration file.
  * Always disable dpkg sync, we only support squeeze and newer anyway.

  [ Colin Watson ]
  * Fix incorrect Ubuntu defaults for security and volatile mirrors
    (Closes: #630080).

  [ Daniel Baumann ]
  * Reworking chroot_tasks into chroot_local-tasklists, now packages and
    tasks are (almost) handled identical and through local lists only.
  * Creating chroot_local-tasklists directory in config.
  * Using locales-all instead of locales in standard list for progress.
  * Adding support for 'nif' in package lists.
  * Updating and simplyfing conditionals in package lists.
  * Allow to optionally run package installation in two passes.
    Eventually, this allows to have media containing a 'bigger' live
    system that what they end up installing (Closes: #627439).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 11 Jun 2011 17:46:24 +0200

live-build (3.0~a19-1) unstable; urgency=low

  [ Richard Nelson ]
  * Update VERSION in common.sh to match last release.

  [ Daniel Baumann ]
  * Updating packages in sun-java6 example hook.
  * Updating default kernel flavour for progress on i386.
  * Updating default kernel flavour for debian on i386.

  [ Colin Watson ]
  * Use mkfs.ext2/mkfs.ext2 instead of genext2fs (Closes: #629533).
  * Make --initramfs none work more consistently (Closes: #627887).

  [ Richard Nelson ]
  * Add progress as an option for --mode in lb_config manpage.

  [ Daniel Baumann ]
  * Don't try to install standard task on anything but ubuntu.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 11 Jun 2011 11:04:08 +0200

live-build (3.0~a18-1) unstable; urgency=low

  [ Colin Watson ]
  * Fix duplicate deconfiguration of apt, upstart, and sysv-rc if build-
    with-chroot is false (Closes: #627406).

  [ Daniel Baumann ]
  * Correcting accidentally unconditional default for linux-flavours in
    progress mode.
  * Restoring excludes functionality for mksquashfs. This was present
    some time ago but then got removed.
  * Moving 'default' hooks for minimal and stripped to example hooks,
    they will have to be enabled manually now (Closes: #627183).

  [ Colin Watson ]
  * Fixing ext2/ext3 case in lb_binary_rootfs to work with --build-with-
    chroot false (Closes: #627902).

  [ Daniel Baumann ]
  * Removing accidentally twice included English files when installing
    manpages (Closes: #628897).
  * Removing unused and not really usefull bootstrap-script option
    (Closes: #603114).
  * Correcting wrong task defaults.
  * Updating grub paths for d-i files (Closes: #627695).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Jun 2011 11:59:30 +0200

live-build (3.0~a17-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating squeeze point release number.
  * Updating ubuntu releases.
  * Enabling xz compression by default for artax-backports.
  * Updating url for debian-installer daily-images.

  [ Ben Armstrong ]
  * Using gdm3 for wheezy instead of gdm.

  [ Daniel Baumann ]
  * Don't add security repository for wheezy.
  * Avoid wrong security mirrors when building for artax-backports.
  * Correct derivative main sources.list entries.
  * Correcting wrongly attributed -m switch to --mirror-bootstrap,
    thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #626905).
  * Correcting comments about which ubuntu release is LTS and which not
    in releases list.
  * Removing defaults for the alpha architecture, not supported by
    debian anymore.

  [ Colin Watson ]
  * Allow installing tasks using apt-get, and do so by default for
    Ubuntu (Closes: #626940).

  [ Daniel Baumann ]
  * Switching to apt as tasksel for all distributions, except Debian
    squeeze.
  * Updating to standards version 3.9.2.
  * Completing files section in live-build manpage (Closes: #626367).
  * Correcting top-level makefile to automatically get all the supported
    languages, rather than defining a static list.

  [ liandro sg ]
  * Be more careful with subshells (Closes: #623356).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 18 May 2011 19:49:53 +0200

live-build (3.0~a16-1) unstable; urgency=low

  * Adding workaround for apt not respecting pinning on the fly.
  * Removing kernel-img.conf handling for lenny and older.
  * Making apt calls a bit more consistent over the different scripts.
  * Moving apt pinning workaround to the correct place.
  * Moving installation of tasks behind package and package lists
    installation; the tasks should only 'fill-up' with what has not
    already been provided by packages or package lists.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 23 Apr 2011 19:27:16 +0200

live-build (3.0~a15-1) unstable; urgency=low

  * Adding temporary hack for progress until multistrap can be used for
    bootstrapping.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 22 Apr 2011 23:11:56 +0200

live-build (3.0~a14-1) unstable; urgency=low

  [ Cody A.W. Somerville ]
  * Fixing lb_chroot_upstart to use correct path to initctl.

  [ Daniel Baumann ]
  * Adding old 2.x changelog entries in debian changelog.
  * Building standard image flavour with included --tasks standard.
  * Also including the standard task when building the rescue default
    flavour.
  * Marking rpncalc in rescue list as squeeze only.
  * Updating nilfs packagename in rescue list for squeeze and newer.
  * Setting default for debian-installer on debian to false.
  * Disabling security and volatile repositories for unreleased
    distributions.
  * Setting partition flags after creating the filesystem, workaround
    for bug in parted where we result in having the partition type set
    to linux otherways, thanks to Cody A.W. Somerville
    <cody.somerville@canonical.com> for the idea.
  * Disabling kexec-tools by default in debian mode.
  * Adding parent-archive-areas.
  * Removing obsolete debian-backports auto-configuration.
  * Updating security archive entries for progress.
  * Correcting repository handling for live.debian.net wrt/ derivatives.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Mar 2011 09:13:52 +0100

live-build (3.0~a13-1) unstable; urgency=low

  [ Steven Shiau ]
  * Correcting release filename when caching indices (Closes: #613895).

  [ Daniel Baumann ]
  * Updating default mirrors for emdebian (Closes: #614120).
  * Adding wpasupplicant in rescue list.

  [ Hector Oron ]
  * Removing superfluous whitespace in output of the usage function.

  [ Daniel Baumann ]
  * Updating archive signing key for live.debian.net repository.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 09 Mar 2011 19:27:39 +0100

live-build (3.0~a12-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating year in copyright.
  * Updating year in hooks and script files.

  [ Luigi Capriotti ]
  * Support for newer grub-common package.

  [ Daniel Baumann ]
  * Removing legacy handling for lenny in grub2 handling of
    lb_binary_iso.
  * Adding missing netinst udeb include files for ubuntu.

  [ Cody A.W. Somerville ]
  * Adding missing debian-cd data files for Ubuntu releases for some
    architectures.

  [ Daniel Baumann ]
  * Adding support for Ubuntu jaunty and natty, thanks to Cody A.W.
    Somerville <cody.somerville@canonical.com>.

  [ Philip Newborough ]
  * Update example path in 'all_binary_debian-installer-banner.sh'
    example hook.

  [ Marco Amadori ]
  * Do not exclude console-setup-udeb (Helps: #603974)

  [ Richard Nelson ]
  * Account for the + character in packages for l-b.cgi

  [ Daniel Baumann ]
  * Updating includes for squeeze.

  [ Richard Nelson ]
  * Minor grammatical correction on mail.txt

  [ Daniel Baumann ]
  * Adding initial support for making initsystem configurable.

  [ Marco Amadori ]
  * Upstart initsystem support.

  [ Daniel Baumann ]
  * Updating upstart support addition to current coding style.
  * Adding initial support for parent distribution for debian-installer.
  * Updating repositories for progress.
  * Renaming mirror options to parent mirror for handling derivatives
    nice in future.
  * Adding mirror option handling for derivatives.
  * Adding mirror handling for derivatives.
  * Adding multi-repository support for debian-installer udebs at build-
    time.
  * Correcting quoting of apt-options in derivatives upgrade hack.
  * Correcting logical error with default settings of initsystem.
  * Making sure to correctly deference syslinux theme files when
    building chrooted.
  * Correcting typo in derivatives check when fetching d-i components.
  * Correcting udeb download for derivatives to only fall back to
    debians repository if required to.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Feb 2011 19:43:44 +0100

live-build (3.0~a11-1) experimental; urgency=low

  * Disabling inclusion of GUI installer images on ubuntu.
  * Updating losetup-lukshome example hook to use blkid where available,
    thanks to Clint Adams <clint@gnu.org> (Closes: #607108).
  * Removing --apt-pdiff option, this doesn't belong into live-build in
    the first place.
  * Removing some more lenny-only stuff.
  * Simplyfing defaults function a bit.
  * Correcting outdated program variable.
  * Updating help function in lb for live-build.
  * Updating man function for newer live-build versions (Closes:
    #608477).
  * Removing xresprobe from standard-x11 list (Closes: #608566).
  * Generalizing compression handling and adding support for lzip
    tarballs.
  * Adding initial defaults for progress.
  * Removing encryption support until we have something for current
    kernels again.
  * Removing lb_chroot_sysvinit in favour of a hook, which is the
    appropriate way to handle this.
  * Removing legacy support for live-initramfs.
  * Correcting typo in compression defaults.
  * Removing unused debian-release mode.
  * Updating some defaults for progress.
  * Adding derivatives handling for progress.
  * Updating apt indices defaults for progress.
  * Shortening iso volume default for progress.
  * Correcting compression handling for tarballs.
  * Updating parent distribution defaults for progress.
  * Correcting typo in lzip default options.
  * Updating compression defaults for progress.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Jan 2011 13:42:17 +0100

live-build (3.0~a10-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing header in copyright file.
  * Don't hard-depend on test target in Makefile.

  [ Ben Armstrong ]
  * Adding '--includes none' documentation in help and man page.

  [ Daniel Baumann ]
  * Marking afio in rescue list as sid only.
  * Adding debian-installer-launcher in prebuilt images.
  * Adding debian-cd data for ubuntu releases.
  * Removing old ubuntu release (jaunty).
  * Applying patch from Cody A.W. Somerville
    <cody.somerville@canonical.com> to update kernel packages for ubuntu
    in lb_binary_debian-installer.
  * Removing last live-helper remains in internal variables.
  * Removing old and outdated FAQ.
  * Mentioning Richard in authors file.
  * Updating credits file.
  * Removing unused name header in package lists.
  * Marking ntop as sid only in rescue list.
  * Marking tob as sid only in rescue list.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 14 Dec 2010 13:17:58 +0100

live-build (3.0~a9-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Once again updating volatile urls for squeeze.
  * Passing chroot directory explicitly to Apt() in preparation for
    multi-arch.
  * Renaming --architecture to --architectures in preparation for multi-
    arch.
  * Making default argument guessing for non-debian systems a bit more
    robust.

  [ Ben Armstrong ]
  * Updating lb config --help and man page.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 06 Dec 2010 12:19:09 +0100

live-build (3.0~a8-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Replacing last occurences of lh with lb.
  * Renaming 'packages lists' to 'package lists' all over the place.
  * Updating grub package name for grub version 1.
  * Adding warning about non-usefullnes of the stripped hook.

  [ Ben Armstrong ]
  * Adding example auto scripts.

  [ Daniel Baumann ]
  * Applying slightly modified patch from Michael Hudson
    <michael.hudson@canonical.com> to make arguments in debootstrap
    calls more robust.
  * Updating initramfs switch in lb config manpage (Closes: #605255).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Nov 2010 23:19:28 +0100

live-build (3.0~a7-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Enabling volatile for squeeze.
  * Updating volatile urls for squeeze.

  [ Richard Nelson ]
  * Cleanup l-b.cgi header file to reflect Live Build.

  [ Daniel Baumann ]
  * Removing apt-mirror-setup from udeb_exclude (Closes: #604027).
  * Renaming --binary-indices to --apt-indices for consistency.
  * Using bootloader-live in syslinux-themes, rather than just
    bootloader, since it's live specific.
  * Removing cdrom-detect/try-usb workaround, not needed anymore.
  * Correcting quoting of auto calls, thanks to Andreas Loibl
    <andreas@andreas-loibl.de>.
  * Also including auxiliary packages in d-i pool (Closes: #604551).
  * Simplyfing ssh host key removal.
  * Adding dpkg source options file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Nov 2010 23:22:15 +0100

live-build (3.0~a6-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing cron examples, autobuild is handled by live-autobuild now.

  [ Richard Nelson ]
  * Make iso-hybrid default on l-b-cgi.
  * Make squeeze default on l-b-cgi.

  [ Daniel Baumann ]
  * Using old lenny syslinux bootsplash for squeeze, moving new splash
    to wheezy.
  * Updating path in copyright file.
  * Removing remaining last leftovers from lh in lb and live-build
    manpages.
  * Removing debian-maintainers.org and debian-projects.org repository
    entries, will re-add them after squeeze.
  * Updating special handling for backports.
  * Adding fsarchiver to rescue list.
  * Removing arm case for kernel defaults, squeeze has armel instead.
  * Removing hppa case for kernel defaults, squeeze and newer has no
    hppa anymore.
  * Removing deep link to bug page in the manual, since we don't have
    stable references yet.
  * Shuffeling dpkg tmpfs hack arround in preparation for generic tmpfs
    support.

  [ Ben Armstrong ]
  * Adding reference material to debian-live-devel list: live-boot,
    live-config and live-manual.

  [ Daniel Baumann ]
  * Adding vpnc in rescue list.
  * Updating debian-live-devel packages list (Closes: #602139).
  * Correcting typo in defaults handling of apt http proxy.
  * First step in cleaning up syslinux handling by using syslinux-theme
    packages rather than embedded templates.
  * Workarounding symlink on usb-hdd when including debian-installer and
    using vfat filesystems.

  [ Ben Armstrong ]
  * Fixing typo in symlink on fat workaround.

  [ Daniel Baumann ]
  * Enabling removal of ssh host keys, they are regenerated by live-
    config.
  * Making d-i indices copying depending on binary image type.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 13 Nov 2010 16:01:57 +0100

live-build (3.0~a5-1) experimental; urgency=low

  * Removing --binary-pool again, not ready yet.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Oct 2010 18:13:53 +0200

live-build (3.0~a4-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Handling live.debian.net repository differently, so that ubuntu
    people can use it too.
  * Updating to debhelper version 8.
  * Updating defaults for squeeze and d-i gui.
  * Updating images autobuild script for squeeze beta1.
  * Adding temporary workarounds to deal with latest archive breakages
    in image autobuild script.
  * Marking mrt in rescue list as lenny only.
  * Also using gdm legacy hack on xfce-desktop default images.

  [ intrigeri ]
  * Fixing squashfs.sort location with --build-with-chroot false.

  [ Daniel Baumann ]
  * Correcting typo with lb config call for usb-hdd in autobuild script.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 02 Oct 2010 10:18:16 +0200

live-build (3.0~a3-1) experimental; urgency=low

  [ Otavio Salvador ]
  * Fixing debian-installer index generation.
  * Fixing debian-installer Release file generation.

  [ Daniel Baumann ]
  * Also correcting version number in debian-installer release file.
  * Avoid using bashism when handling codename/suite mapping for debian-
    installer release file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Sep 2010 23:24:01 +0200

live-build (3.0~a2-1) experimental; urgency=low

  * Replacing lb_chroot_symlinks with a hook, that's more approriate.
  * Adding option to allow using the live-media pool in live system.
  * Updating version constraints in config tree version check.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Sep 2010 20:09:14 +0200

live-build (3.0~a1-1) experimental; urgency=low

  * Removing lenny support.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Sep 2010 12:38:28 +0200

live-build (2.0.12-2) unstable; urgency=low

  * Adding preinst script to remove
    /usr/share/live/build/includes/squeeze (Closes: #611794).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Feb 2011 12:35:41 +0100

live-build (2.0.12-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing l10n support for 2.0 branch.
  * Correcting outdated program variable.
  * Updating help function in lb for live-build.
  * Updating man function for newer live-build versions (Closes:
    #608477).
  * Marking xresprobe in standard-x11 list as lenny only (Closes:
    #608566).
  * Updating year in copyright.
  * Removing headers in copyright file.
  * Updating year in manpage, hooks, script and template files.

  [ Luigi Capriotti ]
  * Support for newer grub-common package.

  [ Daniel Baumann ]
  * Simplyfing grub-mkimage legacy handling for lenny in lb_binary_iso.
  * Adding ubuntu lucid for grub-mkimage legacy handling in
    lb_binary_iso.
  * Adding missing netinst udeb include files for ubuntu.

  [ Cody A.W. Somerville ]
  * Adding missing debian-cd data files for Ubuntu releases for some
    architectures.

  [ Daniel Baumann ]
  * Adding support for Ubuntu jaunty and natty, thanks to Cody A.W.
    Somerville <cody.somerville@canonical.com>.

  [ Philip Newborough ]
  * Update example path in 'all_binary_debian-installer-banner.sh'
    example hook.

  [ Daniel Baumann ]
  * Account for the + character in packages for l-b.cgi
  * Updating includes for squeeze.
  * Updating syslinux theme for squeeze.
  * Removing wheezy splash.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 01 Feb 2011 22:32:56 +0100

live-build (2.0.11-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Disabling inclusion of GUI installer images on ubuntu.
  * Updating losetup-lukshome example hook to use blkid where available,
    thanks to Clint Adams <clint@gnu.org> (Closes: #607108).

  [ Cody A.W. Somerville ]
  * Fixing numbering of live kernels and initrd files when using
    syslinux.

  [ Daniel Baumann ]
  * Removing unmaintained package lists (Closes: #598100).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 24 Dec 2010 18:49:26 +0100

live-build (2.0.10-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Adding '--includes none' documentation in help and man page.

  [ Daniel Baumann ]
  * Marking afio in rescue list as sid and lenny only.
  * Adding debian-installer-launcher in prebuilt images.

  [ Ben Armstrong ]
  * Fixing numerous spelling and other minor details in lb_config man
    page.
  * Adding *-desktop virtual package lists files (just comments for doc
    purposes).

  [ Daniel Baumann ]
  * Adding debian-cd data for ubuntu releases.
  * Removing old ubuntu release (jaunty).
  * Applying patch from Cody A.W. Somerville
    <cody.somerville@canonical.com> to update kernel packages for ubuntu
    in lb_binary_debian-installer.
  * Removing last live-helper remains in internal variables.
  * Removing old and outdated FAQ.
  * Mentioning Richard in authors file.
  * Updating credits file.
  * Removing unused name header in package lists.
  * Unfuzzying German manpage translations.
  * Marking ntop as lenny and sid only in rescue list.
  * Marking tob as lenny and sid only in rescue list.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 14 Dec 2010 13:05:39 +0100

live-build (2.0.9-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Once again updating volatile urls for squeeze.

  [ Ben Armstrong ]
  * Updating lb config --help and man page.

  [ Daniel Baumann ]
  * Unfuzzying German manpage translations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 06 Dec 2010 12:01:43 +0100

live-build (2.0.8-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Replacing last occurences of lh with lb.
  * Adding warning about non-usefullnes of the stripped hook.

  [ Ben Armstrong ]
  * Adding example auto scripts.

  [ Daniel Baumann ]
  * Applying slightly modified patch from Michael Hudson
    <michael.hudson@canonical.com> to make arguments in debootstrap
    calls more robust.
  * Updating initramfs switch in lb config manpage (Closes: #605255).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Nov 2010 23:12:54 +0100

live-build (2.0.7-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Enabling volatile for squeeze.
  * Updating volatile urls for squeeze.

  [ Richard Nelson ]
  * Cleanup l-b.cgi header file to reflect Live Build.

  [ Daniel Baumann ]
  * Removing apt-mirror-setup from udeb_exclude (Closes: #604027).
  * Removing cdrom-detect/try-usb workaround, not needed anymore.
  * Correcting quoting of auto calls, thanks to Andreas Loibl
    <andreas@andreas-loibl.de>.
  * Also including auxiliary packages in d-i pool (Closes: #604551).
  * Enabling removal of ssh host keys, they are regenerated by live-
    config.
  * Simplyfing ssh host key removal.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Nov 2010 23:13:43 +0100

live-build (2.0.6-1) unstable; urgency=medium

  [ Ben Armstrong ]
  * Adding reference material to debian-live-devel list: live-boot,
    live-config and live-manual.

  [ Daniel Baumann ]
  * Adding vpnc in rescue list.
  * Updating debian-live-devel packages list (Closes: #602139).
  * Correcting typo in defaults handling of apt http proxy.
  * Workarounding symlink on usb-hdd when including debian-installer and
    using vfat filesystems.

  [ Ben Armstrong ]
  * Fixing typo in symlink on fat workaround.

  [ Daniel Baumann ]
  * Making d-i indices copying depending on binary image type.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 13 Nov 2010 16:10:43 +0100

live-build (2.0.5-1) unstable; urgency=medium

  * Removing dpkg-tmpfs hack, this is too intrusive atm.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Oct 2010 09:44:14 +0200

live-build (2.0.4-1) unstable; urgency=medium

  [ Richard Nelson ]
  * Addng lenny build option back to forms and removing wheezy on l-b-
    cgi.

  [ Daniel Baumann ]
  * Adding fsarchiver to rescue list.
  * Removing deep link to bug page in the manual, since we don't have
    stable references yet.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Oct 2010 09:34:43 +0200

live-build (2.0.3-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Removing cron examples, autobuild is handled by live-autobuild now.
  * Using old lenny syslinux bootsplash for squeeze, moving new splash
    to wheezy.

  [ Richard Nelson ]
  * Make iso-hybrid default on l-b-cgi.
  * Make squeeze default on l-b-cgi.

  [ Daniel Baumann ]
  * Updating path in copyright file.
  * Removing remaining last leftovers from lh in lb and live-build
    manpages.
  * Removing debian-maintainers.org and debian-projects.org repository
    entries, will re-add them after squeeze.
  * Updating special handling for backports.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 12 Oct 2010 11:05:07 +0200

live-build (2.0.2-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Removing superfluous 'releasing' changelog entry in previous
    version.
  * Updating defaults for squeeze and d-i gui.
  * Updating images autobuild script for squeeze beta1.
  * Adding temporary workarounds to deal with latest archive breakages
    in image autobuild script.
  * Handling live.debian.net repository differently, so that ubuntu
    people can use it too.
  * Marking mrt in rescue list as lenny only.
  * Also using gdm legacy hack on xfce-desktop default images.

  [ intrigeri ]
  * Fixing squashfs.sort location with --build-with-chroot false.

  [ Daniel Baumann ]
  * Correcting typo with lb config call for usb-hdd in autobuild script.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 02 Oct 2010 10:00:45 +0200

live-build (2.0.1-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Adding squeeze-backports as valid distribution codename in
    lb_config.
  * Correcting wrong stage file in lb_chroot_interactive.
  * Removing d-i hacks, should be fixed with newer live-installer.

  [ Otavio Salvador ]
  * Fixing debian-installer index generation.
  * Fixing debian-installer Release file generation.

  [ Daniel Baumann ]
  * Also correcting version number in debian-installer release file.
  * Avoid using bashism when handling codename/suite mapping for debian-
    installer release file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Sep 2010 07:41:45 +0200

live-build (2.0.0-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Using short boot parameter 'config' to enable live-config, requires
    live-config 2.0.7.
  * Making rmdir calls on cleanups more robust.
  * Also supportin local global lists in config/lists, thanks to Mark
    Schneider <ms@it-infrastrukturen.org>.
  * Updating debian-live list for squeeze.
  * Renaming debian-live list to debian-live-devel.
  * Adding debian-live-pxe-server packages list.
  * Updating packages list for squeeze and wheezy.
  * Also only respecting packages lists with .list suffix in
    binary_local-packageslists for consistency.
  * Adding consle-setup and keyboard-configuration manually to package
    pool for debian-installer in order to workaround a flawed debian-
    installer change in squeeze.
  * Updating keyboard related packages to be in consistency with debian-
    installer.
  * Also handling console related packages in debian-installer when
    live-installer is used.
  * Also adding kbd to debian-installer packages.

  [ Hector Oron ]
  * Fixing bpo debian-maintainers.org typo (Closes: #597715).

  [ Daniel Baumann ]
  * Adding warning about using minimal directly in minimal packages
    list.
  * Adding initramfs related defaults for wheezy.
  * Using the same path for win32-loader in squeeze as in sid as it has
    finally migrated some time ago.
  * Not fail if /dev/random is not available in chroot, newer
    debootstrap seems not to create it anymore.
  * Releasing debian version 2.0.0-1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Sep 2010 12:14:46 +0200

live-build (2.0~a29-1) unstable; urgency=low

  * Updating auto/scripts handling.
  * Adding somewhat prettier header in /etc/apt/sources.list.
  * Fixing lb_binary_syslinux to add quiet for the default live entries.
  * Correcting typo in lb_config when cleaning up auto/config.
  * Adding support for inclusion of the debian-backports repository.
  * Correcting freudian typo when reading in config files.
  * Correcting to narrow pattern for counting kernel images (Closes:
    #581252).
  * Updating kernel images number when installing them into live media.
  * Also populating config tree automatically when calling other top-
    level commands apart from lb_build.
  * Allowing also symlinks in chroot_local-packages (Closes: #593186).
  * Correcting typo in binary sources.list creating.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Sep 2010 21:13:58 +0200

live-build (2.0~a28-1) unstable; urgency=low

  [ Cody A.W. Somerville ]
  * Addding maverick to list of releases.

  [ Daniel Baumann ]
  * Removing EOL Ubuntu releases.
  * Adding preconfig project to repositories.
  * Updating path in local helper for live-build.
  * Prefixing helper scripts to make 'out of source' usage usable
    (Closes: #572455).
  * Avoid running helpers twice when using auto (Closes: #584884).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Sep 2010 21:28:16 +0200

live-build (2.0~a27-1) unstable; urgency=low

  * Shortening package description.
  * Updating internal variables from lh to lb scheme, should be the last
    piece to finish the live-helper to live-build rename.
  * Moving location of the global configuration file from
    /etc/default/live-build to /etc/live/build.conf resp.
    /etc/live/build.d/.
  * Correcting --clean handling in lb_config.
  * Replacing references to lh commands with lb in live-build manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Sep 2010 21:41:44 +0200

live-build (2.0~a26-1) unstable; urgency=low

  * Removing desktop-base entry in gnome-full list, already inherited
    through the gnome-core list.
  * Exiting with 0 in live-boot bug script.
  * Updating debian-live homepage in various locations.
  * Updating gdm handling for lxde.
  * Adding support for wheezy.
  * Adding support for standalone live-boot as initramfs generator.
  * Updating lenny point release number.
  * Also deconfiguring /etc/hosts when using debootstrap to bootstrap
    system.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 06 Sep 2010 15:31:28 +0200

live-build (2.0~a25-1) unstable; urgency=low

  * Updating internal calls to use live-build instead of live-helper.
  * Updating lenny point release number.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 02 Sep 2010 15:15:31 +0200

live-build (2.0~a24-1) unstable; urgency=low

  [ Richard Nelson ]
  * Add param to cgi for --tasks.
  * Add param to the build.html templates for --tasks.
  * Add param to the form.html templates for --tasks.

  [ Daniel Baumann ]
  * Correcting typo in emdebian keyring packages variable (Closes:
    #593346).
  * Updating copyright headers for live-build.
  * Replacing some references to live-helper with live-build.
  * Adding legacy symlinks for lh in live-helper transitional package.
  * Renaming manpages for live-build.
  * Replacing some references to live-helper with live-build in
    manpages.
  * Replacing some references to live-helper with live-build in
    templates.
  * Replacing some more references to live-helper with live-build in
    scripts.
  * Replacing some references to live-helper with live-build in the cgi.
  * Replacing some references to live-helper with live-build in
    examples.
  * Replacing some references to live-helper with live-build in lists.
  * Replacing some references to live-helper with live-build in
    debhelper bug files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 02 Sep 2010 15:06:23 +0200

live-build (2.0~a23-1) unstable; urgency=low

  * Adding slightly modified patch from Cody A.W. Somerville
    <cody.somerville@canonical.com> to extract casper uuid file from
    casper initrds.
  * Setting default distribution to squeeze.
  * Moving /usr/share/live-helper to /usr/share/live/build.
  * Removing old and unmaintained po files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Aug 2010 20:53:08 +0200

live-build (2.0~a22-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Making cp calls for syslinux templates recursive, thanks to Tiago
    Bortoletto Vaz <tiago@debian.org>.

  [ Chris Lamb ]
  * Fixing spelling typo.
  * Run chroot stage with /var/lib/dpkg mounted as a tmpfs

  [ Richard Nelson ]
  * Correct typo on build.html.
  * Update to change in location and name of /live-helper.sh to
    /scripts/build.sh.

  [ Daniel Baumann ]
  * Marking ndiff as lenny only in rescue list (Closes: #591469).

  [ Tiago Bortoletto Vaz ]
  * Adding curly braces to LH_MEDIA in syslinux template.
  * Fixing all LH_MEDIA related stuff in syslinux templates.
  * Adding Brazilian Portuguese templates for syslinux.

  [ Daniel Baumann ]
  * Updating debian-cd data.

  [ Chris Lamb ]
  * Fix LH_INTERACTIVE switch statement.

  [ Daniel Baumann ]
  * Setting default desktop for tasksel when installing package tasks to
    avoid ending up with a pulled in gnome in all cases, thanks a lot to
    Ben Armstrong <synrg@debian.org> for finding this solution.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Aug 2010 04:21:01 +0200

live-build (2.0~a21-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing outdated repository configurations.
  * Updating backports repository configuration.

  [ Richard Nelson ]
  * Correct expression on l-b.cgi email field.

  [ Daniel Baumann ]
  * Updating package to standards version 3.9.1.

  [ Marco Amadori ]
  * Correcting typo, live-helper should depend on live-build.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 27 Jul 2010 16:07:52 +0200

live-build (2.0~a20-1) unstable; urgency=low

  * Removing temporary hack to skip memtest86+ in image autobuild
    script.
  * Adding updated losetup-lukshome hook from Rui Miguel P. Bernardo
    <rui.bernardo.pt@gmail.com>.
  * Renaming live-helper package to its generic name live-build, now all
    Debian Live are consistently and properly named.
  * Splitting out cgi frontend to own package.
  * Rearranging helpers scripts in source tree.
  * Using global version file.
  * Updating po makefile.
  * Removing example sources, not really useful anymore since
    repositories are in place.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 24 Jul 2010 17:22:56 +0200

live-helper (2.0~a19-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Also creating .disk meta information on usb images, otherwise
    debian-installer doesn't detect the installer media.

  [ Richard Nelson ]
  * Allowing input for --mirror-binary on l-h.cgi.

  [ Daniel Baumann ]
  * Updating binary_local-packageslists to treat non-main packages
    correctly.
  * Truncating apts term.log to.
  * Removing apt log instead of truncating it, this is an additional
    file over a bootstrapped chroot.
  * Updating defaults to also add try-usb parameter for cdrom-detect
    when building iso-hybrid images with included debian-installer.
  * Updating syslinux splash screen for squeeze.
  * Updating image autobuild script for squeeze alpha2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 18 Jul 2010 01:16:13 +0200

live-helper (2.0~a18-1) unstable; urgency=low

  [ Richard Nelson ]
  * Added REMOTE_ADDR to l-h.cgi log file.
  * Added logging features to l-h.cgi cron.
  * Matching logging date format to apache to use log analyzers on l-
    h.cgi builds.

  [ Daniel Baumann ]
  * Adding ubuntu specifics for system-config-printer in gnome list,
    thanks to Philippe Lelédy <debian@leledy.fr>.
  * Updating package name for isohybrid, in syslinux 4 it's in syslinux
    instead of syslinux-common.
  * Updating package to standards version 3.9.0.
  * Updating hacks to cope with gdm and gdm3 packages.
  * Copying win32-loader recursively to cope with another win32-loader
    file re-arangement.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 10 Jul 2010 22:43:00 +0200

live-helper (2.0~a17-1) unstable; urgency=low

  [ Richard Nelson ]
  * LH_BOOTAPPEND to LH_BOOTAPPEND_LIVE correction cgi operations.
  * LH_BOOTAPPEND_INSTALL added to cgi operations.
  * Add VERSION information and source in common live-helper common
    functions.

  [ Daniel Baumann ]
  * Using network-manager-gnome instead of wicd in lxde list for squeeze
    and newer.
  * Adding emacs23-nox for squeeze and newer in rescue list.

  [ Alexander Sack ]
  * Ensure that mtab is properly linked to /proc/mounts in
    binary_virtual-hdd.
  * Fix virtual-hdd packing only the stuff inside the binary/ tree in
    the image in binary_virtual-hdd.

  [ Daniel Baumann ]
  * Adding slightly modified patch from Alexander Sack <asac@linaro.org>
    to add meta info about filesystem size in binary_rootfs.

  [ Alexander Sack ]
  * Fix linux-image generation for no initramfs images.

  [ Daniel Baumann ]
  * Going back to using gdm for lxde as this is what the lxde meta
    package recommends.
  * Correcting entry about --language in lh_config manpage, it doesn't
    set the bootparameters automatically for locale selection.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 02 Jul 2010 18:23:47 +0200

live-helper (2.0~a16-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Also passing repositories to cgi build jobs.
  * Correcting wrong handling of --rsyncable in defaults autodetection
    of gzip options.
  * Also including url of the webbuilder in its images.
  * Including note where to send feedback to in webmails mail templates.
  * Including build-job in the mail that is sent by the cgi.
  * Silencing copying of parameters.txt in binary_linux-image.
  * Moving chroot exclude mechanisms to one central place in
    binary_chroot helper.
  * Adding nomodeset to failsafe parameters to disable kms.

  [ Richard Nelson ]
  * Cleaned up expression LH_BOOTAPPEND and included = for live-config
    calls.
  * Added : and / to LH_BOOTAPPEND for live-config.hooks calls.
  * LH_BINARY_IMAGES expression cleanup.
  * LH_PACKAGES_LISTS expression cleanup.
  * LH_PACKAGES expression cleanup.
  * LH_ARCHITECTURE expression cleanup.
  * LH_MIRROR_BOOTSTRAP expression cleanup.
  * LH_MIRROR_BINARY expression cleanup.
  * LH_MIRROR_BINARY_SECURITY expression cleanup.
  * LH_CHROOT_FILESYSTEM expression cleanup.
  * LH_LINUX_FLAVOURS expression cleanup.
  * Match encryption param man page and case for expression cleanup on
    l-h.cgi.
  * LH_ENCRYPTION expression cleanup.
  * LH_HOSTNAME expression cleanup.
  * LH_ISO_APPLICATION expression cleanup.
  * LH_ISO_PREPARER expression cleanup.
  * LH_ISO_PUBLISHER expression cleanup.
  * LH_ISO_VOLUME expression cleanup.
  * LH_MEMTEST expression cleanup.
  * LH_NET_ROOT_PATH expression cleanup.
  * LH_NET_ROOT_SERVER expression cleanup.
  * LH_USERNAME expression cleanup and build output cleanup.
  * _CUSTOM_BOOTSTRAP and _CUSTOM_BINARY expression cleanup.
  * Removed hostname from forms and cgi and can be configured with live-
    config.hostname= on bootappend.
  * Removed username from forms and cgi and can be configured with live-
    config.username= on bootappend.
  * Path correction on cgi/cron build file append to mailer.

  [ Daniel Baumann ]
  * Globally using packages cache during runtime of chroot_source
    (Closes: #586927).
  * Removing double implementation of binary_rootfs/excludes.
  * Removing distribution check for assemblink mksquashfs options in
    binary_rootfs, not required anymore.
  * Making excludes handling simpler, and dropping excluding of kernel
    images for minimal or stripped images (Closes: #586367).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jun 2010 01:49:57 +0200

live-helper (2.0~a15-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Running checkbashisms with -f and -x in Makefile.
  * Updating update-version script.
  * Directly depend on keyboard-configuration (rather than through
    console-setup) for squeeze in standard packages list.
  * Adding gnupg in minmal list for ubuntu (Closes: #586067).

  [ Richard Nelson ]
  * Whitespace removal

  [ Daniel Baumann ]
  * Temporarily removing grub2 from d-i packages again, needs some fixes
    first.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Jun 2010 04:01:29 +0200

live-helper (2.0~a14-1) unstable; urgency=low

  [ Cody A.W. Somerville ]
  * Standardize to machine readable package manifest.

  [ Daniel Baumann ]
  * Renaming manifest files to packages on debian.
  * Correcting install command for manpages in Makefile.
  * Simplyfing makefile a bit.
  * Also including grub2 in the debian-installer pool.
  * Using UTF-8 in German manpages.
  * Using umlauts in German manpages.
  * Using old pathes for win32-loader on squeeze too.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 30 May 2010 09:43:00 +0200

live-helper (2.0~a13-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating lh_config manpage wrt/ mirror defaults.
  * Once again updating path for win32-loader for squeeze and newer.
  * Visually improving test target of Makefile.
  * Updating default boot parameters to include live-config.
  * Thinking about removing openssh-server hostkeys, as they should be
    regenerated during boot anyway.
  * Using kde-plasma-desktop instead of kde-minimal for squeeze and
    newer in kde-core list, thanks to Diederik de Haas
    <didi.debian@cknow.org>.
  * Updating headers of German manpage po files.
  * Applying slightly modified patch from Cody A.W. Somerville
    <cody.somerville@canonical.com> to update titles for Ubuntu in live-
    media disk info.

  [ Cody A.W. Somerville ]
  * Generating casper uuid file in casper initrd.

  [ Daniel Baumann ]
  * Generalizing uuid handling so that we can enable it in debian later
    too.
  * Adding option for custom isohybrid arguments.
  * Also (try) unmounting /dev/shm in exit function.
  * Renaming --chroot-build to --build-with-chroot.
  * Correcting wrong apt-utils workaround in chroot_sources when using
    minimal and local packages.
  * Only installing gdm-themes for lenny in gnome packages list.
  * Using nodm instead of gdm in lxde packages list for squeeze and
    newer.
  * Adding user-setup to minimal packages list.
  * Setting version number to 2.0~a13.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 May 2010 12:37:33 +0200

live-helper (2.0~a12-1) unstable; urgency=low

  * Updating package lists for gdm3.
  * Renaming md5sum helpers to checksums.
  * Allow to include multiple checksum files and specify which hashes to
    use.
  * Removing old NEWS file, news are stored in the wiki at
    live.debian.net since a while already.
  * Removing old DOWNLOAD file.
  * Removing old README file.
  * Updating kde-core list for sid, thanks to Diederik de Haas
    <didi.debian@cknow.org>.
  * Reworking manpages for live-helper 2.
  * Adding German manpage translations.
  * Seperating source tarballs into to, one for debian, one for debian-
    live.
  * Updating win32-loader pathes for squeeze (Closes: #580952).
  * Adding repository pre-configurations files for
    administration.debian-projects.org and customization.debian-
    projects.org.
  * Setting version number.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 May 2010 06:01:39 +0200

live-helper (2.0~a11-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating references to project homepage in the manpages.
  * Updating references to project homepage in the templates.
  * Updating synopsis of --packages-lists in lh_config manpage.
  * Don't fail on samhain workaround when we're cleaning up.

  [ Richard Nelson ]
  * Add uninstall and reinstall for l-h.cgi Makefile.
  * Remove plural typo on l-h.cgi mail.txt .

  [ Daniel Baumann ]
  * Updating uninstall and reinstall targets in cgi/Makefile.
  * Correcting spelling typo in previous changelog.
  * Correcting a couple of formating glitches in lh_config manpage.
  * Replacing 'noautoconfig' string in auto/ scripts with 'noauto'.
  * Printing message when auto scripts are used to make debug logs more
    understandable.
  * Making sure live-helper.sh is sourced early enough wrt/ auto
    scripts.
  * Updating maintainer field.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 30 Apr 2010 17:10:38 +0200

live-helper (2.0~a10-1) unstable; urgency=low

  * Updating appending of union boot parameter to only append, when
    we're not using aufs.
  * Adding -r, --repositories option to select preconfigured third-party
    repositories more easily.
  * Making handling of cache/packages_bootstrap a bit more error proove,
    thanks to Michal Suchanek <michal.suchanek@ruk.cuni.cz> for bringing
    it up.
  * Adding special hack to prevent samhain from initializing.
  * Removing powerpc condition on gnu-fdisk recommends.
  * Calling Check_defaults twice in lh_config, once when we initialize
    and once when the modified configuration is written (Closes:
    #576573).
  * Correcting spelling typo in previous changelog entry.
  * Adding gdb to rescue list.
  * Updating Man function to work with lh as wrapper.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 09 Apr 2010 21:29:10 +0200

live-helper (2.0~a9-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Applying slightly modified patch from Cody A.W. Somerville
    <cody.somerville@canonical.com> to add support for custom debian
    installer images mirror.

  [ Trent W. Buck ]
  * Adding helper to prevent upstart from being run during chroot phase
    (Closes: #571056).

  [ Daniel Baumann ]
  * Adding lh_chroot_upstart manpage.
  * Updating year to 2010 in copyright notices.
  * Adding support for debian-volatile archive.
  * Setting debian-installer-gui default to false for squeeze and sid.
  * Removing outdated crontab and cronjob examples.
  * Merging live-webhelper.
  * Removing obsolete common file in cgi.
  * Updating function reading in the cgi.
  * Updating copyright headers in cgi.
  * Shuffeling cgi files arround.
  * Updating filesystem pathes in cgi.
  * Removing obsolete mechanism of using alternatives for templates, has
    never been used anyway and it's more suitable to directly specify
    them in the config tree instead.
  * Removing obsolete removal of (not used) logfile in the maintainer
    scripts.
  * Excluding cgi from checkbashism (checkbashism is too stupid).
  * Correcting she-bang in cgi.

  [ Steven Shiau ]
  * Fixing build failure with indices caching.

  [ Daniel Baumann ]
  * Only remove auxiliary packages in rootfs when not using pre-cached
    chroot (Closes: #572976).

  [ Richard Nelson ]
  * Removing LH_MIRROR_BOOTSTRAP_SECURITY in the cgi.
  * Cleaning up cgi templates.
  * Updating variables for live-helper 2 in the cgi.

  [ Daniel Baumann ]
  * Adding temporary makefile for the cgi.

  [ Richard Nelson ]
  * Removing etch legacy options in the cgi.
  * Updating booleans for live-helper 2 in the cgi.
  * Updating mail contents in the cgi.
  * Updating cron for live-helper 2 in the cgi.
  * Updating packages lists for live-helper 2 in the cgi.
  * Removing unused version variable in the cgi templates.
  * Updating homepage location in the cgi templates.

  [ Daniel Baumann ]
  * Updating hostname of ubuntu security updates.
  * Adding update repositories as volatile when building in ubuntu mode
    (Closes: #572983).
  * Correcting typo in desktop hacks.
  * Updating rescue list for squeeze.
  * Updating debian-forensics list.
  * Manually removing resolvconf when building kde-desktop release
    images.
  * Updating menu splash image for new syslinux.
  * Updating contact information in copyright file.
  * Updating autobuild script for squeeze alpha1 images.

  [ Richard Nelson ]
  * Clean out trailing white space and tabs on l-h.cgi cron.
  * Added debug option on l-h.cgi cron.
  * Added debug option on l-h.cgi cgi.
  * Clean out leading white space on l-h.cgi cgi.

  [ Daniel Baumann ]
  * Simplifying wording in bug-presubj file.
  * Reordering auto install overrides in rules file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 14 Mar 2010 23:31:59 +0100

live-helper (2.0~a8-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Mention in lh config manpage that local packages need the .list
    suffix.

  [ Rodrigo P. Gomez ]
  * Updating kde and kde-full packages lists for squeeze.

  [ Daniel Baumann ]
  * Marking gwenview in chroot_localization as lenny-only, thanks to
    Rodrigo P. Gomez <armyofthepenguin@gmail.com>.
  * Updating error message on arm/armel regarding kernel flavour
    selection.
  * Automatically populating config tree when having auto/config present
    and lh build is called without having lh config run before.

  [ Richard Nelson ]
  * Removed the appending of LH_BOOTAPPEND_LIVE to
    LH_BOOTAPPEND_INSTALL.

  [ Marco Amadori ]
  * Installs policy-rc.d also in binary phase.

  [ Daniel Baumann ]
  * Cleaning up usb helpers for a future usb-zip addition.
  * Reworking iso-hybrid as an independent binary image type.
  * Updating rescue list for squeeze.
  * Updating image autobuild script.
  * Adding cpio to recommends.
  * Updating signing key of example sources.
  * Updating tasks handling for squeeze.
  * Updating default desktop configuration quirks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 21 Feb 2010 14:42:21 +0100

live-helper (2.0~a7-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Changing binary indices behaviour as suggested by Ben Armstrong
    <synrg@debian.org>, means we're now including binary sources by
    default (unless they are the same as chroot ones), and binary
    indices now only controls if apt lists need to be included in the
    resulting binary image.
  * Updating mirror locations in image autobuild script.
  * Adding support for gfxboot.

  [ Tzafrir Cohen ]
  * For lh_local, checking first for helpers in LH_BASE.

  [ Daniel Baumann ]
  * Dropping lh_ prefix from internal helpers, this is not user visible.
  * Updating to standards version 3.8.4.
  * Updating homepage field in control.
  * Calling /usr/sbin/chroot with full path in Chroot(); should fix path
    problems when using live-helper from a local source tree.
  * Also using sources.list snipplets for local packages just as for the
    other repositories (Closes: #569619).
  * Removing remaining leftovers from etch-only options --genisoimage
    and --union-filesystem removals (Closes: #568261).
  * Don't append and re-append try-usb parameter to bootappend-install
    options over and over again.
  * Correcting gramatical typo in lh_config manpage, thanks to Tzafrir
    Cohen <tzafrir.cohen@xorcom.com>.
  * Removing whitespaces at the end of bootappend-install assignements.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Feb 2010 12:30:46 +0100

live-helper (2.0~a6-1) unstable; urgency=low

  * Updating defaults for kernel packages to not include separate aufs-
    modules for squeeze, not needed anymore.
  * Recommending gnu-fdisk on powerpc.
  * Updating packages list for powerpc.
  * Adding update-alternatives call to set sun-java as default java in
    sun-java example hook.
  * Also making use of package cache during chroot_local-hooks (Closes:
    #566838).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 31 Jan 2010 14:20:23 +0100

live-helper (2.0~a5-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Update lh_source_debian to deal with multiple dsc files for the same
    source.

  [ Daniel Baumann ]
  * Adding misc depends.
  * Wrapping suggests.
  * Minimizing rules file.
  * Adding special handling for kde-desktop hook in lh_chroot_hocks.
  * Removing dead code for bootstrap mirror defaults.
  * Displaying a message between setting up squashfs-tools and starting
    mksquashfs so that users know what is going on, thanks to Michal
    Suchanek <michal.suchanek@ruk.cuni.cz> (Closes: #566250).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 23 Jan 2010 12:47:21 +0100

live-helper (2.0~a4-1) unstable; urgency=low

  * Handling d-i required packages regarding kernel flavours differently
    on ubuntu.
  * Bumping ubuntu default distribution to karmic.
  * Changing local packageslists behaviour for consistency reasons, now
    looking for .list suffix and enabling them automatically (Closes:
    #545403).
  * Replacing lxnm in lxde package list with wicd as suggested by Jun
    Nogata and confirmed by Andrew Lee.
  * Ensure that precached-chroots are prepared as well.
  * Only using wicd instead of lxnm for squeeze and newer.
  * Removing mailx from rescue list.
  * Correcting handling of precached chroot when using plain chroot
    filesystem.
  * Making unmount routines a bit more robust.
  * Marking aufs-source and squashfs-source in debian-live packagelist
    as lenny-only (Closes: #562664).
  * Updating year in copyright file.
  * Renaming directory that holds automatic scripts (e.g. scripts/config
    or scripst/clean) to auto for consistency reasons.
  * Automatically setting-up backports repository when specifying lenny-
    backports as target distribution.
  * Adjusting lh_config manpage to reflect changes wrt/ local packages
    lists.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 19 Jan 2010 20:25:35 +0100

live-helper (2.0~a3-1) unstable; urgency=low

  * Updating icedove-l10n packagename handling for post-lenny, thanks to
    intrigeri <intrigeri@boum.org>.
  * Adding a 'sleep 1' before removing the loopdevice when creating usb-
    hdd images.
  * Don't try to install parameters.txt for casper in ubuntu mode
    (Closes: #560109).
  * Removing lpia support, this architecture is dead.
  * Setting win32-loader to disabled in ubuntu mode.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * For consistency, using true|false instead of enabled|disabled in
    configuration options.
  * Adding experimental support for isohybrid (Closes: #558688).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 13 Dec 2009 21:41:49 +0100

live-helper (2.0~a2-1) unstable; urgency=low

  * Updating config tree version checks.
  * Dropping etch support.
  * Replacing categories with archive-areas in package lists.
  * Using /etc/apt/sources.list.d mechanism for local sources.list
    snipplets.
  * Adding example hook to remove udev persistent device generator
    rules.
  * Adding suffix .list to sources.list.d snipplets.
  * Replacing sed 4.2 command to assemble debootstraps components option
    with a less advanced one, in order to work on legacy distributions.
  * Removing obsolete parameter.txt for etchs casper.
  * Setting LH_BASE variable in defaults.sh globally.
  * Adding changelog of 1.0.6-2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Nov 2009 12:41:06 +0100

live-helper (2.0~a1-1) experimental; urgency=low

  * Renaming categories to archive areas (Closes: #519690).
  * Renaming functions.sh to live-helper.sh.
  * Installing helpers to /usr/share/live-helper/helpers instead of
    /usr/bin.
  * Removing legacy function for dashed commands.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 15 Nov 2009 22:42:59 +0100

live-helper (1.0.6-2) unstable; urgency=high

  * Replacing sed 4.2 command to assemble debootstraps components option
    with a less advanced one, in order to work on legacy distributions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 22 Nov 2009 13:35:50 +0100

live-helper (1.0.6-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating lenny point release number.
  * Settinglosetup-lukshome example hook executable bit again.
  * Adding kernelpurge example hook to remove all kernel images except
    the newest one.
  * Making replace-di-banner hook to not fail when no d-i is included in
    the image.
  * Allowing to overwrite default gzip options through config switch or
    option.

  [ Cody A.W. Somerville ]
  * Unify bootloader helpers.
  * Only add available install frontend boot entries.

  [ Daniel Baumann ]
  * Automatically optaining version number for config tree format.
  * Updating presubj text for reportbug.
  * Correcting install calls for reportbug files in rules.
  * Adding console-setup to standard package list.
  * Adding gfortran and gnat to rescue list.
  * Updating debian-live snapshots repository entries.
  * Adding live snapshots repository gpg key.
  * Updating debian-backports example sources for lenny.
  * Removing old beryl source repository example.
  * Removing old fai source repository example.
  * Removing old debian-edu source repository example.
  * Updating git snapshot repository in image autobuild script.
  * Respecting /etc/hostname in case it's part of chroot_local-includes,
    thanks to Luigi Capriotti <l.capriotti@xbmc.org> for the idea.
  * Updating kde-core package list for squeeze/sid, thanks to Diederik
    de Haas <didi.debian@cknow.org>.
  * Adding mailutils to rescue list.
  * Updating conditionals in package lists for squeeze.
  * Updating debian-forensics packages list.
  * Updating vcs fields.
  * Using pre-cached bootstrap stage, if available, in order to build
    chroot image which dramatically speads up building of large images.
  * Returning error value of the last process before exiting (Closes:
    #527331).
  * Allow to enforce syslinux menu module through LH_SYSLINUX_MENU.
  * Respecting (possibly) customized LH_SYSLINUX_CFG when autodecting
    syslinux menu module (Closes: #533846).
  * Deprecating all dashed forms of commands.
  * Giving message to users that lh_config is actually doing something.
  * Avoid showing 'dashed commands are deprecated' warning more than one
    within lh_clean.
  * Updating distribution release information.
  * Allow to overload global functions with local functions stored in
    the config tree at scripts/functions.
  * Also actually creating the functions directory in lh_config.
  * Correcting conditional reading of local functions.
  * Correcting spelling typo in a previous changelog entry to please
    lintian.
  * Fixing nroff formatting error in lh_config manpage.
  * Updating to debhelper 7.
  * Updating to standards version 3.8.3.
  * Don't use dh_clean in favour of dh_prep.
  * Fixing another nroff formatting error in lh_config manpage.
  * Updating defaults of linux packages for sid (>= 2.6.31).

  [ Rui Miguel Bernardo ]
  * Correcting apt pinning support.

  [ Daniel Baumann ]
  * Merging initial and experimental grub2 support from Luigi Capriotti
    <l.capriotti@xbmc.org>.
  * Adding check for config tree version and fail or give warnings if
    the version doesn't match.

  [ Karl Goetz ]
  * Adding missing exit 1 in the archtiecture detection case.
  * Correcting comment about replacing /dev/urandom with /dev/random.
  * Replacing all -ge with -gt checks for string max lenghts of iso meta
    information.
  * Correcting spelling type in 'wrong config tree version' error
    message.
  * Rewording some of the error messages in Check_defaults().

  [ Daniel Baumann ]
  * Fixing regression imported by fixing #533846 incorrectly.
  * Correcting pathes in include statements when building netboot images
    (Closes: #546910).
  * Correctly replacing pathes in exithelp.cfg for returning back to
    syslinux menu.
  * Adjusting pathes for boot-screens in netboot images.
  * Escaping variables in binary.sh of lh_binary_iso, thanks to Luigi
    Capriotti <l.capriotti@xbmc.org>.
  * Simplyfing chroot copying in lh_binary_chroot.
  * Tidy helper calls before and after switching chroot filesystem in
    lh_binary_rootfs to not leave certain helpers activated at the end
    of the build, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
  * Adding patch from Dusty Hendrickson <dhendrickson@cleversafe.com> to
    allow lh_bootstrap_debootstrap to bootstrap from different section
    than main and evaluate LH_CATEGORIES for that purpose.
  * Adding example hook from Rui Miguel Bernardo
    <rui.bernardo.pt@gmail.com> for bugfixing cdrom-detect when using
    live-installer in lenny.
  * Renaming example hooks and prefixing them with distribution name.

  [ Cody A.W. Somerville ]
  * Omit numbering for first kernel and initrd installed into binary.
  * Fixing intermittent truncating of filesystem.
  * Correcting LH_BOOTAPPEND_INSTALL default values.

  [ Daniel Baumann ]
  * Giving conditional message in lh_config when creating or updating
    the config tree.
  * Respecting that etch has no prompt.cfg in netboot images.
  * Adding syslinux hardcoded default label entries.
  * Adding another workaround for etchs syslinux generation to manually
    treat live.cfg.
  * Only adding hardcoded fallback syslinux label when not using neither
    vesamenu nor gfxboot.
  * Removing newline in f8.txt.install syslinux template.
  * Removing newline in f6.txt syslinux template.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 15 Nov 2009 17:16:19 +0100

live-helper (1.0.5-2) unstable; urgency=low

  [ Cody A.W. Somerville ]
  * Reflect addition of the ubuntu mode and add missing contents where
    marked FIXME in lh_config manpage.

  [ Daniel Baumann ]
  * Preserve quoting in lh when passing through to sub commands (Closes:
    #521824).
  * Outputting usage if lh is called without argument.
  * Adding example hook to allow hal automounting local partitions.

  [ Cody A.W. Somerville ]
  * Simplifying template precedence.

  [ Daniel Baumann ]
  * Using common prefix for packages lists of packaging teams.
  * Updating version and date in manpage headers.
  * Exclude di-utils-exit-installer from udeb_exclude, we want it on the
    images on purpose.
  * Correcting spelling typo in hal-automount.sh, thanks to Martin
    Engelmann <martin.engelmann@gmx.de>.
  * Installing gdm after lxde in lxde package list in order to not pull
    in gnome depends uselessly, thanks to Fabian Greffrath
    <greffrath@leat.rub.de> (Closes: #536230).
  * Correcting typo in default values assignment of losetup functions.
  * Avoid using HOSTNAME variable in order to not get false positives
    from checkbashism.
  * Cosmetical simplification of debian-installer DESTDIR assignement,
    thanks to Cody A.W. Somerville <cody.somerville@canonical.com>.
  * Updating ubuntu specific package preselection.
  * Removing config stage file on purge, if the user is using an auto
    script to generate the config.

  [ Chris Lamb ]
  * Support LH_BOOTSTRAP_FLAVOUR="standard" when using debootstrap
  * Fix usb-hdd d-i installation.
  * Remove potentially-expanding architecture list by making current x86
    vars the fallback.
  * Update my email address.
  * Generate correct bootappend line for preseed/live-installer/usb-hdd
    combination.
  * Add replace-di-banner.sh example hook to replace the graphical d-i
    banner.

  [ Daniel Baumann ]
  * Marking replace-di-banner.sh executable and adjust line wrapping.

  [ Chris Lamb ]
  * Fix s/coppy/copy/ typo

  [ Daniel Baumann ]
  * Including archive trace into .disk meta information.
  * Consistenly installing gdm later than the desktop packages in order
    to ensure non-inflated installs.
  * Replacing policy-rc.d text that is used by sbuild too.
  * Setting binary mirror default to cdn.debian.net.
  * Setting bootstrap mirror default to ftp.de.debian.org,
    ftp.us.debian.orgs is too unreliable (round-robin out of sync).
  * Adding example hook from Rui Miguel Bernardo
    <rui.bernardo.pt@gmail.com> to use home on a separated luks
    encrypted partition.
  * Improving replace-di-banner example hook.
  * Adding localepurge example hook.
  * Simplyfing localepurge hook.
  * Applying patch from Chris Leick <c.leick@vollbio.de> to fix some
    spelling typos in the manpages (Closes: #543868).
  * Adding German manpage translations from Chris Leick
    <c.leick@vollbio.de> (Closes: #544512).

  [ Cody A.W. Somerville ]
  * Fix build failure when retrying build at deconfiguring file
    /bin/hostname.
  * Add option to disable use of GTK debian-installer.

  [ Rui Miguel Bernardo ]
  * Correcting some rough edges in lukshome example hook.

  [ Daniel Baumann ]
  * Updating kernel defaults for squeeze (removing squashfs, not
    required anymore).
  * Adding a message about which hook made a build fail, if any.
  * Updating lenny point release number.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 04 Sep 2009 13:21:04 +0200

live-helper (1.0.5-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Shortening LH_ISO_VOLUME defaults to not exceed max lenght (Closes:
    #515974).
  * Adding checks for exceeding lenght of the iso header strings.
  * Emitting a warning rather than an error when iso strings are too
    long.
  * Evalualting iso volume before checking their lenght, thanks to
    Roberto C. Morano <rcmorano@emergya.es>.

  [ Chris Lamb ]
  * Correcting spelling of s/lenght/length/ in warning messages.
  * Improving grammar and clarity of LH_ISO_APPLICATION etc. warnings

  [ Daniel Baumann ]
  * Adding initial support for virtual-hdd binary image type.
  * Updating manpage headers.
  * Updating manpage po4a.
  * Adding missing use of which in defaults setting of bootstrap
    program.
  * Correcting win32-loader copy call to work with non-chrooted builds
    too.
  * Only trying to copy syslinux english templates if they are actually
    available.
  * Only trying to handle syslinux help screens if they are actually
    available.
  * Improving check for syslinux templates by checking actual content,
    not just the directory.
  * Don't always overwrite keyring package option on debian or emedebian
    mode.

  [ Cody A.W. Somerville ]
  * Checking for installer README.html to prevent build failure.

  [ Daniel Baumann ]
  * Adding gpm to rescue list (Closes: #521557).
  * Adding bonnie++ to rescue list.
  * Updating first bunch of architectures to new location of d-i daily
    images.

  [ Cody A.W. Somerville ]
  * Do not fail build when greps to generate udeb exclusion list return
    no results or grepped files do not exist.

  [ Daniel Baumann ]
  * Removing some code in chroot_apt helper that left over the
    preferences files in the final image.
  * Removing old todo file.
  * Updating internal release numbers to current state in debian.

  [ Cody A.W. Somerville ]
  * Adding Ubuntu mode.

  [ Daniel Baumann ]
  * Not adding squashfs-modules to linux-packages on sid anymore, there
    it's mainlined.

  [ Cody A.W. Somerville ]
  * Adding lpia support.
  * Updating defaults.sh to correctly set default LH_CATEGORIES when in
    Ubuntu mode.

  [ Daniel Baumann ]
  * Manually ensuring correct permissions of filesystem.squashfs in
    order to prevent unbootable systems in some nutcases.
  * Updating location of powerpc d-i daily images.
  * Cleaning up makefile.
  * Simplyfing architecture handling for d-i daily URLs.
  * Adding update-initramfs call back in lh_chroot_hacks, but only for
    netboot.
  * Correcting typo in Makefile about line wrapping.
  * Correcting chroot call for update-initramfs in lh_chroot_hacks.
  * Correcting clean option of lh_config to tidy configuration tree.

  [ Chris Lamb ]
  * Update location of ia64 d-i dailies. Thanks to Luk Claes.

  [ Daniel Baumann ]
  * Not removing man/index.db in lh_chroot_hacks to keep man -k aka
    apropos working, thanks to Juliusz Chroboczek
    <Juliusz.Chroboczek@pps.jussieu.fr> (Closes: #527311).
  * Updating credits file.
  * Adding cdebootstrap and rinse to rescue list.
  * Exporting LH_CONFIG_VERSION for the configuration tree format.

  [ Chris Lamb ]
  * Print a warning if you are using "stripped" or "minimal" but you
    have set LH_BINARY_INCICES="enabled" (Closes: #527974)

  [ Tzafrir Cohen ]
  * Returning to menu in syslinux.

  [ Daniel Baumann ]
  * Always rebuilding initrd in chroot_hacks to avoid inclusion of
    previously removed udev rules (such as persistent devices).
  * Removing madwifi from rescue list; packages are removed from debian,
    and currently we don't support nested ifdefs in packages lists.

  [ Cody A.W. Somerville ]
  * Fixing LH_BOOTAPPEND_INSTALL issues for Ubuntu based builds.

  [ Daniel Baumann ]
  * Adding kpdf-nodrm example hook from Tzafrir Cohen
    <tzafrir.cohen@xorcom.com>.
  * Updating kpdf-nodrm hook to also work with KDE4.
  * Correcting spelling mistake in kde-no-pdf-drm example hook.
  * Correcting another spelling mistake in kde-no-pdf-drm example hook.

  [ Cody A.W. Somerville ]
  * Unmounting all mounts in chroot.

  [ Daniel Baumann ]
  * Marking paketto and sing in rescue list as etch and lenny only
    (Closes: #531795).

  [ Cody A.W. Somerville ]
  * Also respecting general apt/aptitude options for the install
    functions used during binary stage.
  * Fixing build failure in lh_binary_syslinux that occurs if
    exithelp.cfg does not exist.

  [ Daniel Baumann ]
  * Emitting a warning if resolvconf is detected on the to be generated
    live system. Beware of resolvconf, it's broken beyond repair.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 14 Jun 2009 15:00:00 +0200

live-helper (1.0.4-1) unstable; urgency=low

  * Handling kernel selection properly in example images build script.
  * Updating udeb exclude lists.
  * Adding new setting for binary indices: If set to none, no indices
    are included at all.
  * Trimming down gnome-desktop images to fit cd size in example build
    script.
  * Updating release numbers.
  * Updating syslinux menu configuration.
  * Updating boot menu title when using syslinux menu.
  * Correcting typo in example image build script.
  * Removing explicit defaults from example image build script.
  * Updating doc includes.
  * Updating debian-cd doc includes.
  * Correcting path within netboot tarballs.
  * Redirecting stderr to log as well in example image build script.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Feb 2009 18:00:00 +0100

live-helper (1.0.3-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Regenerationg live-helper pot file.
  * Fixing typo in changelog.
  * Correcting order of genisoimage option assembling, the exludes do have to be
    processed last.
  * Adding clean parameter to lh_config to minimize config directory by
    automatically removing unused and thus empty subdirectories.
  * Splitting out win32-loader handling into own helper script.
  * Take win32-loader from the target distribution by using the chroot.
  * Revert using debhelper 7 command in rules.
  * Prefixing debhelper files with package name.
  * Updating copyright file.
  * Cleaning up rules file.
  * Moving binary manifest to live subdirectory on the images.
  * Moving live-initramfs or casper parameter list to live subdirectory on the
    images.
  * Introducing debian-release mode.
  * Adding own iso volume when beeing in release mode.
  * Correcting typo in iso volume.
  * Including the distribution name in iso volume when being in debian mode.
  * Renaming win32-loader executable as debian-cd does.
  * Creating win32-loader.ini in win32-loader helper script.
  * Updating .disk/info generation when building iso images.
  * Updating lenny cd includes.
  * Updating install call for live-helper defaults file.
  * Updating syslinux help screens.
  * Correcting bootstrap default logic to not overwrite the 'copy' method.
  * Really correcting bootstrap default logic to not overwrite the 'copy'
    method.
  * Updating image example build script.
  * Overwriting default kernels in image autobuild script only when being on
    i386.
  * Updating binary-filesystem reference in lh_config manpage.
  * For space consideration, don't install laptop task in desktop images by
    default anymore.
  * Only enabling win32-loader by default if we also include debian-installer.

  [ Tiago Bortoletto Vaz ]
  * Updating pt_br localization (Closes: #514196).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Feb 2009 00:00:00 +0100

live-helper (1.0.3-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Don't break messages into parts; this make it impossible for translators
  * Adding missing newlines in Echo_error
  * Not considering some strings as translatable.
  * Adding Echo function as translatable
  * Don't ask for translators to translate a bunch of asterisks
  * Removing incorrect extra argument
  * Translating the description of the helpers
  * Must be printf instead of echo!
  * Fixing message for i18n compatibility

  [ Cyril Brulebois ]
  * Get rid of MIRROR_BOOTSTRAP_SECURITY in documentation.
  * Document LH_BOOTSTRAP_FLAVOUR as empty by default.
  * Fix --apt-pdiffs disabled being ignored.
  * Make hacks not break if there are no initrds.
  * Actually fix initrd-related breakage in chroot hacks.

  [ Daniel Baumann ]
  * Adding short comments to the different cases in Check_defaults();.
  * Adding check for currently not supported bootloader/image-type combinations.
  * Unsupported bootloader/image type combinations are errors, not warning.
  * Parsing lh_config flags from config.cfg, if available.
  * If config.cfg is executable, we execute it and accept its output as extra
    arguments. This makes dynamic configuration possible.
  * Adding support for using cdebootstra-static as bootstrap program.
  * Setting default taskel program from aptitude to tasksel.
  * Correcting typo in previous aptitude->tasksel commit.
  * Updating mode help message in lh_config.
  * Adding missing --dump to help output of lh_config.
  * Making sure that /tmp has the right permissions after installing
    sun-java*-doc through sun-java example hooks. Apparently, sun-java*-doc
    packages are tampering with it.
  * Actually doing apt-ftparchive operations in chroot as it was originally
    intended to be, otherwise apt-utils would be need to be a depends of
    live-helper.
  * Adding temporary workaround to 'failed to install grub' error when using
    live-installer.
  * Removing enforced installation of mawk in the chroot in
    lh_binary_debian-installer, mawk is priority required and therefore always
    there anyway. Additionally, this would unnecessarily blow up images that
    have gawk (or any other awk implementation) installed.
  * Fixing and unifying handling of hooks.
  * Using common function file to source shell includes.
  * Updating year in copyright notices for 2009.
  * Including functions.sh, forgot to add it before.
  * Marking aufs and unionfs in devel-live packages list as lenny and sid,
    resp. etch-only.
  * Updating forensic packages in rescue list.
  * Removing vim-tiny from minimal packages list, it's not a requirement for
    live-initramfs :)
  * Correcting lh_configs config.cfg handling, so that it's at least working
    when not using config.cfg. Will have to be fixed properly later.
  * Rewriting all existent manpages.
  * Running po4a for manpages.
  * Adding simple manpages for every other live-helper command.
  * Also covering compressed manpages in uninstall target of Makefile.
  * Automatically displaying manpage when calling a helper with -h or --help.
  * Replacing previous attempt of using config.cfg, now using scripts/config.sh
    and scripts/clean.sh instead.
  * Adding dummy live-helper command to make any confused user aware that
    live-helper is a set of commands starting with the lh_ prefix.
  * Removing shell specific extensions and call of scripts/config and
    scripts/clean, thanks to Tzafrir Cohen <tzafrir.cohen@xorcom.com>.
  * Overwriting the debootstrap or fdisk program if it is set to a value that
    is not on the host system anymore, but another alternative of it is.
  * Correcting typo for libewf in rescue list.
  * Updating name of arhive keys in image autobuild script.
  * Fixing infinit loop when using autoconfig for lh_config and lh_clean.
  * Adding autoconfig support to lh_build as well.
  * Correcting wrong logic in defaults.sh which resultet in having
    loop-aes-utils always installed.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun,  1 Feb 2009 17:00:00 +0100

live-helper (1.0.2-4) unstable; urgency=low

  * Prefering local resolv.conf over truncated one.
  * Prefering local hosts over truncated one.
  * Moving removal of apt packages lists from minimal and stripped hook
    to lh_chroot_sources, thanks to Ben Armstrong <synrg@debian.org>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Jan 2009 13:00:00 -0500

live-helper (1.0.2-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Add 'dump' as a getopt longoption so as not to prevent rejection of --dump
    argument to lh_config.
  * Only print versions of live-helper in --dump output, not every package
    installed.
  * Test for dpkg-query instead of dpkg if we are only going to run dpkg-query
    within that scope.
  * Don't assume that if dpkg is installed, we'll actually get a live-helper
    version number from it.
  * Re-order arguments to find(1) to silence warning about sub-optimal ordering.
  * Set default value of _COLOR to "false" from "disabled".

  [ Daniel Baumann ]
  * Also handling custom apt.conf in config/chroot_apt/apt.conf to allow further
    apt configuration (Closes: #511247).
  * Adding sample hook to add custom /etc/modules entries.
  * Truncating resolv.conf created during bootstrap stage, otherwise we'll end
    up with a local resolv.conf in the final image. Thanks to Ben Armstrong
    <synrg@debian.org>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 10 Jan 2009 15:00:00 -0500

live-helper (1.0.2-2) unstable; urgency=medium

  * Marking fragrouter in rescue list as etch only.
  * Correcting naming of source tarballs in image autobuild script.
  * Marking pstack in rescuelist as i386 only.
  * Updating location of archive key in in image autobuild script.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 26 Dec 2008 09:00:00 +0100

live-helper (1.0.2-1) unstable; urgency=medium

  * Marking ardour-gtk in studio package list as etch and sid only.
  * Iterating over all installed kernel images in update-initramfs example hook.
  * Updating udeb data.
  * Updating cd includes.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 20 Dec 2008 15:00:00 +0100

live-helper (1.0.1-4) unstable; urgency=medium

  [ Daniel Baumann ]
  * Don't attempt to remove scripts directory in lh_clean if it doesn't exist.
  * Adding tct to rescue list.
  * Updating lxde-desktop support.
  * Adding missing endif in rescue list.
  * Removing nested ifdefs in rescue list.
  * Correcting defaults check for diverted losetup binary to also cope with
    host systems that do install loop-aes-utils after populating live-helper
    config.
  * Correcting update-initramfs example hook description.
  * Mention possibility to symlink example hooks in their descriptions.
  * Also installing build-essential manually in module example hooks, as
    module-assistant doesn't do it automatically.
  * Adding Debian Science package list.
  * Removing debian-edu mode, outdated and apparently not used anymore.
  * Adding emdebian grip mode.

  [ Marco Amadori ]
  * NEW: "binary_debian-installer-includes" config directory.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 11 Dec 2008 06:00:00 +0100

live-helper (1.0.1-3) unstable; urgency=medium

  [ An-Cheng Huang ]
  * Copy menu binary from the correct directory

  [ Antonio Terceiro ]
  * Adding missing arguments to printf (l10n disabled)

  [ Daniel Baumann ]
  * Correcting typo in dh_prep call in rules.
  * Correcting wrong defaults setting for internal _L10N variable.
  * Applied patch from Maximilian Gass <mxey@cloudconnected.org> to fix
    typo in generation of release files in lh_chroot_sources.
  * Removing wrong 'new-line' in running echo functions when using no
    color output.
  * Removing scripts directory through lh_clean, if it's not empty.
  * Even though users are supposed to have any local-includes with the
    correct owner and permissions, we set them manually on /home/user as
    it's likely that anybody will forget it (Closes: #506553).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Nov 2008 12:00:00 +0100

live-helper (1.0.1-2) unstable; urgency=medium

  [ An-Cheng Huang ]
  * ignore harmless warnings from parted.

  [ Chris Lamb ]
  * Really fix LH_BOOTSTRAP="copy". Thanks to Andreas Teuchert
    <ant+bdo@hsg-kl.de>. (Closes: #498385)
  * Ensure local packages lists are sourced over global ones (Closes: #499656)
  * Fix timing issue in create of source tarballs. Patch by Sebastian H
    <shbugreport@online.de>. (Closes: #499793)
  * Additionally save the 'scripts/' subdirectory if it contains files when
    building source images.
  * Syncing options in lh_config(1) with lh_config, etc. Thanks to Luca Bruno.
  * Create a "missing-source.txt" file containing missing source packages
    instead of exiting.
  * Don't build up source package list inside chroot.
  * Install appropriate tasksel program.
  * Correcting sparc architecture detection to ensure correct source package
    contents.
  * Include source for sparc-utils on that architecture.
  * Ensure all files installed via chroot_local-includes are owned by root:root.
    Thanks to Julien Cristau <jcristau@debian.org>.
  * For consistency, don't preserve uid/gid for files in binary_local-includes.
  * Add utility function to call 'Exit' when script exits.
  * Print message when Exit is called.
  * Setup cleanup hook in the high-level helpers.
  * Refactor utility to locate conffiles.
  * Add utility to dump specified file to stdout.
  * Add utility to dump all conffiles to stdout.
  * Add lh_dumpconfig helper to print suitable output for pastebins and other
    remote debugging.


  [ Daniel Baumann ]
  * Adding explicit --yes to apt-get call when installing keyring packages
    (previously, this was inherited through Apt(); wrapper) (Closes: #499625).
  * Correcting wrong spelling of sl-modem-daemon in rescue list.
  * Fixing bcm43xx-fwcutter entry in rescue list, only available in etch.
  * Automatically correct LH_SETUP value if the configured losetup cannot be
    found.
  * Improving indices workaround by checking LH_BOOTSTRAP_FLAVOUR rather than
    LH_PACKAGES_LISTS in order to handle chicken-egg problem for installing
    apt-utils when having bootstrapped a minimal chroot.
  * Also accept x86_64 as alias for amd64 when checking for cross architecture
    support.
  * Adding virtualbox-ose hook.
  * Adding lh_chroot_selinuxfs helper to support building live images on a
    selinux enabled host (Closes: #501652).
  * Applying patch from Frederic Boiteux <fboiteux@calistel.com> to support
    wildcards in rootfs exclude lists (Closes: #500677).
  * Making removal stage of lh_chroot_selinuxfs dependent on the existence of
    /selinux, otherwise that directory would be always created in the chroot.
  * Manually setting owner of /etc/skel to root.
  * Making sure /etc/sudoers has right owner/permissions.
  * Using simplified Require_stagefile(); calls by passing multiple arguments.
  * Enforcing lh_config to be run before lh_build, see also
    http://lists.debian.org/debian-live/2008/10/msg00102.html (Closes: #500740).
  * Updating version number in common.sh.
  * Removing LIVE_* grep from Exit(); as we have switched to LH_* variables long
    time ago.
  * Adding unmount calls for pseudo-filesystems in Exit();.
  * Excluding ipppd from rescue list due to #502693.
  * Correcting intendation in conffile.sh.
  * Adjusting code style of lh_dumpconfig.
  * Merging lh_dumpconfig into lh_config as --dump parameter.
  * Updating Debian Forensics packages in rescue list.
  * Using dd rather than cat to write mbr.bin to usb-hdd images; dd is more
    robust in case mbr.bin is corrupted.
  * Improving version output of lh_config --dump.
  * Removing double cryptsetup entry in rescue list.
  * Adding lsof in rescue list.
  * Updating releases.sh to match internal namespace of included functions.
  * Marking grub and lilo in rescue list as amd64 and i386 only.
  * Grouping bootloaders in rescue list.
  * Adding hppa bootloader to rescue list.
  * Renaming internal Read_conffile(); to Read_conffiles(); for consistency
    reasons.
  * Generalizing internal Chroot(); by requiring its first argument to be the
    chroot directory.
  * Don't use set -e in sourced functions, this is the job of the actual
    executed script.
  * Check for availability of gettext at runtime, and only use it if existing.
  * Updating color functions.
  * Adding armel to architecture specific checks.
  * Slightly reordering genisoimage option assembling.
  * Slightely improving wording of the 'bootloader not yet supported' when
    creating images.
  * Updating signals in exit and lockfile traps.
  * Syncing internal lockfile functions.
  * Syncing internal l10n functions.
  * Generalizing internal LH_L10N variable.
  * Generalizing internal LH_FORCE variable.
  * Generalizing internal LH_DEBUG variable.
  * Generalizing internal LH_QUIET variable.
  * Generalizing internal LH_VERBOSE variable.
  * Generalizing internal LH_BREAKPOINTS variable.
  * Implementing colorful output (currently disabled by default, though).
  * Cleaning up code of 'lh' short helper.
  * Correcting manpage section reference in a comment in lh.
  * Removing double warning symbol.
  * Also checking for gettext catalogs to be installed before enabling l10n.
  * Using package variable to refere internally to live-helper.
  * Generalizing internal LH_CONFFILE variable.
  * Replacing obsolete dh_clean -k with dh_prep.

  [ Marco Amadori ]
  * lh_config --help and manpage 'copy' mention.
  * Ensure lh_binary_debian-installer includes local debs (Closes: #502877)

  [ Maximilian Gass ]
  * Only install memtest in lh_binary_syslinux if enabled.

  [ Kai Hendry ]
  * Removing etch-only madwifi-doc package from madwifi example hook.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Nov 2008 13:00:00 +0100

live-helper (1.0.1-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Improve architecture auto-detection.
  * mksquashfs in Lenny supports -no-progress, so remove (broken) check.
  * Standardise on appending " (fail-safe mode)" for all bootloaders.
  * Use cp's "-T" option instead of shell globbing to ensure dotfiles in the
    binary image's / are copied.
  * Add "/.disk" metadata on usb-hdd images.
  * Unmount chroot/dev.tmp/pts filestems created by lh_binary_usb-hdd in
    lh_clean.
  * Additionally unmount chroot/binary.tmp in lh_clean --chroot.
  * Refactor partition size calculation, ensuring a uniform increase for ext
    partitions.
  * Warn when using syslinux with a non-FAT LH_BINARY_FILESYSTEM.
  * Use tar to perform lh_bootstrap_copy (Closes: #498385)
  * Add silo to sparc source package selection.
  * Correcting package name "dd_rescue" -> "ddrescue".
  * Correcting package names for "madwifi", only installing if non-free
    selected.
  * Removing packages from rescue list where they 'Conflict:' with each other.
  * Fix handling of --version and getopt program name.

  [ Daniel Baumann ]
  * Adding support for squeeze (lenny+1).
  * Don't install more than one kernel image when building minimal or stripped
    images.
  * Removing currently unused Upstream-Depends field in control.
  * Making gettext depends unversioned.
  * Fixing a chicken-egg problem with package indices when using
    minimal/stripped list *and* including local-packages.
  * Adding color functions for future usage.
  * Adding cursor functions for future usage.
  * Updating vcs fields in control file.
  * Applying patch from Ian Jackson <ian@davenant.greenend.org.uk> to update
    package selection of the rescue list.
  * Removing unsupported, unmaintained and unused knoppix package lists.
  * Adding syslinux-common to rescue list.
  * Adding scalpel to rescue list as suggested by Mathieu Geli
    <mathieu.geli@gmail.com>.
  * Correcting typo with if/endif statements in the rescue list.
  * Removing alsa-oss from standard-x11 package list, this should not really be
    in a default list.
  * Adding posh and dash to devel-live packages list.
  * Not including syslinux-common on lenny just yet, it still neds 1.5 days to
    migrate.
  * Adding rescue flavour to autobuild images.
  * Always using apt to install keyring packages (Closes: #498531).
  * Correcting wrong logic in lh_cleans check for beeing in the config directory
    or not (in order to prevent accidental cleaning by the user).
  * Automatically enforcing fat32 on usb-hdd when detecting files bigger than
    2GB.
  * Automatically enforcing fat32 on usb-hdd when detecting partitions bigger
    than 2GB.
  * Simplyfing partition size check when enforcing fat32.
  * Removing example hook for qemu-launcher, this is now in the archive as
    autorun4linuxcd package.
  * Adding example hook to update initramfs.
  * Updating cursor.sh with additional functions.
  * Re-including syslinux-common for lenny in the rescue list.
  * Adding lxde list, thanks to Kam Salisbury <kam@kamsalisbury.com>.
  * Adding moreutils to rescue list.
  * Adding scripts directory to to include custom helper scripts.
  * Removing sbm, not needed anymore.

  [ Mathieu Geli ]
  * Correcting some little glitches building with the rescue list.

  [ Marco Amadori ]
  * Splitted "longoptions" in various lines.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Sep 2008 14:00:00 +0200

live-helper (1.0.0-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Adding nilfs2-tools to rescue list.
  * Including btrfs-tools in rescue list only when building sid.
  * Using internal prefix for PACKAGES variable in function/packages.sh
    (Closes: #468900).
  * Improving check for a mounted chroot/dev/pts to cover all terminals, not
    just the 0th (Closes: #459697, #459779).
  * Renaming sections to categories in order to use the same names as Debian
    Policy does (Closes: #483777).
  * Since #433076 is fixed in live-initramfs, we only need to adjust owner of
    the live-user when using casper for etch builds.
  * Moving the automatic run of the script tests to package build-time
    invokation.
  * Introducing config/binary_rootfs/excludes as a generic way to exclude files
    manually from the binary image.
  * Passing -wildcards to mksquashfs call when having excludes, thanks to
    Phillip Lougher <phillip@lougher.demon.co.uk>.
  * Adding Debian Forensics packages to rescue list.
  * Replacing Chroot(); call for removing the udev persistent-net rules with a
    direct rm call to avoid beeing expanded by the shell based on the build
    systems files.
  * Adding some more packages to the rescue list.
  * Adding some more packages to the rescue list again.
  * Setting project email address to the new debian-live@lists.debian.org.
  * Adding lsusb to rescue list.
  * Correcting chroot call to process config/binary_rootfs/excludes in chrooted
    builds.

  [ Marco Amadori ]
  * Fixed 2 typos in getopt longoptions string.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  1 Sep 2008 00:00:00 +0200

live-helper (1.0.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Sorting functions alphabetically.
  * Replacing file checking with ls by function calls

  [ Chris Lamb ]
  * Install loop-aes-utils if we are using encryption.
  * Support expanding wildcards in udeb excludes.
  * Remove pointless whitespace.
  * Only install unionfs-tools under Etch in rescue list.
  * Correct logic in LH_BOOTAPPEND_INSTALL handling
  * Removing surrounded braces from LH_BOOTAPPEND_INSTALL - it is expanded by
    sed, not the shell.
  * Correcting typo LH_BOOTSTRAP_INSTALL -> LH_BOOTAPPEND_INSTALL in Grub kernel
    parameters.
  * Correct bogus path for d-i preseed files.
  * Don't install lists from chroot_local-packageslists without them being
    specified in LH_PACKAGES_LISTS (Closes: #490755)
  * Don't use interpolation to print usage and help as it breaks newlines and
    tabs.
  * Remove accidental trailing '"' (quote) package from lh_config usage.
  * Tidy "install" / "install-binary" handling in lh_chroot_apt.
  * Add informational comments to generated /etc/apt/preferences stanzas.
  * Generate Release file for chroot_local-packages when APT_SECURE is disabled.
  * Prevent (harmless) duplicate entries appearing in /etc/apt/preferences
  * Remove gettext from Build-Depends (it's already in Build-Depends-Indep).
  * Correcting aesthetic typo "proces" -> "process".
  * Add leading space to prevent unnecessary diff when running lh_config
    repeatedly.
  * Rename internal LH_BOOTAPPEND_PRESEED variable to _LH_BOOTAPPEND_PRESEED
  * Ensure the binary image does not inherit the binary stage's APT settings.
  * Always create stagefile for chroot_install-packages and require it for
    lh_source
  * Correct indentation of conditional code.
  * Clean source.list instead of binary.list when calling lh_clean --source.
  * Move gettext to Build-Depends-Indep.
  * Add busybox to DI_PACKAGES as its required to install kernels.
  * Choose correct d-i install method for "live" and usb-hdd/tar image types.
  * Don't duplicate .debs of packages in binary/pool that are installed via
    live-installer.
  * Create pool/main to prevent build failure when no local .debs are queued for
    installation.
  * Don't include the bootstrap .debs on live-installer based disks (saves
    ~30MiB).
  * Rework WGET_OPTIONS and use "--no-verbose" by default (just prints the URL).
  * Fix "lh_config -c". Thanks to Simon Schiele <lists@codingmonkey.de>.
  * Remove --debian-installer-daily from getopt call.
  * Update lh_config(1) to match status of
    LH_DEBIAN_INSTALLER_{DAILY,DISTRIBUTION}.
  * Fix a bug in chroot_local-packages where packages were upgraded with
    themselves during lh_binary stages.
  * Fix bug in LH_DEBIAN_INSTALLER_DISTRIBUTION = "daily" handling.
  * Disabling call to "update-initramfs" in lh_chroot_hacks.
  * Always add our apt_preference(5) pinning stanza when using local-packages.
  * Ensure packages in config/chroot_local-packages override all others.
  * Test whether to use hard-links when caching d-i downloads.
  * Print a warning when package caching is disabled but d-i integration is
    enabled.
  * Don't install Recommends of d-i packages.
  * Call "Check_defaults" in lh_build.
  * Print nicer error message when bootstrap missing from LH_CACHE_STAGES.
  * Remove 'E:' prefix in call to Echo_error - it gets added later too.
  * Don't attempt install deprecated helpers/make-live.
  * Add lh_chroot_local-patches helper to apply local patches against chroot.
  * Fix cache poisoning issue in lh_binary_debian-installer with 404 downloads
  * Don't attempt to use live-installer on Etch; it would simply result in no
    bootstrap method.
  * Cache d-i kernel, initrd and mini.iso downloads (Closes: #492085)
  * Wrap most calls to wget in lh_binary_debian-installer.
  * Add system-config-printer as a replacement to gnome-cups-manager.
  * Removed "gnome-cups-manager" from package lists as it has been removed from
    Lenny due to being obsolete. (Closes: #491695)

  [ Daniel Baumann ]
  * Preserve changed apt settings (pdiffs, recommends, and secure) in binary
    image (Closes: #494640).
  * Updating chroot hacks to reflect namechange of the udev persistent rules.
  * Correcting typo in win32-loader config.
  * Correcting win32-loader default values.
  * Moving win32-loader inclusion support from external hook into main program
    (Closes: #476546).
  * Adding generic echo function.
  * Removing currently unused help message in lh_config.
  * Sorting authors file.
  * Removing superfluous echo type from echo call.
  * Correcting escaping of $VERSION in LH_ISO_PREPARER defaults.
  * Updating po files.
  * Replacing remaining echo calls with proper echo functions.
  * Don't expand version in default configuration, but rather use it
    dynamically.
  * Moving live-helper defaults file for cron autobuilder from
    /etc/default/live-helper to /etc/default/live-helper_autobuild in order to
    not conflict with the system-wide default file for helper configuration.
  * Adding guessing of the preseeding filename, and way to manually overwrite it
    (or select it in case of multiple available preseeding files).
  * Switching chechbashism call to now fail and abort rather than just give a
    warning if bashishms are detected.
  * Using $HOST rather than $HOSTNAME to avoid false positive in checkbashisms.
  * Using signal names rather than signal numbers in trap calls.
  * Merging debian-installer-daily option into debian-installer-distribution.
  * Bumping version number to 1.0.0.
  * Updating credits file.
  * Only using hardlinks for local-packages when hardlinks are possible.
  * Removing make-live legacy helper.
  * Updating debian release information.
  * Making check for local-patches silent.
  * Making check for local-includes silent.
  * Using rfc2606 invalid tld instead of dummy.
  * Using better suited variable name for live-helpers local key.

  [ Frederic Daniel Luc Lehobey ]
  * Added po4a support for manpages. Use case: 'make po4a'.

  [ Marco Amadori ]
  * Removing evms from rescue list, package got removed from debian.

  [ Tiago Bortoletto Vaz ]
  * Making help.sh and version.sh messages translatable.
  * Making lh_chroot_interactive and lh_source_usb-hdd messages translatable.
  * Making lh_binary_usb-hdd messages translatable.
  * Making usage.sh messages translatable.
  * Supporting remote preseeding files.
  * Also allowing multiple preseeding files for netboot.
  * Allowing to use more than one preseeding file to be on the media.
  * Adding last modifications in order to have localization fully working in
    live-helper. This commit goes with some pt_BR translations just for testing.
    Thanks to Antonio Terceiro for helping and coding in some shell stuff.
  * Adding the basic infrastructure to provide l10n support for live-helper.
  * Minor typo fix for encryption parameter in lh_config help message.
  * Suporting debian-installer distribution choice, which makes possible to
    build a image using a system-independent debian-installer suite. The config
    option for this is --debian-installer-distribution CODENAME.
  * Adding missing debian-installer options in lh_config --help message.
  * Improving message when using default values in /etc/default/live-helper.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 24 Aug 2008 00:00:00 +0200

live-helper (1.0~a48-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Additionally clean md5sum.txt temporary file.
  * Remove pointless whitespace.
  * Temporarily replace /dev/urandom with /dev/random when creating local
    packages key.
  * Correct d-i kernel and initrd locations in grub entries. Thanks to Jun
    NOGATA <nogajun@gmail.com> for the patch. (Closes: #490245)
  * Fix a bug where a /etc/apt/preferences supplied in chroot_local-includes was
    always being deleted when used in conjunction with
    config/chroot_apt/preferences.
  * Abort build if working directory contains spaces - not supported by (at
    least) debootstrap and cdebootstrap.
  * Replace spaces in LH_BOOTSTRAP_{IN,EX}CLUDE variables with commas on use.
    Thanks to Cyril Brulebois <cyril.brulebois@kerlabs.com>. (Closes: #490114)
  * Fix syntax error in --ignore-system-defaults handling.
  * Ensure ~/.gnupg exists (required for gnupg >= ~1.4.9)
  * Fix bug where command-line argument --ignore-system-default was not seen
    before it was required.
  * Fix formatting error with --ignore-system-defaults in "lh_config --help"
  * Add --ignore-system-defaults option to not source /etc/default/live-helper.
  * Correct location of /etc/default/live-helper in lh_config(1) manpage.
  * Perform in LH_BOOTAPPEND_INSTALL conditional expansion manually to avoid
    expansion bug/feature on repetitive calls to lh_config (Closes: #488672)
  * Use a temporary apt key when installing local packages (Closes: #488257)
  * Fix caching of APT indices (Closes: #478744)
  * Refactor d-i GTK image selection, ensuring the GTK installer is only chosen
    on the netboot variant when building on powerpc.
  * Only consider linux-image-2.6-prep powerpc kernel image on Etch.
  * Refactor remote d-i location handling and ensure correct locations for
    powerpc.
  * Print a friendlier message if debootstrap or cdebootstrap cannot be found.
  * Re-order a case statement for consistency.
  * Fix incorrect test for sparc architecture in binary include handling.
  * Add support for generation of sparc netboot images.
  * Add support for sparc "tar" binary image type.
  * Add support for sparc install includes.
  * Refactor destination setting in lh_binary_silo to check arguments at
    beginning of the script.
  * Abort build if building from the root directory (/) as this causes misc
    build failures.
  * Emit a warning when running lh_build without a config/ directory.
  * Migrate a In_list candidate to grep -E.
  * Migrate a few uses of grep to In_list.
  * Add In_list function to extract various bits of code that did (or should
    have done) the same job.
  * Remove a useless space
  * Consolidate grep text searching predicates to use "grep -qs"
  * Revert aborting live d-i installation if minimal/stripped is selected and
    instead attempt to not break the chroot too much in this case
  * Replace another unweildy "if P1 || P2" statement with its "case" equivalent.
  * Remove more imported whitespaces.
  * Adjust "lh_config --help" and lh_config(1) so that the -m option corresponds
    with --mirror-bootstrap isntead of --mirror-binary-security.
  * Only deference symlinks on usb-hdd filesystems that do not support symlinks.
  * Add support for ext2 and ext3 to lh_source_usb-hdd.
  * Add support for usb-hdd on sparc (requires parted 1.8 from experimental).
  * Refactor mkfs handling.
  * Refactor partition table type handling.
  * Refactor partition type handling.
  * Prefix mount and unmount in lh_binary_debian-installer with LH_ROOT_COMMAND.
  * Add support for sparc to lh_binary_debian-installer.
  * Add support for the sparc architecture.
  * Add lh_binary_silo and associated templates to support the SILO bootloader.
  * Ensure apt-utils is installed in the helpers it is required.
  * Abort if "live" d-i installation is attempted with minimal or stripped
    LH_PACKAGES_LISTS
  * Fix truncated Echo_breakage messages.
  * Fix d-i locations in yaboot entries.
  * Fix trivial typographic error ("flavor" => "flavour")
  * Only deference symlinks on FAT{16,32} partitions on usb-hdd.
  * Replace install.amd/install -> install.386/install symlink with a real copy.
  * Revert always deferencing symlinks when installing some binary includes.
  * Add Echo_breakage for messages preceeding often-breaking stages and use
    before {c,}debootstrap calls
  * Replace a few unweildy "if" statements with their "case" equivalents
  * Move Etch syslinux workaround closer to the original definitions
  * Use correct location of powerpc d-i images.
  * Set correct d-i image type on usb-hdd and tar image types
  * Remove pointless "echo" statements pre- and post- cdebootstrap
  * Allow LH_APT_SECURE to disable package cdebootstrap package authentication
  * Rename USE_NETBOOT_DI to DI_IMAGE_TYPE
  * Always deference symlinks when installing some binary includes to fix
    breakage on amd64.
  * Ensure "Using system defaults" message appears when calling lh_config
    without --verbose
  * Don't skip single dot-files in the root directory of binary and chroot local
    includes
  * Don't exclude live-installer when LH_DEBIAN_INSTALLER=live
  * Fix a few bogus guards in lh_binary_debian-installer
  * Show contents of /etc/default/live-helper in bug info collection script

  [ Daniel Baumann ]
  * Removing imported whitespaces.
  * Parsing local arguments to lh_config last.
  * Correcting order where system-wide lh_config defaults file is read, thanks
    to Juergen Fiedler <juergen.fiedler@gmail.com>.
  * Only saving source indices to indices cache if source indices are actually
    existing, thanks to Thanatermesis <thanatermesis.ecvs@elivecd.net>.
  * Correcting path for system-wide lh_config defaults file.

  [ Marco Amadori ]
  * Added support for /etc/live-helper.
  * Removed a useless space.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 14 Jul 2008 00:00:00 +0200

live-helper (1.0~a47-1) unstable; urgency=medium

  [ Antonio Ospite ]
  * Fix formatting problems in lh_config man page

  [ Chris Lamb ]
  * Create chroot_local-preseed/ directory when building config/ in
    lh_config
  * Fix minor typographical error in live-helper(7)
  * Compress build logs. Thanks to Mathieu Geli for the suggestion.

  [ Daniel Baumann ]
  * Updating vcs fields in control file.
  * Adding uuid-runtime to suggests.
  * Moving bugs document to live-manual.
  * Updating to standards 3.8.0.
  * Updating udeb include/exclude files from debian-cd.
  * Reverting previous commit to compress build logs.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  9 Jun 2008 00:00:00 +0200

live-helper (1.0~a46-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Allow needle and haystack parts of packagelist #if constructs to be
    lists
  * Conditionally add non-free rar and unrar. Add unrar-free
    unconditionally.
  * Remove buggy ext2resize
  * Remove oldstable-only hwtools from rescue list
  * Remove removed/non-Debian packages pasd, irpas and nsed from rescue
    list
  * Correct typo of "ntfs3g" -> "ntfs-3g" in rescue list
  * Only install reaim on Etch in rescue list
  * Correct typo of "geopip-bin" => "geoip-bin"
  * Only install sysutils on Etch in rescue list
  * Only install read-edid on i386 and powerpc in rescue list

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Apr 2008 18:00:00 +0200

live-helper (1.0~a46-1) unstable; urgency=low

  [ Tiago Bortoletto Vaz ]
  * Support list of items for conditionals in package lists
  * Fixed minor typographical error in rescue flavor file.
  * Improving rescue flavor: added a set of missing tools, mainly for
    file system

  [ Chris Lamb ]
  * Only install pstack on i386 (Closes: #477815)
  * Support simple conditionals in package lists (Closes: #478273)
  * Use APT::Install-Recommends to disable installation of recommends
    for Etch

  [ Daniel Baumann ]
  * Adding netboot tarballs and plain squashfs images to images build
    script.
  * Adding powerpc64 to default kernel flavours (in addition to the
    normal 32 bit one).
  * Adjusting obtaining of the date string in snapshots.sh to new git
    log date format.
  * Updating Richards email address.
  * Producing rsyncable tarballs where possible.
  * Also taking mirrors from environment in image.sh.
  * Taking config variables for images.sh from environment.
  * Handling sourceless builds in images.sh.
  * Removing old cron example scripts for image building, they are
    obsoleted by images.sh.
  * Updating live-magic git location.
  * Getting architecture dynamically in images cron script.
  * Correcting permissions in snapshot script.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Apr 2008 00:00:00 +0200

live-helper (1.0~a45-1) unstable; urgency=medium

  [ Tiago Bortoletto Vaz ]
  * lh_chroot_local-preseed: fix minor typo

  [ Chris Lamb ]
  * Install most chroot packages in one  call (Closes: #475739)
  * Install local packages using a local APT repo instead of using "dpkg -i"
  * hooks/minimal: Use "find -print0 | xargs -0" idiom over "find | xargs"
  * Allow fallback to chroot_package-lists inside binary lists
  * Remove temporary binary package list files
  * Tidy calls to new Expand_packagelist
  * Rewrite Expand_packagelist to not be recursive

  [ Daniel Baumann ]
  * Updating snapshot build script.
  * When building snapshot images, also storing source.list away.
  * Building snapshot images with --apt-recommends disabled.
  * Adding example script to build a row of images.
  * Some formating and style cleanups.
  * Using one single packages cache directory for all chroot packages.
  * Using hardlinks to copy local packages into chroot.
  * Moving lh_chroot_packages call in lh_chroot to old place.
  * Updating snapshots url.
  * Adding live-magic to snapshots.
  * Adding debian-unofficial-archive-keyring to snapshots.
  * Updating live-snapshots example sources.
  * Removing non anymore existing live-backports example sources.
  * Renaming image build script.
  * Adjusting Save_cache(); to skip already cached .deb files and only
    copying new packages to it.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 21 Apr 2008 00:00:00 +0200

live-helper (1.0~a44-1) unstable; urgency=medium

  [ Chris Lamb ]
  * lh_chroot_linux-image: Catch missing case in local live-initramfs
    handling
  * helpers/lh_config, functions/defaults.sh: Correct "boostrap" ->
    "bootstrap"
  * lh_binary_debian-installer: Add dependency on 'wget'
  * Don't install "Recommends:" when installing local tools
  * Fix a number of issues with Syslinux templates (Closes: #476204)
  * Use "find -path" for matching "path/to/file" files (Closes: #476206)
  * Fix quoting when installing local packages (Closes: #470683)
  * Fix typo in policy-rc.d

  [ Daniel Baumann ]
  * Updating oot example hooks to loop through all install kernel
    flavours.
  * Sorting image file lists.
  * Consistenly using short options rather than long options in function
    files.
  * Improving .deb caching by using hardlinks (if possible).
  * Creating binary and source file lists in build directory.
  * Also copying binary package list to build directory.
  * Also adding a packages.txt when building etch images, although there
    is a casper/filesystem.manifest already.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 14 Apr 2008 00:00:00 +0200

live-helper (1.0~a43-1) unstable; urgency=medium

  * Sort md5sum.txt files again after filename.
  * Fixing forgotten variable in conffile loop.
  * Updating help output of lh_config.
  * Applied patch from Erwan Le Gall <elegall@linagora.com> to give a
    warning when installing local packages with wrong naming scheme.
  * Using new Read_conffile(); now.
  * Allowing multiple arguments for Read_conffile();.
  * Centraly evaluate LH_CONFIG for custom configuration file.
  * Adding 'all' configuration file.
  * Removing temporary workaround of adding lzma-modules2.6 to linux
    packages, all fixed squashfs are now in sid and lenny.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  7 Apr 2008 00:00:00 +0200

live-helper (1.0~a42-1) unstable; urgency=medium

  * Also including lzma modules on lenny temporarily.
  * Applying patch from Bas Wijnen <wijnen@debian.org> to correct error
    messages in Require_stagefile (Closes: #472774).
  * Applying patch from Bas Wijnen <wijnen@debian.org> to make
    Check_crossarchitecture() working on non-listed architectures
    (Closes: #472775).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2008 00:00:00 +0200

live-helper (1.0~a41-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Fixing md5sum.txt creation to not fail on filenames with
    whitespaces, thanks to Bas Wijnen <wijnen@debian.org> (Closes:
    #469085).
  * Updating copy instructions in example sources to match current
    state.
  * Updating credits.
  * Switching default of LH_APT from aptitude to apt for >= lenny.
  * Correcting wrong logic on handling secure apt.
  * Including 686 kernel flavour on i386 too, but defaulting (still) to
    486 for compatibility reasons.

  [ Chris Lamb ]
  * lh_chroot_hacks: Ensure initrds are group- and world- readable
  * Allow LH_ENCRYPTION="disabled" to disable encryption
  * lh_binary_encryption: Rework and fix broken AES encryption routines
  * lh_binary_rootfs: Remove
  * lh_binary_debian-installer: Preseed by repacking initrd in some
    situations
  * lh_binary_debian-installer: Merge pool/netboot determining logic
  * lh_binary_debian-installer: Remove "local"-oriented bashisms
    (Closes: #471873).
  * lists/gnome-core: Add gnome-themes
  * lh_chroot_linux-image: Install dependencies differently when using
    aptitude
  * lh_binary_debian-installer: Don't use --no-clobber for downloading
    files
  * lh_binary_debian-installer: Only create package pools when necessary
  * lh_binary_debian-installer: Re-enable d-i on netboot images
  * hooks/stripped: Clean Lintian and Linda overrides in 'stripped' hook

  [ Cyril Brulebois ]
  * Fix various typos.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Mar 2008 00:00:00 +0100

live-helper (1.0~a40-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Ensure syslinux entry names match templates and standard d-i names
  * Don't append 'quiet' kernel parameter in rescue modes

  [ Daniel Baumann ]
  * Updating bug script to also check for recently added packages to
    suggests.
  * Adding bug presubj message.
  * Fixing incomplete changelog entry from git-dch.
  * Reworded package description.
  * Improved wording of debian-live splash license.
  * Removing (temporary) preinst, not needed anymore.
  * Cleaning up target depends in rules.
  * Updating documentation about how to report bugs.
  * Updating copyright years to 2008.
  * Bumping live-helper version.
  * Re-adding quiet on all d-i install targets in post-etch, except
    expert (and keeping Chris fixed quiet handling).
  * Adjusting wrong variable convention in syslinux templates for
    LH_VERSION (Closes: #468841).
  * Fixing wrong debian-installer auto target configuration.

  [ Otavio Salvador ]
  * functions/losetup.sh: use SECTORS as variable name to reflect the
    real usage

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Mar 2008 00:00:00 +0100

live-helper (1.0~a39-1) unstable; urgency=medium

  [ Bas Wijnen ]
  * Making usb-hdd images large enough (Closes: #468855).

  [ Chris Lamb ]
  * Use ${*} instead of ${@} for checking for no arguments in lh_clean.

  [ Daniel Baumann ]
  * Fixing spelling mistake in changelog.
  * Fixing manpage quoting errors.
  * Rewriting copyright in machine-interpretable format.
  * Adding option to set binary-net compression (or disable it).
  * When a wrong argument is passed, that argument should be listed
    (Closes: #468201).
  * Added forgotten getopts arguments for chroot mirror.
  * Adding lzma modules on sid.
  * Changing version scheme for snapshots.
  * Fixing typo in sed call to set isolinux splash file.
  * Honor local preseeding file for debian-installer.
  * Using wildcards to support more than one preseeding file.
  * Including default kernel-img.conf in live-systems.
  * It's actually enough to just truncate kernel-img.conf and also less
    invasive than including a default configuration.
  * Adding --jffs2-eraseblock parameter.
  * Adding temporary hack to remove fstab when using live-installer.
  * Fixed accidental overwriting of LH_NET_TARBALL value in defaults.
  * Also handling ext3 in lh_binary_rootfs, thanks to Bas Wijnen
    <wijnen@debian.org> (Closes: #468902).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  3 Mar 2008 00:00:00 +0100

live-helper (1.0~a38-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Implement -u/--usage function in lh_clean (Closes: #454553)
  * Implement -v/--version and -h/--help in lh_clean.
  * Remove 'ssl' package references from mini and minimal hooks.
  * Don't prompt when autoremoving packages in minimal hooks.
  * Don't put more than one glob on a 'for' line, unless they are
    guaranteed
  * Refactor installing file to binary/pool/main/./.* functionality.
  * Remove conditionals, as an expansion never 'fails': it just
  * Move installing binary.deb/archives/*.deb.
  * Use Install_file for udebs.
  * Refactor d-i udeb handling with better failure mode (Closes:
    #444565)
  * Re-add guards against bogus 'for' shell expansion.
  * Re-order hooks such that local hooks are executed first. (Closes:
    #453360)
  * Remove trailing newline from syslinux splash screens. (Closes:
    #457740)
  * Remove duplicated 'irpas' package in rescue list.
  * Use C-style 'include' in lists (backwards compatible).

  [ Daniel Baumann ]
  * New upstream release.
  * Fixing typing error in Makefile.
  * Also removing manpage cache in cleanup.
  * Fixed incomplete fdisk parameter list in lh_config --help.
  * Don't fail silently when extern executables are configured but not
    present.
  * Fixing changelog email address.
  * Bumping standards version.
  * Removing mkisofs from recommends, not needed anymore.
  * Updating rules.
  * Checking LH_APT when using mini and minimal package lists.
  * Adding example binary hook to copy live-helper and its config based
    on the idea from Tzafrir Cohen <tzafrir.cohen@xorcom.com>.
  * Adding lh_local based on the idea from Tzafrir Cohen
    <tzafrir.cohen@xorcom.com>.
  * Addjusting lh helper to be called from lh_local.
  * Switching to GPL3+.
  * Removing discover from standard-x11 list, udev does the same.
  * Don't fail if resolv.conf is a symlink, thanks to David Madore
    <david.madore@ens.fr> (Closes: #457595).
  * Fixing changelog.
  * Consistently using the pipe as separator in sed commands now.
  * Checking for /sys/class rather than /sys/kernel, avoids problem when
    running under OpenVZ which doesn't have sys/kernel, thanks to
    Takeshi Yaegashi <yaegashi@debian.org>.
  * Using ftp.us.debian.org rather than ftp.debian.org, see
    http://lists.debian.org/debian-devel-announce/2007/12/msg00002.html.
  * Fixing typo, thanks to Fathi Boudra <fabo@debian.org>.
  * Merging old live-package debian changelog into current debian
    changelog.
  * Merging old live-package debian changelog entry for testing upload.
  * Renaming mini flavour to stripped to avoid confusion, thanks to
    Fathi Boudra <fabo@debian.org> and Ben Armstrong <synrg@debian.org>.
  * Installing initramfs generator from local-packages, if available.
  * Removing install call for old changelog, which is not needed
    anymore.
  * Correcting wrong installation attempt of initramfs generator from
    local-packages.
  * Working arround aptitude behaviour of removing packages rather than
    to installing missing depends when using initramfs generator from
    local-packages.
  * Removing unintendet set -x.
  * Fixing typo.
  * Adding apt/aptitude options.
  * Renaming extra bootstrap indices to chroot.
  * Renaming LH_MIRROR_BOOTSTRAP* to LH_MIRROR_CHROOT and introducing
    dedicated LH_MIRROR_BOOTSTRAP for debootstrap/cdebootstrap only.
  * Improving etch compat warnings.
  * Fixing aptitude typo.
  * Fixing quoting with chroot wrapper calls.
  * Re-adding additional indices updated, otherwise we wouldn't honor
    thirdparty repositories (anymore).
  * Updating devel-live package list.

  [ Otavio Salvador ]
  * bootstrap: adds support to debootstrap 1.0.7
  * bootstrap: use minbase flavour when LH_PACKAGES_LISTS is set to
    minimal
  * binary: do not fail if parameters.txt isn't available
  * chroot: don't fail if /dev/pts is already mounted
  * debian: add mtd-tools in suggests field since it's used when jffs2
    is chosen
  * lh_source_debian: add mtd-tools since it provides mkfs.jffs2
    application
  * lh_config: add jffs2 in supported filesystems
  * lh_binary_encryption: add jffs2 as not supported filesystem
  * lh_binary_rootfs: add support to generate jffs2 filesystem

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2008 13:33:00 +0100

live-helper (1.0~a37-2) unstable; urgency=medium

  * Disabling global arguments in lh_clean (Closes: #451960).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 19 Nov 2007 18:00:00 +0100

live-helper (1.0~a37-1) unstable; urgency=medium

  * New upstream release.
  * Preparing live-helper 1.0~a37-1.
  * Fixing some coding style issues.
  * Removing German manpages, they will be re-translated after the
    English manpages are finished.
  * Rewritten live-helper manpage.
  * Fixing typing errors.
  * Extending conffiles to allow config/., config/., as well as config/,
    config/. and config/..
  * Adding manpage for lh.
  * Fixed wrapping.
  * Rewritten lh_binary manpage.
  * Rewritten lh_bootstrap manpage.
  * Rewritten lh_chroot manpage.
  * Rewritten lh_source manpage.
  * Rewritten lh_build manpage.
  * Fixing fstab handling.
  * Moving lh_losetup into an internal function, avoiding helper failure
    with return value due to new trap.
  * Fixing typing error.
  * Mounting pseudo filesystems before creating binary images in non-
    chrooted builds.
  * Do not create the filesystem with parted.
  * Do really not create the filesystem with parted.
  * Speeding up the dd call, thanks to Peter Skogstroem
    <peter.skogstrom@bitrunner.com>.
  * Adding binary filesystem option, currently only supporting fat16 and
    fat32.
  * Adding an upgrade and dist-upgrade to lh_chroot_sources, so that
    security updates gets pulled into the base system. Thanks to Kai
    Hendry <hendry@iki.fi>.
  * Fixing wrong parted call.
  * Removing lh_bootstrap_* manpages temporarily.
  * Switching lh_clean to proper command line arguments.
  * Moving sanity check in lh_clean to the earliest possibility.
  * Rewriting lh_clean manpage.
  * Fixing lh_clean manpage synopsis formatting.
  * Rewritten lh_config manpage.
  * Rewritten lh_testroot manpage.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 19 Nov 2007 00:00:00 +0100

live-helper (1.0~a36-1) unstable; urgency=medium

  * New upstream release.
  * Preparing live-helper 1.0~a36-1.
  * Fixing trap call as suggested by Justin Pryzby
    <jpryzby@quoininc.com> (Closes: #431160, #449087).
  * Correcting some language shortcommings.
  * Fixing wrong kernel flavour warning message on m68k.
  * Evaluating local arguments befor setting the defaults (Closes:
    #444985).
  * Adding custom reportbug script.
  * Allowing LH_BOOTSTRAP_FLAVOUR to be minimal or mini.
  * Fixing some coding style issues.
  * Added warning about etch compatibility of lh_config options.
  * Adding generic lh wrapper.
  * Fixing spelling mistake, thanks to Kel Modderman <kel@otaku42.de>.
  * Improving trap call to unmount pseudo filesystem when failing as
    suggested by Justin Pryzby <jpryzby@quoininc.com>.
  * Updating to install the generic wrapper.
  * Fixing trap call, thanks to An-Cheng Huang <ancheng@vyatta.com>.
  * Making umount calls check if they are actually necessary.
  * Extending --force to also cover lockfiles to avoid recursive loop
    within trap.
  * Fixing typing error, thanks to An-Cheng Huang <ancheng@vyatta.com>.
  * Adding some more fakeroot related fixes from An-Cheng Huang
    <ancheng@vyatta.com>.
  * Adding a check to see if user is running lh_clean from a sane
    location (i.e. not config/), thanks to Kai Hendry
    <hendry@webconverger.com>.
  * Adding check to detect gnu-fdisk and using the original fdisk,
    thanks to Peter Skogström <peter.skogstrom@bitrunner.com> for the
    report.
  * Removing the whole cache, not just the .deb cache in mini and
    minimal hooks, thanks to Franklin Piat <fpiat@bigfoot.com>.
  * Adding option to disable md5sum generation.
  * Fixed a few bashisms, thanks to Trent W. Buck <trentbuck@gmail.com>.
  * Adding checkbashsms call to test target of the Makefile as suggested
    by Trent W. Buck <trentbuck@gmail.com>.
  * Outputting an own message when having more than one case in a
    helper, instead of a global one.
  * Removing the unmounting of pseudo filesystems from the trap call,
    needs some other changes before it can safely be done.
  * Adding 'remove' case, which is in between of all and purge.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Nov 2007 00:00:00 +0100

live-helper (1.0~a35-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * New upstream release.
  * Preparing live-helper 1.0~a35-1.
  * Corrected wrong path, thanks to Ben Armstrong <synrg@debian.org>.
  * Renaming live-failsafe boot target to livefailsafe (Closes:
    #450576).
  * Using shell redirection to truncate rather than additional
    commands/forks/files, thanks to Justin Pryzby
    <jpryzby@quoininc.com>.
  * Documenting preseeding for sun-java hooks, thanks to Antonio Amorim
    <Antonio.Amorim@sim.fc.ul.pt>.
  * Adding option to allow building in fakeroot/fakechroot environment,
    thanks to An-Cheng Huang <ancheng@vyatta.com>.

  [ Jesse Hathaway ]
  * add force flag when removing /etc/mtab for exposedroot mode
  * allow basename of net-root-path to be binary
  * add /etc/adjtime to list of writable files in exposed root mode
  * fix syslinux timeout option
  * fix isolinux when booting multiple kernel flavours
  * add new option --syslinux-menu to enable syslinux menu

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  5 Nov 2007 00:00:00 +0100

live-helper (1.0~a34-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * New upstream release.
  * Correcting homepage field.
  * Respecting LH_BOOTSTRAP_FLAVOUR (Closes: #448034).
  * Fixing typing error (missing paranthese).
  * Correcting vcs fields.
  * Fixing typing error (wrong variable name).
  * Setting LH_BOOTSTRAP_FLAVOUR only when using cdebootstrap.
  * Fixing indenting.
  * Adding lh_chroot_devpts.

  [ Jesse Hathaway ]
  * add new option to mount cow device on nfs volume

  [ Maarten ter Huurne ]
  * Fixed lh_config tool name in manpage.
  * Avoid [Y/n] query on package autoremove in "mini" hook.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Oct 2007 00:00:00 +0100

live-helper (1.0~a33-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * New upstream release.
  * Preparing live-helper 1.0~a33-1.
  * Adding cryptsetup.
  * Removing ubuntu support.
  * Removing mkisofs support.
  * Setting default union filesystem to for etch to unionfs.

  [ Alex Owen ]
  * fix lh_chroot_sources to actually install *.deb from
    config/chroot_sources

  [ Jesse Hathaway ]
  * add exposedroot option which exposes the root fs as ro

  [ Maarten ter Huurne ]
  * Remove ".img" from kernel image file name.
  * Added feature to exclude paths from the root filesystem.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Oct 2007 00:00:00 +0200

live-helper (1.0~a32-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * New upstream release.
  * Preparing live-helper 1.0~a32-1.
  * Fixing consistency error.
  * Adding sudo and fakeroot to suggests.
  * Adding check to fail if a cross build is started (Closes: #444669, #444670).
  * Not interpreting LH_UNION_FILESYSTEM, so that it gets set with an actual
    value at build-time (Closes: #446306).
  * Adding support for a local /etc/apt/preferences file in
    config/chroot_apt/preferences.
  * Adjusting error message: debootstrap is default, hence listed first.
  * Setting union filesystem default to aufs since default distribution is
    lenny.
  * Fixing typing error, thanks to Peter Skogström
    <peter.skogstrom@bitrunner.com>.
  * Updating Debian stable release number, thanks to Peter Skogström
    <peter.skogstrom@bitrunner.com>.
  * Adding lh_binary_local-packageslists.

  [ Jesse Hathaway ]
  * Unify syslinux code, so that pxelinux isolinux & usb-hdd
  * readd support for booting etch via syslinux
  * lh_binary_syslinux: fix usb-hdd etch images

  [ Otavio Salvador ]
  * lh_binary_syslinux: check for  and not  to detect wrong path
  * lh_binary_syslinux: always put splash image as splash.{rle,png} to avoid
    filename issues

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Oct 2007 00:00:00 +0200

live-helper (1.0~a31-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * New upstream release.
  * Preparing live-helper 1.0~a31-1.

  [ Otavio Salvador ]
  * cdebootstrap: simplified code using case instead of if's so it's
    easier to read
  * iso: move mini and minimal flavors assigment to a cannonical place
  * hooks/mini: remove dselect package since it's mostly unused now
  * bootstrap: add support to include and exclude packages
  * syslinux: force latin1 encoding on texts used for labels
  * iso: use -allow-multidot option when calling genisoimage
  * templates: change font used on syslinux menu to a better one
  * fix version guessing using proper evaluation
  * syslinux: fix usb-hdd entries to use menu.cfg file
  * syslinux: properly change timeout and do not fail if help files do
    not exists
  * syslinux: fix usb-hdd templates coping

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  8 Oct 2007 00:00:00 +0200

live-helper (1.0~a30-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * New upstream release.
  * Preparing live-helper 1.0~a30-1.
  * Replacing backticks with POSIX expression.
  * Fixing typing error, thanks to Maarten ter Huurne
    <maarten.ter.huurne@philips.com>.
  * Fixing typing error, thanks to Jesse W. Hathaway <jesse@mbuki-
    mvuki.org>.
  * Respecting LH_QUIET for cdebootstrap calls, thanks to Justin Pryzby
    <pryzbyj@justinpryzby.com>.

  [ Ben Armstrong ]
  * genext2fs: new switch name: --reserved-percentage; thanks, Zagiox

  [ Otavio Salvador ]
  * add template to be used by syslinux vesa menu support
  * add new options to allow support for syslinux with vesa menu
  * implements syslinux vesa menu support
  * refactoring: simplified if/else case since the list of supported
    arch were too long
  * syslinux: defaults to english text if we lack the specified language
  * syslinux: fix menu label usage for normal live boot
  * templates: move syslinux-menu to syslinux/menu
  * syslinux: always output MENU LABEL since they're ignored if menu.c32
    isn't loaded
  * syslinux: split syslinux configuration in multiple files
  * templates: split syslinux templates to reduce diverting
  * syslinux: fix memcheck path since it was using the wrong path
  * syslinux: fix module detection otherwise it won't be copied
  * debian/control: use XS-Homepage to avoid errors while calling dpkg-
    gencontrol

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  1 Oct 2007 00:00:00 +0200

live-helper (1.0~a29-1) unstable; urgency=medium

  * New upstream release:
    - Adding preinst to take care about package upgrades with respect to
      directories that are symlinks now (Closes: #442408, #442922).
    - Fixed typing error in lh_binary_syslinux, thanks to Jean Pierre LeJacq
      <jp.lejacq@quoininc.com> (Closes: #443099).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Sep 2007 00:00:00 +0200

live-helper (1.0~a28-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Sep 2007 00:00:00 +0200

live-helper (1.0~a27-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Sep 2007 00:00:00 +0200

live-helper (1.0~a26-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  3 Sep 2007 00:00:00 +0200

live-helper (1.0~a25-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Aug 2007 00:00:00 +0200

live-helper (1.0~a24-1) unstable; urgency=medium

  * New upstream release:
    - lh_clean accepts more than one argument at the same time
      (Closes: #439947).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 20 Aug 2007 00:00:00 +0200

live-helper (1.0~a23-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Aug 2007 00:00:00 +0200

live-helper (1.0~a22-1) unstable; urgency=medium

  * New upstream release:
    - Replacing make-live with lh_config and lh_build (Closes: #435484).
    - Added workaround from matth in lh_binary_grub, lh_binary_syslinux and
      lh_binary_yaboot to work under dash (Closes: #431748).
    - Using fake hostname instead of setting it at build-time (Closes: #435699).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  6 Aug 2007 00:00:00 +0200

live-helper (1.0~a21-1) unstable; urgency=medium

  * New upstream release:
    - Suppresses xorg configuration in chroot (Closes: #430566).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Jul 2007 00:00:00 +0200

live-helper (1.0~a20-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 23 Jul 2007 00:00:00 +0200

live-helper (1.0~a19-1) unstable; urgency=medium

  * New upstream release:
    - Supports using packages from the build host (Closes: #433611).
    - Adds destdir to default entries in grub (Closes: #433612).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Jul 2007 00:00:00 +0200

live-helper (1.0~a18-1) unstable; urgency=medium

  * New upstream release:
    - Dropping transitional package, not needed anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  9 Jul 2007 00:00:00 +0200

live-helper (1.0~a17-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  2 Jul 2007 00:00:00 +0200

live-helper (1.0~a16-1) unstable; urgency=medium

  * New upstream release:
    - Caches also linux-image packages (Closes: #430511).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Jun 2007 00:00:00 +0200

live-helper (1.0~a15-1) unstable; urgency=medium

  * New upstream release:
    - corrected wrong project name in examples/sources/fai (Closes: #428360).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 18 Jun 2007 00:00:00 +0200

live-helper (1.0~a14-1) unstable; urgency=medium

  * New upstream release:
    - fixes typo in manpage (Closes: #428192).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 11 Jun 2007 00:00:00 +0200

live-helper (1.0~a13-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  4 Jun 2007 00:00:00 +0200

live-helper (1.0~a12-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 May 2007 00:00:00 +0200

live-helper (1.0~a11-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 21 May 2007 00:00:00 +0200

live-helper (1.0~a10-1) unstable; urgency=medium

  * New upstream release:
    - really removed forgotten set -x in the cron (Closes: #421105).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 14 May 2007 00:00:00 +0200

live-helper (1.0~a9-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  7 May 2007 00:00:00 +0200

live-helper (1.0~a8-1) unstable; urgency=medium

  * New upstream release:
    - updated syslinux templates (Closes: #399658).
    - removed forgotten set -x in the cron (Closes: #421105).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Apr 2007 00:00:00 +0200

live-helper (1.0~a7-1) unstable; urgency=medium

  * New upstream release:
    - make-live unmounts proc and sys on exit and failures
      (Closes: #394334, #410147).
    - supporting sudo (Closes: #387069).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 23 Apr 2007 00:00:00 +0200

live-helper (1.0~a6-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Apr 2007 00:00:00 +0200

live-helper (1.0~a5-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  9 Apr 2007 00:00:00 +0200

live-helper (1.0~a4-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  2 Apr 2007 00:00:00 +0200

live-helper (1.0~a3-2) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Mar 2007 17:00:00 +0200

live-helper (1.0~a3-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Mar 2007 00:00:00 +0100

live-helper (1.0~a2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 19 Mar 2007 00:00:00 +0100

live-helper (1.0~a1-3) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 14 Mar 2007 21:00:00 +0100

live-helper (1.0~a1-2) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 14 Mar 2007 18:00:00 +0100

live-helper (1.0~a1-1) unstable; urgency=low

  * Initial release, replacing live-package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Mar 2007 00:00:00 +0100

live-package (0.99.26-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri,  9 Mar 2007 12:27:00 +0100

live-package (0.99.25-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri,  9 Mar 2007 01:49:00 +0100

live-package (0.99.24-1) unstable; urgency=low

  * New upstream release:
    - adds LIVE_INCLUDE_CHROOT to the manual exported variables as reported by
      Mathieu Geli <mathieu.geli@gmail.com> (Closes: #412325).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 Mar 2007 12:25:00 +0100

live-package (0.99.23-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 21 Feb 2007 22:08:00 +0100

live-package (0.99.22-1) unstable; urgency=low

  * New upstream release:
    - updates manpage (Closes: #411008).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 16 Feb 2007 20:38:00 +0100

live-package (0.99.21-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Feb 2007 15:06:00 +0100

live-package (0.99.20-1) unstable; urgency=low

  * New upstream release:
    - Fixed manual pruning in minimal flavour as suggested by
      Bas Wijnen <wijnen@debian.org> (Closes: #410040).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu,  1 Feb 2007 17:35:00 +0100

live-package (0.99.19-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 31 Jan 2007 12:38:00 +0100

live-package (0.99.18-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 25 Jan 2007 08:29:00 +0100

live-package (0.99.17-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 24 Jan 2007 22:18:00 +0100

live-package (0.99.16-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 18 Jan 2007 16:25:00 +0100

live-package (0.99.15-1) unstable; urgency=low

  * New upstream release:
    - switched default distribution back to unstable, as unstable is usable
      again from the kernel point of view (Closes: #400457).
    - added file to the minimal package list (Closes: #400485).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Jan 2007 21:24:00 +0100

live-package (0.99.14-4) testing; urgency=medium

  * 02defaults.sh: Updated kernel flavours to match etch.
  * 14chroot.sh: Removed xorg hack, not needed in etch.
  * 14chroot.sh: Fixed misspelling of aptitude.
  * main.sh: Updated release codenames to match etch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu,  8 Mar 2007 10:55:00 +0100

live-package (0.99.14-3) unstable; urgency=high

  * Adding workaround for new xorg packages by including xserver-xorg-input-all
    and xserver-xorg-video-all in all X11 package lists. See #405639 for more
    information.
  * Adding xdebconfigurator to all X11 package lists.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri,  5 Jan 2007 22:34:00 +0100

live-package (0.99.14-2) unstable; urgency=high

  * Adding workaround for initrd backup files (Closes: #404314).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu,  4 Jan 2007 20:52:00 +0100

live-package (0.99.14-1) unstable; urgency=medium

  * New upstream release:
    - fixed typo for policy-rc.d hack (Closes: #396813), thanks to
      Markus Bauer <bauer-markus@web.de>.
    - corrected manpage section (Closes: #396083), thanks to
      Sune Vuorela <reportbug@pusling.com>.
    - fixes script sourcing to exclude files in .svn (Closes: #396861),
      thanks to Markus Bauer <bauer-markus@web.de>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  6 Nov 2006 00:00:00 +0200

live-package (0.99.13-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Oct 2006 00:00:00 +0200

live-package (0.99.12-1) unstable; urgency=medium

  * New upstream release.
    - Reverted mangling of LIVE_DISTRIBUTION for sources.list generation
      (Closes: #394226).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 23 Oct 2006 00:00:00 +0200

live-package (0.99.11-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Oct 2006 00:00:00 +0200

live-package (0.99.10-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  9 Oct 2006 00:00:00 +0200

live-package (0.99.9-1) unstable; urgency=medium

  * New upstream release:
    - adds support for custom repositories (Closes: #387068).
    - using proxy for chroot creating too (Closes: #390378).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  2 Oct 2006 00:00:00 +0200

live-package (0.99.8-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Sep 2006 00:00:00 +0200

live-package (0.99.7-1) unstable; urgency=medium

  * New upstream release:
    - removes the now outdated handling of testing specific kernels
      (Closes: #387562).
    - added fix from Bas Wijnen <wijnen@debian.org> for space handling in
      arguments (Closes: #388204).
    - fixes package list handling similar to the fix suggested by Alex Owen
      <r.alex.owen@gmail.com> (Closes: #388060).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 18 Sep 2006 00:00:00 +0200

live-package (0.99.6-1) unstable; urgency=medium

  * New upstream release:
    - fixing netboot.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 11 Sep 2006 00:00:00 +0200

live-package (0.99.5-1) unstable; urgency=low

  * New upstream release.
  * Set maintainer to the project list.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon,  4 Sep 2006 00:00:00 +0200

live-package (0.99.4-1) unstable; urgency=low

  * New upstream release:
    - Added patch from Alex Owen <r.a.owen@qmul.ac.uk> to update pxelinux.cfg
      for NFS root in casper (Closes: #380512).
    - Temporarily hacks xorg configuration file to remove BusID and set
      default driver to vesa (Closes: #382391).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Aug 2006 00:00:00 +0200

live-package (0.99.3-1) unstable; urgency=low

  * New upstream release:
    - fixed configuration file handling (Closes: #384598).
  * Update long descriptiong (Closes: #382473).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 21 Aug 2006 00:00:00 +0200

live-package (0.99.2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Jul 2006 00:00:00 +0200

live-package (0.99.1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Jul 2006 00:00:00 +0200

live-package (0.99-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Jul 2006 00:00:00 +0200
